<?php

error_reporting( 6135 );
ini_set( "display_errors", "1" );
define( "M3_VERSION", "Stable [ v3.0.1 ]" );
define( "M3_VERSION_ONLY", "v3.0.1" );
define( "M3_VERSION_DECIMAL", "3.0.1" );
define( "M3_VERSION_NUMERIC", "301" );
if ( $_GET['show_version'] )
{
    exit( M3_VERSION_ONLY );
}
include_once( "modules/common/lib/classes/modules.php" );
$installed = mod::start_m3( );
if ( !$installed )
{
    exit( header( "Location: ../install" ) );
}
$spbas = "admin";
include( $installed );
unset( $spbas );
mod::dependencies( "common" );
mod::database( $conf );
$conf = $conf + mod::conf( );
if ( $conf['force_ssl'] == "Yes" )
{
    force_ssl( $conf['api_home'] );
}
$mod = mod::get_mod( );
mod::dependencies( $mod );
mod::dependencies( "login" );
clear_cache( );

unset( $methods );
unset( $returned );
$session = admin::process_session( $mod, $task = $task ? $task : mod::get_task( ), $_COOKIE['m3_admin_session'] );
if ( is_array( $session ) && !admin::process_acl( $session['acl'], $mod, $task, $show_tab ) )
{
    $task = $mod = "access_denied";
}
if ( $task == "login" && $_COOKIE['m3_admin_session'] )
{
    $m3 = admin::get_by( $_COOKIE['m3_admin_session'] );
    $use = login::landing_page( $m3['profile']['start_with_module'] );
    exit( header( "Location: index.php?mod={$use['mod']}&task={$use['task']}" ) );
}
$conf['localization'] = localization::get_group( $conf['language'] ? $conf['language'] : "en-us", $mod, $task );
$errors = $errors ? $errors : array( );
$m3 = ( $mod == "cron_jobs" ? "modules/{$mod}/{$task}" : "modules/{$mod}/model/{$task}" ).".php";
if ( file_exists( $m3 ) )
{
    include( $m3 );
}
$errors = process_messages( $errors );
$show_header_footer = x( "m3_no_header_footer" ) || x( "ajax" );
$wysiwyg_exact = "contentx,message,short_description,long_description";
$m3_header = $conf['printable'] ? "header_print" : "header";
$m3_header = $mod == "login" ? "header_login" : $m3_header;
if ( !$show_header_footer && file_exists( $m3 = "view/{$m3_header}.php" ) )
{
    include( $m3 );
}
if ( x( "m3_tab_only" ) && x( "tab" ) )
{
    header( "Content-Type: text/html; charset=ISO-8859-1" );
    ob_start( );
}
if ( file_exists( $m3 = "modules/{$mod}/view/{$task}.php" ) )
{
    include( $m3 );
}
if ( x( "m3_tab_only" ) && x( "tab" ) )
{
    $m3 = ob_get_contents( );
    $m3 = mod::parse_tab( $m3, x( "tab" ) );
    ob_end_clean( );
    echo $m3;
}
$m3_footer = $conf['printable'] ? "footer_print" : "footer";
$m3_footer = $mod == "login" ? "footer_login" : $m3_footer;
if ( !$show_header_footer && file_exists( $m3 = "view/{$m3_footer}.php" ) )
{
    include( $m3 );
}
?>