<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_brick_add'>
		<ul>
			<li><?PHP echo w('add_new_module'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('3rd_party', 'editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new_module', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('module:'); forms::overlib(w('overlib_module', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $available_modules, forms::value('module')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_brick'>
		<ul>
			<li><?PHP echo w('installed_modules'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('3rd_party', 'editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_module'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($modules)&&is_array($modules)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['module']['image']; ?><a href='<?PHP echo $s['module']['link']; ?>'><?PHP w('module'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($modules as $unique): $data=prepare_modules($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['module']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		<?PHP echo $pagination_modules; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_modules_installed', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>