<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='grid half no_margin'>
	<?PHP errors($errors); ?>
	<span class='section_header_left'><?PHP echo w('advanced_search'); ?>: <a href='#' onclick='toggle_advanced_search("orders"); return false;'><?PHP echo w('orders')?></a> / <a href='#' onclick='toggle_advanced_search("invoices"); return false;'><?PHP echo w('invoices')?></a></span>
	<div class='tab_content_wrapper_nm' id='orders' style='display:block;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, 'orders'); ?>
		<?PHP echo forms::hidden('task', 0, 'order_editor'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'manage_existing'); ?>
		<?PHP echo forms::hidden('do_advanced_search', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='label<?PHP echo alt($m3=0); ?>' colspan='2' style='padding-left: 6px;'><?PHP forms::text('advanced_search', 0, forms::value('advanced_search'), 0, 'advanced_search'); ?> <?PHP forms::submit(0, 0, w('search_orders', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('orders', 'order_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('view_all_orders'); ?></a></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('name', 0, 1, forms::value('name', x('name'))); ?> <?PHP echo w('customer_name'); ?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('status', 0, 1, forms::value('status', x('status'))); ?> <?PHP echo w('status'); ?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('id', 0, 1, forms::value('id', x('id'))); ?> <?PHP echo w('order_id'); ?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('created', 0, 1, forms::value('created', x('created'))); ?> <?PHP echo w('mm/dd/YYYY'); ?></label></td>
			</tr>
		</table>
		</form>
	</div>
	<div class='tab_content_wrapper_nm' id='invoices' style='display:none;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, 'invoices'); ?>
		<?PHP echo forms::hidden('task', 0, 'invoice_editor'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'manage_existing'); ?>
		<?PHP echo forms::hidden('do_advanced_search', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='label<?PHP echo alt($m3=0); ?>' colspan='2' style='padding-left: 6px;'><?PHP forms::text('advanced_search', 0, forms::value('advanced_search'), 0, 'advanced_search'); ?> <?PHP forms::submit(0, 0, w('search_invoices', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('view_all_invoices'); ?></a></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('name', 0, 1, forms::value('name', x('name'))); ?> <?PHP echo w('customer_name'); ?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('status', 0, 1, forms::value('status', x('status'))); ?> <?PHP echo w('status'); ?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('id', 0, 1, forms::value('id', x('id'))); ?> <?PHP echo w('invoice_id'); ?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('created', 0, 1, forms::value('created', x('created'))); ?> <?PHP echo w('mm/dd/YYYY'); ?></label></td>
			</tr>
		</table>
		</form>
	</div>
</div>
<div class='grid quarter grid_space_left_more'>
	<span class='section_header_left'><?PHP echo w('invoice_stats'); ?></span>
	<div class='tab_content_wrapper_nm' style='display:block;'>
		<table class='form_table'>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('add_new_invoice:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('due_invoices:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab'=>'manage_existing', 'terms'=>'due'))?>'><?PHP echo dashboard_billing::due_invoices()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('paid_invoices:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab'=>'manage_existing', 'terms'=>'paid'))?>'><?PHP echo dashboard_billing::paid_invoices()?></a></td>
			</tr>
<!--			<tr>
				<td class='search_text<?PHP echo alt($m3); ?> mod_75'><?PHP echo w('top_currency:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><?PHP echo $top_currency; ?></td>
			</tr>-->
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('last_invoice_created:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><?PHP echo $last_invoice_created?></td>
			</tr>
		</table>
	</div>
</div>
<div class='grid quarter right'>
	<span class='section_header_left'><?PHP echo w('order_stats'); ?></span>
	<div class='tab_content_wrapper_nm' style='display:block;'>
		<table class='form_table'>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('complete_orders:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('orders', 'order_editor', array('terms'=>'Complete'))?>'><?PHP echo dashboard_billing::total_order_status('Complete')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('processing_orders:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('orders', 'order_editor', array('terms'=>'Processing'))?>'><?PHP echo dashboard_billing::total_order_status('Processing')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('incomplete_orders:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('orders', 'order_editor', array('terms'=>'Incomplete'))?>'><?PHP echo dashboard_billing::total_order_status('Incomplete')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('cancelled_orders:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('orders', 'order_editor', array('terms'=>'Cancelled'))?>'><?PHP echo dashboard_billing::total_order_status('Cancelled')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='clear margin_bottom'><!-- --></div>

<div class='grid no_margin half'><br /><br /><span class='section_header'><?PHP echo w('invoice_totals_7_days_running')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['invoices'], uid('invoices'), 454, 190); ?></div>
<div class='grid half grid_space_left right'><br /><br /><span class='section_header'><?PHP echo w('completed_orders_7_days_running')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_Area2D.swf", '', $chart['orders'], uid('orders'), 454, 150); ?></div>
<div class='clear margin_bottom'><!-- --></div>




<div class='grid half no_margin'>
		<span class='section_header_left'><?PHP echo w('recent_orders')?></span>
		<?PHP if (!empty($orders)&&is_array($orders)): ?>
			<div class='tab_content_wrapper_nm no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('customer'); ?></th>
					<th><?PHP w('amount'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th><?PHP w('status'); ?></th>
					<th class='options'><a href='<?PHP echo href('orders','order_editor')?>'><?PHP echo w('view_all'); ?></a></th>
				</tr>
				<?PHP $m3=0; foreach ($orders as $unique): $data=prepare_orders($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['amount']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td><?PHP echo $data['status']; ?></td>
						<td class='options'><?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_recent_orders_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<div class='grid half right'>
		<span class='section_header_left'><?PHP echo w('recent_invoices')?></span>
		<?PHP if (!empty($invoices)&&is_array($invoices)): ?>
			<div class='tab_content_wrapper_nm no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('id'); ?></th>
					<th><?PHP w('customer'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th><?PHP w('status'); ?></th>
					<th class='options'><a href='<?PHP echo href('invoices','invoice_editor')?>'><?PHP echo w('view_all'); ?></a></th>
				</tr>

			<?PHP $m3=0; foreach ($invoices as $unique): $data=prepare_invoices($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['invoice_id']; ?></td>
					<td><?PHP echo $data['customer_id']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_recent_invoices_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>
<div class='clear margin_bottom'><!-- --></div>