<?PHP @template::ran_directly(); /* required for all templates */ ?> 



<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_clock_add'>
		<ul>
			<li><?PHP echo w('add_new_job'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('cron', 'cron_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('add_new', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $this_pricing['name']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('job:'); forms::overlib(w('overlib_job', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('job', 0, forms::value('job'), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('description', 0, forms::value('description', $this_pricing['description']), '300px', '75px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('day:'); forms::overlib(w('overlib_day', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('day', 0, cron::days(), forms::value('day')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('hour:'); forms::overlib(w('overlib_hour', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('hour', 0, cron::hours(), forms::value('hour')); ?> <a href='http://en.wikipedia.org/wiki/24-hour_clock' target='_BLANK'><?PHP echo w('click_here'); ?></a> <?PHP echo w('info_24_hour'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('parent_mod:'); forms::overlib(w('overlib_parent_mod', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('parent_mod', 0, menu_editor::module_select(true), forms::value('parent_mod')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP if (x('id')):?>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_clock'>
		<ul>
			<li><?PHP echo w('manage_job'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('cron', 'cron_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'manage_existing'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $job['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $job['name']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('job:'); forms::overlib(w('overlib_job', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('job', 0, forms::value('job', $job['job']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('description', 0, forms::value('description', $job['description']), '300px', '75px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('day:'); forms::overlib(w('overlib_day', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('day', 0, cron::days(), forms::value('day', $job['day'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('hour:'); forms::overlib(w('overlib_hour', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('hour', 0, cron::hours(), forms::value('hour', $job['hour'])); ?> <a href='http://en.wikipedia.org/wiki/24-hour_clock' target='_BLANK'><?PHP echo w('click_here'); ?></a> <?PHP echo w('info_24_hour'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('parent_mod:'); forms::overlib(w('overlib_parent_mod', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('parent_mod', 0, menu_editor::module_select(true), forms::value('parent_mod', $job['parent_mod'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
<?PHP else: ?>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_clock'>
		<ul>
			<li><?PHP echo w('existing_jobs'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('cron', 'cron_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_job'); ?></a><?PHP echo $change_cron_key; ?></li>
		</ul>
	</h1>
	<?PHP if (!empty($jobs)&&is_array($jobs)): ?>
		<div class='tab_content_wrapper'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('confirm_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th><?PHP echo $s['last_ran']['image']; ?><a class='on' href='<?PHP echo $s['last_ran']['link']; ?>'><?PHP w('last_ran'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='7'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('cron', 'cron_editor'); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($jobs as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td><?PHP echo $data['last_ran']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_scheduled_jobs_found', 0); ?></p></div>
	<?PHP endif; ?>
<?PHP endif; ?>

<?PHP if (x('show_tab')=='manage_existing'): ?>
<br /><br />
	<div class='notice_static'><?PHP echo s(nl2br(w('cron_job_setup_notes', 0)))?><br /><br />
	<?PHP w('standard_cron_job'); ?><br />
	<input type='text' class='full_content_area' style='margin-top: 8px;' value='0 * * * * curl -o --url "<?PHP echo config('api_home')?>/index.php?mod=cron_jobs&cron_key=<?PHP echo config('cron_key')?>" > /dev/null 2>&1'><br /><br />
	<?PHP w('helpdesk_only'); ?><br />
	<input type='text' class='full_content_area' style='margin-top: 8px;' value='* * * * * curl -o --url "<?PHP echo config('api_home')?>/index.php?mod=cron_jobs&cron_key=<?PHP echo config('cron_key')?>&run_only=helpdesk_ticket_import" > /dev/null 2>&1'>
<?PHP endif; ?>
</div>
</div>

<?PHP echo set_default_tab('manage_existing') ?>