<?PHP @template::ran_directly();

$mail_notices=download_control::expire();

if ($mail_notices&&is_array($mail_notices)&&!empty($mail_notices))
	{
	$event=email::get_event('download_control_specific', 'm3_email_download_control_events');

	foreach ($mail_notices as $notice)
		{
		$templates=download_control::get_download_control_emails($notice['control_id']);
		if (empty($templates)) { continue; }

		$user=customer::get_primary_contact($notice['customer_id']);
		$product=product::get($notice['product_id']);
		$sku=product::get_sku_by_id($notice['sku_id']);
		$download_control=download_control::get($notice['control_id']);

			foreach ($templates as $template)
				{
				$conf_id=email::conf($template['email_configuration_id']);
				(array)$transport=email::get_configuration($conf_id); // pr($transport);

				$tag_values=array();
				$tag_values['product_name']=sx($product['name']);
				$tag_values['sku_name']=sx($sku['name']);
				$tag_values['control_name']=sx($download_control['name']);
				$tag_values['expired_date']=@date(config('date_format'), $notice['expired_date']);
				$tag_values['email_signature']=$transport['signature'];

				$send=@email::send(
								$transport, 
								$event['tags'], 
								$tag_values, 
								sx($user['first_name']), 
								sx($user['email']), 
								$transport['from'], 
								$transport['from_email'], 
								$template['subject'], 
								$template['message'], 
								'download_control_expired', 
								$conf_id, 
								$template['cc'], 
								$template['bcc'], 
								$template['priority'], 
								false, 
								false, 
								false, 
								$template['type']
								);
				}
			}
		}

// log the run
cron::add_job_log($job['id']);
?>