$(function() { 
	$( "#search_a" ).autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: "index.php",
				dataType: "json",
				data: {
					mod: "customers",
					task: "customer_editor",
					ajax: "y",
					search_customers: "y",
					customer_search: $('#search_a').val()
				},
				success: function( data ) {
					response( $.map( data, function( item ) {
						return {
							label: item.label,
							value: item.value
						}
					}));
				}
			});
			
		},
		minLength: 1,
		select: function( event, ui ) {
					$('#customer_a').val(ui.item.value);
					ui.item.value=ui.item.label;
		}
	});
});

$(function() { 
	$( "#search_b" ).autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: "index.php",
				dataType: "json",
				data: {
					mod: "customers",
					task: "customer_editor",
					ajax: "y",
					search_customers: "y",
					customer_search: $('#search_b').val()
				},
				success: function( data ) {
					response( $.map( data, function( item ) {
						return {
							label: item.label,
							value: item.value
						}
					}));
				}
			});
			 
		},
		minLength: 1,
		select: function( event, ui ) {
					$('#customer_b').val(ui.item.value);
					ui.item.value=ui.item.label;
		}
	});
});


function toggle_state_province()
	{ 
	var has_states='#states'+$('#country_id').val();

	$.each($('.states'),function(i,e){ $(e).hide(); });
	
	if ($(has_states).length)
		{
		$(has_states).show();
		$('#countries').hide();
		$('#sop').val('state');
		}
	else
		{
		$('#countries').show();
		$('#sop').val('province');
		}
	}
	
function toggle_package_requirements(target_id)
	{
	$('tr.package_extras').hide();
	$('#'+target_id).toggle();
	}
	
function set_state_choice(country_id)
	{
	var state_id='#states_'+country_id;
	$('#state_id').val($(state_id).val());
	}
	
function package_selects(id, product_id)
	{
	if (!product_id) { var product_id=$('#product_id').val(); }
	
	$.ajax({
					url: "index.php",
					dataType: "html",
					data: {
						mod: "customers",
						task: "customer_edit",
						ajax: "y",
						price_sheet_select: "y",
						id: $('#id').val(),
						product_id: product_id
					},
					success: function( data ) { 
						$('#price_sheet_select').html(data);
					}
				});
	}
	
function load_invoice_options()
	{
	var do_this=$('#invoice_actions').val();

	if (!do_this) { return false; }

	window.location=do_this;
	}
	
function toggle_domain_options(asset_id, id)
	{
	var use=$('#domain_registration_'+asset_id).val();
	var none='None_'+asset_id;
	var register='Register_'+asset_id;
	var transfer='Transfer_'+asset_id;
	var current=use+'_'+asset_id;
	var require_epp=$('tr.Transfer_epp_'+asset_id);

	$('tr.'+none).hide();
	$('tr.'+register).hide();
	$('tr.'+transfer).hide();
	require_epp.hide();
	if (use=='Transfer')
		{
		toggle_epp(id, asset_id, require_epp);
		}
	$('tr.'+current).show();
	}

function toggle_epp(id, asset_id, require_epp)
	{
	var tld_id=$('#transfer_tld_'+asset_id).val();

	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				tld_id: tld_id,
				toggle_epp: 'y',
			},  
	function( data ) 
			{
			if (data)
				{
				require_epp.show();
				}
			});
	}

function toggle_years_registrar(id, asset_id, rtr, domain_slab_id, currency_id)
	{
	var tld_id=$('#'+rtr+'_tld_'+asset_id).val();
	var years=$('#'+rtr+'_years_'+asset_id);

	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				asset_id: asset_id,
				tld_id: tld_id,
				domain_slab_id: domain_slab_id,
				currency_id: currency_id,
				toggle_years_tld: 'y',
			},  
	function( data ) 
			{ 
			years.html('');
			years.html(data);    
			toggle_registrar_name(id, asset_id, tld_id, rtr);
			});
	}

function toggle_registrar_name(id, asset_id, tld_id, rtr)
	{
	var tld_id=$('#'+rtr+'_tld_'+asset_id).val();
	var name=$('#'+rtr+'_registrar_name_'+asset_id);
	var registrar_id=$('#'+rtr+'_registrar_id_'+asset_id);

	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				asset_id: asset_id,
				tld_id: tld_id,
				toggle_registrar_name: 'y',
			},  
	function( data ) 
			{ 
			var parts=data.split('|');

			name.html('');
			name.html(parts[0]); 

			registrar_id.val(parts[1]);
			}
	);
	}


function default_asset(which, marker)
	{
	$('#'+marker+'license').hide();
	$('#'+marker+'download_control').hide();
	$('#'+marker+'media').hide();
	$('#'+marker+'support_package').hide();
	$('#'+marker+'web_hosting').hide();

	$('#'+marker+which).show();
	}


function update_media_created(ref, id, media_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				media_id: media_id,
				created: $(ref).val(),
				update_media_created: 'y',
				ajax: 'y',
			},  
	function( data ) { $(ref).effect('highlight', {}, 1500); }
	);
	}

function update_support_created(ref, id, support_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				support_id: support_id,
				created: $(ref).val(),
				update_support_created: 'y',
				ajax: 'y',
			},  
	function( data ) { $(ref).effect('highlight', {}, 1500); }
	);
	}

function update_support_expires(ref, id, support_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				support_id: support_id,
				expires: $(ref).val(),
				update_support_expires: 'y',
				ajax: 'y',
			},  
	function( data ) 
			{ 
			$(ref).effect('highlight', {}, 1500); 
			$(ref+'_status').html(data); 
			}
	);
	}

function support_never_expires(ref, id, support_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				support_id: support_id,
				expires: 'Never',
				update_support_expires: 'y',
				ajax: 'y',
			},  
	function( data ) 
			{ 
			$(ref).effect('highlight', {}, 1500); 
			$(ref).val('Never'); 
			$(ref+'_status').html('Active'); 
			}
	);
	}

function update_dlc_created(ref, id, download_control_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				download_control_id: download_control_id,
				created: $(ref).val(),
				update_download_control_created: 'y',
				ajax: 'y',
			},  
	function( data ) { $(ref).effect('highlight', {}, 1500); }
	);
	}

function update_dlc_expires(ref, id, download_control_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				download_control_id: download_control_id,
				expires: $(ref).val(),
				update_download_control_expires: 'y',
				ajax: 'y',
			},  
	function( data ) 
			{
			$(ref).effect('highlight', {}, 1500); 
			$(ref+'_status').html(data); 
			}
	);
	}

function dlc_never_expires(ref, id, download_control_id)
	{
	$.post('index.php', 
			{ 
				mod: 'customers',
				task: 'customer_edit',
				id: id,
				download_control_id: download_control_id,
				expires: 'Never',
				update_download_control_expires: 'y',
				ajax: 'y',
			},  
	function( data ) 
			{ 
			$(ref).effect('highlight', {}, 1500); 
			$(ref).val('Never'); 
			$(ref+'_status').html('Active'); 
			}
	);
	}




















/*
// legacy
function load_asset_option(id)
	{
	var do_this=$F($('show_asset'));

	if (!do_this) { return false; }

	window.location='index.php?mod=customers&task=customer_edit&show_tab=assets&id='+id+'&show_asset='+do_this;
	}

function toggle_advanced_search(use)
	{
	if (use=='customers')
		{
		$('users').hide();
		$(use).show();
		}
	else
		{
		$('customers').hide();
		$(use).show();
		}
	}
*/