<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP echo mod::tabs($tabs, 'developer', 'lang_editor'); ?>

<div class='tab_content' id='import' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_import'>
	<ul>
		<li><?PHP echo w('import_language_file'); ?></li>
		<li id='text'></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype='multipart/form-data'>
	<?PHP forms::hidden('mod', 0, x('mod')); ?>
	<?PHP forms::hidden('task', 0, x('task')); ?>
	<?PHP forms::hidden('show_tab', 0, 'import'); ?>
	<?PHP forms::hidden('import', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('choose_import_file'); forms::overlib(w('overlib_choose_import_file', 0)); ?></td>
			<td class='label_alt'><input size='12' type='file' id='file' name='file' /> <?PHP forms::submit(0, 0, w('import', 0), 0, 'submit_nm', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content' id='export' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_export'>
	<ul>
		<li><?PHP echo w('export_language_file'); ?></li>
		<li id='text'></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'export'); ?>
	<?PHP echo forms::hidden('export', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('choose_language:'); forms::overlib(w('overlib_choose_language', 0)); ?></td>
			<td class='label_alt'><?PHP forms::select('language', 0, localization::available_languages(), forms::value('language')); ?> <?PHP forms::submit(0, 0, w('export', 0), 0, 'submit_nm', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_translation_add'>
	<ul>
		<li><?PHP echo w('add_a_new_translation'); ?></li>
		<li id='text'></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('mask'); forms::overlib(w('overlib_mask', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('mask', 0, forms::value('mask')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('mod'); forms::overlib(w('overlib_mod', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('this_mod', 0, forms::value('this_mod')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('task'); forms::overlib(w('overlib_task', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('this_task', 0, forms::value('this_task')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>_top'><b>EN-US</b> <?PHP w('translation'); forms::overlib(w('overlib_translation', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea("translation[en-us]", 0, forms::value('translation', false, false, false, 'en-us'), '650px', '50px'); ?></td>
		</tr>
		<?PHP foreach (localization::available_languages() as $language): if ($language=='en-us') continue; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><b><?PHP echo strtoupper($language); ?></b> <?PHP w('translation'); forms::overlib(w('overlib_translation', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea("translation[{$language}]", 0, forms::value('translation', false, false, false, $language, true), '650px', '50px'); ?></td>
			</tr>
		<?PHP endforeach; ?>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_translation', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

<?PHP if (x('id')): ?>
	<h1 class='tab_content_label_2col tab_translations'>
		<ul>
			<li><?PHP echo w('edit_translation'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('developer', 'lang_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>


		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('save_form', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('mask'); forms::overlib(w('overlib_mask', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('mask', 0, forms::value('mask', $localization['mask'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('mod'); forms::overlib(w('overlib_mod', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('this_mod', 0, forms::value('this_mod', $localization['this_mod'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('task'); forms::overlib(w('overlib_task', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('this_task', 0, forms::value('this_task', $localization['this_task'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><b>EN-US</b> <?PHP w('translation'); forms::overlib(w('overlib_translation', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea("translation[en-us]", 0, forms::value('translation', $localization['translation']['en-us'], false, false, 'en-us'), '650px', '50px'); ?></td>
			</tr>
			<?PHP foreach (localization::available_languages() as $language): if ($language=='en-us') continue; ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><b><?PHP echo strtoupper($language); ?></b> <?PHP w('translation'); forms::overlib(w('overlib_translation', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea("translation[{$language}]", 0, forms::value('translation', $localization['translation'][$language], false, false, $language, true), '650px', '50px'); ?></td>
				</tr>
			<?PHP endforeach; ?>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
<?PHP else: ?>
	<h1 class='tab_content_label_2col tab_translations'>
		<ul>
			<li><?PHP echo w('existing_translations'); ?></li>
			<li class='right'>



<?PHP echo forms::action(); ?>
<?PHP echo forms::hidden('mod', 0, x('mod'),0); ?>
<?PHP echo forms::hidden('task', 0, x('task'),0); ?>
<?PHP echo forms::text('terms', 0, '', 0, 'larger', 0); ?><?PHP echo forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 0); ?>
</form>


</li>
		</ul>
	</h1>

	<?PHP if (!empty($masks)&&is_array($masks)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['mask']['image']; ?><a href='<?PHP echo $s['mask']['link']; ?>'><?PHP w('mask'); ?></a></th>
				<th><?PHP echo $s['mod']['image']; ?><a href='<?PHP echo $s['mod']['link']; ?>'><?PHP w('mod'); ?></a></th>
				<th><?PHP echo $s['task']['image']; ?><a href='<?PHP echo $s['task']['link']; ?>'><?PHP w('task'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('developer', 'lang_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($masks as $mask): $data=prepare($mask); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['mask']; ?></td>
				<td><?PHP echo $data['mod']; ?></td>
				<td><?PHP echo $data['task']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_found...', 0); ?></p></div>
	<?PHP endif; ?>
<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>