<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield_add'>
		<ul>
			<li><?PHP echo w('Add a New Hosting Account'); ?></li>
			<li class='right'><a href='<?PHP echo href('hosting', 'accounts', array('show_tab' => 'general')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
		<?PHP echo forms::hidden('customer_id', 0, ''); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('choose_customer:'); forms::overlib(w('overlib_customer_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $customer_id; ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('add_a_new_customer_first')?></a></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='general' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_server'>
		<ul>
			<li><?PHP echo w('Manage Domain Names'); ?></li>
			<li class='right'><a href='<?PHP echo href('search', 'index', array('show_tab' => 'domains')); ?>' class='form_button'><?PHP w('Search Domains'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($domains)&&is_array($domains)): ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('ID'); ?></a></th>
				<th><?PHP echo $s['domain']['image']; ?><a href='<?PHP echo $s['domain']['link']; ?>'><?PHP w('Domain'); ?></a></th>
				<th><?PHP echo $s['registrar_id']['image']; ?><a href='<?PHP echo $s['registrar_id']['link']; ?>'><?PHP w('Registrar'); ?></a></th>
				<th><?PHP echo $s['rtr_type']['image']; ?><a href='<?PHP echo $s['rtr_type']['link']; ?>'><?PHP w('RTR Type'); ?></a></th>
				<th><?PHP echo $s['years']['image']; ?><a href='<?PHP echo $s['years']['link']; ?>'><?PHP w('Years'); ?></a></th>
				<th><?PHP echo $s['last_renew']['image']; ?><a href='<?PHP echo $s['last_renew']['link']; ?>'><?PHP w('Last Renew'); ?></a></th>
				<th><?PHP echo $s['next_renew']['image']; ?><a href='<?PHP echo $s['next_renew']['link']; ?>'><?PHP w('Next Renew'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP foreach ($domains as $unique): $data=prepare($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['domain']; ?></td>
					<td><?PHP echo $data['registrar_id']; ?></td>
					<td><?PHP echo $data['rtr_type']; ?></td>
					<td><?PHP echo $data['years']; ?></td>
					<td><?PHP echo $data['last_renew']; ?></td>
					<td><?PHP echo $data['next_renew']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('No domains found.', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>