<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'download_control', 'control_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'control_editor', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'download_control', 'control_edit', "&id=".x('id'), 'control_editor'); ?>
<?PHP endif; ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_lock_edit'>
		<ul>
			<li><?PHP w('control_settings'); ?> <?PHP echo $dc['name']; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('update_control', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $dc['name']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('term:'); forms::overlib(w('overlib_term', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('term_int', 0, forms::value('term_int', $dc['term_int']), 0, 'small'); ?> <?PHP forms::select('term_str', 0, $terms, forms::value('term_str', $dc['term_str'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('after_expiration:'); forms::overlib(w('overlib_after_expiration', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('after_expiration', 0, $after_expiration, forms::value('after_expiration', $dc['after_expiration'])); ?></td>
			</tr>
			<?PHP if (is_array($download_control_specific_templates)&&!empty($download_control_specific_templates)): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('download_control_specific_emails:'); forms::overlib(w('overlib_download_control_specific_emails', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><div class='scroll' style='width: 450px; height: 75px;'><?PHP foreach($download_control_specific_templates as $unique): ?>
						<?PHP $data=prepare_download_control_specific($unique, $assigned_download_control_templates) ?>
						<label><?PHP echo $data['checkbox']?> <?PHP echo $data['subject']?></label><br />
					<?PHP endforeach; ?></div></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content' id='assign_asset' style='display:none;'>
	<?PHP errors($errors); ?>

		<div id='ajax_errors'></div>
		<h1 class='tab_content_label_2col tab_lock_edit'>
			<ul>
				<li><?PHP w('control_settings'); ?> <?PHP echo $dc['name']; ?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'><table class='form_table'><?PHP
$product_tree='';
$products=product::get_all();
foreach ($products as $product)
	{
	$product_tree.="<tr><td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon' /> <b>{$product['name']}</b></td></tr>";

	$skus=product::get_skus($product['id']); 
	foreach($skus as $sku)
		{
		$checked=(in_array($sku['id'], product::assets('download_control', x('id'))))?' checked':'';
		$checkbox=forms::checkbox("sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign_asset({$product['id']}, {$sku['id']}, ".x('id').");'", 0, 0);
		$product_tree.="<tr><td class='label'>&nbsp;&nbsp;<label>{$checkbox} {$sku['name']}</label></td></tr>";
		}
	}
echo $product_tree;
?></table>
		</div>
</div>

<?PHP echo set_default_tab('general') ?>