<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_lock_add'>
		<ul>
			<li><?PHP w('add_new_control'); ?></li>
			<li class='right'><a href='<?PHP echo href('download_control', 'control_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('existing_controls'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_control', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name'), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('term:'); forms::overlib(w('overlib_term', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('term_int', 0, forms::value('term_int'), 0, 'small'); ?> <?PHP forms::select('term_str', 0, $terms, forms::value('term_str')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('after_expiration:'); forms::overlib(w('overlib_after_expiration', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('after_expiration', 0, $after_expiration, forms::value('after_expiration')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_lock'>
		<ul>
			<li><?PHP w('existing_controls'); ?></li>
			<li class='right'><a href='<?PHP echo href('download_control', 'control_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_download_control'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($controls)&&is_array($controls)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($controls as $unique): $data=prepare_controls($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		<?PHP echo $pagination_controls; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_controls_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>