<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP echo mod::tabs($tabs, 'email', 'list_edit', "&id=".x('id'), 'list_editor'); ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP echo w('email_list'); ?> <?PHP echo sx($list['name'])?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP echo forms::hidden('save_changes', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('list_name:'); forms::overlib(w('overlib_list_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $list['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('product_specific:'); forms::overlib(w('overlib_product_specific', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('product_specific', 0, $product_specific, forms::value('product_specific', $list['product_specific'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('customer_type:'); forms::overlib(w('overlib_customer_type', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('customer_type', 0, $customer_types, forms::value('customer_type', $list['customer_type'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('user_type:'); forms::overlib(w('overlib_user_type', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('user_type', 0, $user_types, forms::value('user_type', $list['user_type'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('ignore_opt_out:'); forms::overlib(w('overlib_ignore_opt_out', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('ignore_opt_out', 0, $yes_no, forms::value('ignore_opt_out', $list['ignore_opt_out'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content' id='filter_by_products' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='ajax_errors'></div>
	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP echo w('email_list'); ?> <?PHP echo sx($list['name'])?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
		<table class='form_table'>
			<?PHP foreach ($products as $product): ?>
					<tr>
						<td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon' /> <b><?PHP echo sx($product['name']); ?></b></td>
					</tr>
					<?PHP foreach(product::get_skus($product['id']) as $sku): $data=prepare($sku, $filtered_products); ?>
						<tr>
							<td class='label'>&nbsp;&nbsp;<label><?PHP echo $data['checkbox']; ?> <?PHP echo $data['name']; ?></label></td>
						</tr>
					<?PHP endforeach; ?>
			<?PHP endforeach; ?>
		</table>
	</div>
</div>


<?PHP echo set_default_tab('general') ?>