<?PHP @template::ran_directly(); /* required for all templates */ ?>



<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_email_add'>
		<ul>
			<li><?PHP echo w('add_a_new_mass_mail_list'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'list_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('list_name:'); forms::overlib(w('overlib_list_name', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('customer_type:'); forms::overlib(w('overlib_customer_type', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('customer_type', 0, $customer_types, forms::value('customer_type')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('user_type:'); forms::overlib(w('overlib_user_type', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('user_type', 0, $user_types, forms::value('user_type')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('ignore_opt_out:'); forms::overlib(w('overlib_ignore_opt_out', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('ignore_opt_out', 0, $yes_no, forms::value('ignore_opt_out')); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email'>
		<ul>
			<li><?PHP echo w('existing_lists'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'list_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_mass_mail_list'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($lists)&&is_array($lists)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['customer_type']['image']; ?><a href='<?PHP echo $s['customer_type']['link']; ?>'><?PHP w('customer_type'); ?></a></th>
				<th><?PHP echo $s['user_type']['image']; ?><a href='<?PHP echo $s['user_type']['link']; ?>'><?PHP w('user_type'); ?></a></th>
				<th><?PHP echo $s['ignore_opt_out']['image']; ?><a href='<?PHP echo $s['ignore_opt_out']['link']; ?>'><?PHP w('ignore_opt_out'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($lists as $unique): $data=prepare($unique, $customer_types, $user_types, $yes_no); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['customer_type']; ?></td>
					<td><?PHP echo $data['user_type']; ?></td>
					<td><?PHP echo $data['ignore_opt_out']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['export_csv']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_email_lists_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>