<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<?PHP if (x('view_log_id')): ?>
		<h1 class='tab_content_label_2col tab_email_go'>
			<ul>
				<li><?PHP echo w('email_log'); ?></li>
				<li id='text'><a class='form_button' href='<?PHP echo $button_link; ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('email_sent_from:'); forms::overlib(w('overlib_email_sent_from', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $log['from_name']?> (<?PHP echo $log['from_email']?>)</td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('sent_to:'); forms::overlib(w('overlib_to_email', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo sx($log['to_name'])?> (<a href='<?PHP echo href('users','user_editor',array('terms'=>$log['to_email']))?>'><?PHP echo $log['to_email']?></a>)</td>
				</tr>
				<?PHP if ($log['cc']): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('cc:'); forms::overlib(w('overlib_log_cc', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo sx($log['cc'])?></td>
					</tr>
				<?PHP endif; ?>
				<?PHP if ($log['bcc']): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('bcc:'); forms::overlib(w('overlib_log_cc', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo sx($log['bcc'])?></td>
					</tr>
				<?PHP endif; ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email_sent_on:'); forms::overlib(w('overlib_email_sent_on', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo date(config('date_format').' '.config('time_format'), $log['created']); ?> (<?PHP echo $resend?>)</td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('subject:'); forms::overlib(w('overlib_log_subject', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo sx($log['subject'])?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('log_message:'); forms::overlib(w('overlib_log_message', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('signature', 0, forms::value('signature', sx($log['message'])), '575px', '200px'); ?></td>
				</tr>
			</table>
		</div>
	<?PHP else: ?>

		<h1 class='tab_content_label_2col tab_email_go'>
			<ul>
				<li><?PHP echo w('email_log'); ?></li>
				<li id='text'><?PHP echo forms::action(); ?><?PHP echo forms::hidden('mod', 0, x('mod'),0); ?><?PHP echo forms::hidden('task', 0, x('task'),0); ?><?PHP echo forms::text('ac', 'terms', '', 0, 'large', 0); ?><?PHP echo forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 0); ?></form></li>
			</ul>
		</h1>
		<?PHP if (!empty($email_logs)&&is_array($email_logs)): ?>
			<div class='tab_content_wrapper  no_top_left_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sa['id']['image']; ?><a href='<?PHP echo $sa['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sa['subject']['image']; ?><a href='<?PHP echo $sa['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
						<th><?PHP echo $sa['created']['image']; ?><a href='<?PHP echo $sa['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($email_logs as $unique): $data=prepare_logs($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['subject']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['resend']; ?> / <?PHP echo $data['view']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_email_logs_found', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>