<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='general'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP echo w('email_transport_setting'); ?> <?PHP echo $email['name'] ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'settings', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('edit_configuration', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'general'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $email['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('from_email:'); forms::overlib(w('overlib_from_email', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('from_email', 0, forms::value('from_email', $email['from_email'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('from:'); forms::overlib(w('overlib_from', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('from', 0, forms::value('from', $email['from'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('signature:'); forms::overlib(w('overlib_signature', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('signature', 0, forms::value('signature', $email['signature']), '175px', '50px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('email_transport:'); forms::overlib(w('overlib_email_transport', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('email_transport', 0, $email_transports, forms::value('email_transport', $email['email_transport']), "onchange='toggle_transport();'"); ?></td>
			</tr>
		</table>
		<div id='smtp' style='display:none;'>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_port:'); forms::overlib(w('overlib_smtp_port', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_port', 0, forms::value('smtp_port', $email['smtp_port'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_primary_host:'); forms::overlib(w('overlib_smtp_primary_host', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_primary_host', 0, forms::value('smtp_primary_host', $email['smtp_primary_host'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_secondary_host:'); forms::overlib(w('overlib_smtp_secondary_host', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_secondary_host', 0, forms::value('smtp_secondary_host', $email['smtp_secondary_host'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_username:'); forms::overlib(w('overlib_smtp_username', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_username', 0, forms::value('smtp_username', $email['smtp_username'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_password:'); forms::overlib(w('overlib_smtp_password', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_password', 0, forms::value('smtp_password', $email['smtp_password'])); ?></td>
				</tr>
			</table>
		</div>
		<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
		<script> toggle_transport(); </script>
	</div>
</div>