<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'helpdesk', 'department_edit', "&id=".x('id'), 'departments'); ?> 

<div class='tab_content' id='advanced' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_keyboard'>
		<ul>
			<li><?PHP w('helpdesk_department'); ?> <?PHP echo $department['name'] ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_advanced', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'advanced'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP  w('ticket_creation:'); forms::overlib(w('overlib_ticket_creation', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('ticket_creation', 0, $ticket_creation, forms::value('ticket_creation', $department['ticket_creation'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('require_valid_support_package:'); forms::overlib(w('overlib_require_valid_support_package', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('require_valid_support_package', 0, $no_yes, forms::value('require_valid_support_package', $department['require_valid_support_package'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('imap_connection_string:'); forms::overlib(w('overlib_imap_connection_string', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('helpdesk', 'department_edit', array('id' => x('id'), 'show_tab' => 'general')); ?>'><?PHP echo $department['host']; ?>:<?PHP echo $department['port']; ?></a> <?PHP forms::text('imap_connection_string', 0, forms::value('imap_connection_string', $department['imap_connection_string']), 0, 'large'); ?> <a href='http://us3.php.net/manual/en/function.imap-open.php' target='_BLANK'><?PHP w('view_parameters'); ?></a></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_keyboard'>
		<ul>
			<li><?PHP w('helpdesk_department'); ?> <?PHP echo $department['name'] ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_support_department', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'general'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP  w('auto_reply_template:'); forms::overlib(w('overlib_auto_reply_template', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_helpdesk_autoreply', 0, $no_yes, forms::value('enable_helpdesk_autoreply', $department['enable_helpdesk_autoreply'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $department['name']), "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('description', 0, forms::value('description', $department['description']), '175px', '50px', true, "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('email', 0, forms::value('email', $department['email']), "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('host:'); forms::overlib(w('overlib_host', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('host', 0, forms::value('host', $department['host']), "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('port:'); forms::overlib(w('overlib_port', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('port', 0, forms::value('port', $department['port']), "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('username', 0, forms::value('username', $department['username']), "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('password', 0, forms::value('password', $department['password']), "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('signature:'); forms::overlib(w('overlib_signature', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('signature', 0, forms::value('signature', $department['signature']), '175px', '50px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><a id='save_first' style='display:none;' href='#' onclick='alert("<?PHP w('please_save_changes_first'); ?>"); return false;'><?PHP echo w('test_connectivity')?></a><a id='saved' href='<?PHP echo href('helpdesk','department_edit', array('id' => x('id'), 'show_tab' => 'general', 'test_connectivity' => 'y'))?>'><?PHP echo w('test_connectivity')?></a> <?PHP echo w('-or-')?> <?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='staff' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='exclude_errors'></div>
	<h1 class='tab_content_label_2col tab_keyboard'>
		<ul>
			<li><?PHP w('helpdesk_department'); ?> <?PHP echo $department['name'] ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
	<div class='notice'>Click the box beside the staff member to <b>EXCLUDE</b> that person from this support department.<br /><br />By default all staff members (admins) are assigned to this department.</div>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_support_department', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'general'); ?>

		<table class='form_table'><?PHP
			$buffer='';
			foreach ($admins as $unique)
				{
				$checked=(in_array($unique['id'], $exclude_admins))?' checked':'';
				$checkbox=forms::checkbox("admin_{$unique['id']}", 0, $unique['id'], $checked, "onclick='exclude_admin_from_department({$unique['id']}, ".x('id').");'", 0, 0);
				$buffer.="<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} ".sx("{$unique['first_name']} {$unique['last_name']}")."</label></td></tr>";
				}
			echo $buffer;
			?>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>