<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo ($_GET['print'])?'':mod::tabs($tabs, 'helpdesk', 'view_ticket', $tab_extras, 'dashboard', array('show_tab' => 'tickets', 'support_queue' => x('support_queue'))); ?>

<div class='tab_content' id='notes' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col subject_container note'>
		<ul>
			<li class='ticket_subject'><?PHP w('notes'); ?>: <?PHP echo shorten_string(htmlspecialchars(sx($ticket['subject'])), 99) ?></li>
			<li class='right'>
				<?PHP if (x('to')||x('from')||x('search')): ?>
					<a class='form_button' href='<?PHP echo href('search', 'index', array('to' => x('to'), 'from' => x('from'), 'page' => x('page'), 'search' => x('search'), 'show_tab' => 'helpdesk')); ?>'><?PHP w('return_to_search'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<div style='clear:both'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_support_department', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'notes'); ?>

		<?PHP if (x('to')) { forms::hidden('to', 0, x('to')); } ?>
		<?PHP if (x('from')) { forms::hidden('from', 0, x('from')); } ?>
		<?PHP if (x('page')) { forms::hidden('page', 0, x('page')); } ?>
		<?PHP if (x('search')) { forms::hidden('search', 0, x('search')); } ?>
		<?PHP if (x('support_queue')) { forms::hidden('support_queue', 0, x('support_queue')); } ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>_top'><?PHP w('notes:'); forms::overlib(w('overlib_notes', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('notes', 0, forms::value('notes', $ticket['notes']), '775px', '250px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_notes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content' id='options' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col subject_container cog'>
		<ul>
			<li class='ticket_subject'><?PHP echo w('ticket_options'); ?>: <?PHP echo shorten_string(htmlspecialchars(sx($ticket['subject'])), 99) ?></li>
			<li class='right'>
				<?PHP if (x('to')||x('from')||x('search')): ?>
					<a class='form_button' href='<?PHP echo href('search', 'index', array('to' => x('to'), 'from' => x('from'), 'page' => x('page'), 'search' => x('search'), 'show_tab' => 'helpdesk')); ?>'><?PHP w('return_to_search'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<div style='clear:both'></div>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_ticket_options', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'options'); ?>

		<?PHP if (x('to')) { forms::hidden('to', 0, x('to')); } ?>
		<?PHP if (x('from')) { forms::hidden('from', 0, x('from')); } ?>
		<?PHP if (x('page')) { forms::hidden('page', 0, x('page')); } ?>
		<?PHP if (x('search')) { forms::hidden('search', 0, x('search')); } ?>
		<?PHP if (x('support_queue')) { forms::hidden('support_queue', 0, x('support_queue')); } ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP  w('change_subject:'); forms::overlib(w('overlib_change_subject', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('subject', 0, forms::value('subject', htmlspecialchars(s($ticket['subject']))), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('change_assignment:'); forms::overlib(w('overlib_change_assignment', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('admin_id', 0, $all_admins, forms::value('admin_id', $ticket['admin_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('change_department:'); forms::overlib(w('overlib_change_department', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('department_id', 0, $all_departments, forms::value('department_id', $ticket['department_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP  w('priority:'); forms::overlib(w('overlib_priority', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>
					<?PHP foreach ($flags as $key => $image): ?>
					<?PHP $checked=($key==$ticket['flag'])?true:false; ?>
						<label style='line-height: 22px;'><?PHP forms::radio('flag', 0, $key, $checked); ?> <?PHP echo $image; ?></label><br />
					<?PHP endforeach; ?>
				</td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content' id='quick_stats' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col subject_container cog'>
		<ul>
			<li class='ticket_subject'><?PHP echo w('quick_stats_for_customer'); ?><?PHP if ($customer): ?>: <a href='<?PHP echo href('customers', 'customer_edit', array('id' => $customer['id'], 'show_tab' => 'general')); ?>'><?PHP echo sx($customer['name']); ?></a><?PHP endif; ?></li>
			<li class='right'>
				<?PHP if (x('to')||x('from')||x('search')): ?>
					<a class='form_button' href='<?PHP echo href('search', 'index', array('to' => x('to'), 'from' => x('from'), 'page' => x('page'), 'search' => x('search'), 'show_tab' => 'helpdesk')); ?>'><?PHP w('return_to_search'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<div style='clear:both'></div>
	<div class='tab_content_wrapper no_top_left_border'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('total_tickets:'); forms::overlib(w('overlib_total_tickets', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><b><?PHP echo $total_tickets_for_customer; ?></b></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP  w('active_support_package:'); forms::overlib(w('overlib_active_support_package', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>
					<?PHP if (is_array($support_packages)&&!empty($support_packages)): ?>
						<div class='scroll' style='width: 510px; line-height: 18px;'>
							<?PHP foreach($support_packages as $key => $unique): $data=prepare_support_packages($unique); ?>
								<?PHP echo $key+=1; ?>. <a href='<?PHP echo $data['link_out']; ?>'><?PHP echo $data['name']; ?></a> ( <?PHP echo $data['package_name']; ?> ) <?PHP w('expires_on'); ?> <?PHP echo $data['expires']; ?><br />
							<?PHP endforeach; ?>
						</div>
					<?PHP else: ?>
						<?PHP echo w('no_support_packages_found', 0); ?>
					<?PHP endif; ?>
				</td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP  w('ticket_audit_log:'); forms::overlib(w('overlib_ticket_audit_log', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>
					<?PHP if (is_array($audit_logs)&&!empty($audit_logs)): ?>
						<div class='scroll' style='width: 510px; line-height: 18px;'>
							<?PHP foreach($audit_logs as $log): ?>
								[<?PHP echo date(config('date_format').' '.config('time_format'), $log['created']); ?>] <?PHP echo sx($log['message']); ?></a><br />
							<?PHP endforeach; ?>
						</div>
					<?PHP else: ?>
						<b><?PHP echo w('no_audit_logs_found', 0); ?></b>
					<?PHP endif; ?>
				</td>
			</tr>
		</table>
	</div>
</div>


<div class='tab_content' id='history' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col subject_container footprints'>
		<ul>
			<li class='ticket_subject'><?PHP echo w('customer_ticket_history'); ?></li>
			<li class='right'>
				<?PHP if (x('to')||x('from')||x('search')): ?>
					<a class='form_button' href='<?PHP echo href('search', 'index', array('to' => x('to'), 'from' => x('from'), 'page' => x('page'), 'search' => x('search'), 'show_tab' => 'helpdesk')); ?>'><?PHP w('return_to_search'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<div style='clear:both'></div>

	<?PHP if (empty($ticket_history)||!is_array($ticket_history)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_customer_ticket_history_to_show', 0); ?></p></div>	
	<?PHP else: ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $a['ticket_id']['image']; ?><a href='<?PHP echo $a['ticket_id']['link']; ?>'><?PHP w('ticket_id'); ?></a></th>
				<th><?PHP echo $a['subject']['image']; ?><a href='<?PHP echo $a['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
				<th><?PHP echo $a['department']['image']; ?><a href='<?PHP echo $a['department']['link']; ?>'><?PHP w('dept'); ?></a></th>
				<th><?PHP echo $a['created']['image']; ?><a href='<?PHP echo $a['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th><?PHP echo $a['status']['image']; ?><a href='<?PHP echo $a['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP w('last_reply'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($ticket_history as $unique): $data=prepare_ticket_history($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['ticket_id']; ?></td>
					<td><?PHP echo $data['subject']; ?></td>
					<td><?PHP echo $data['department']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['last_reply']; ?></td>
					<td class='options'><?PHP echo $data['remove']; ?> / <?PHP echo $data['view']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination_ticket_history; ?>
		</div>
	<?PHP endif; ?>
</div>


<style>
table.data_grid tr:hover {
background-color: #f3f6fc;
background-color: #fefae4;
}
</style>
<div class='tab_content' id='reply' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col subject_container <?PHP echo (($_GET['print'])?'print_subject':'');?> <?PHP echo ($ticket['flag']=='none')?'comments':"flag_{$ticket['flag']}"; ?>'>
		<ul>
			<li class='ticket_subject'><?PHP if ($_GET['print']) { echo w('Subject:&nbsp;',0); } ?><?PHP echo shorten_string(htmlspecialchars(sx($ticket['subject'])), 99) ?></li>
			<li class='right'>
				<?PHP if (x('to')||x('from')||x('search')): ?>
					<a class='form_button' href='<?PHP echo href('search', 'index', array('to' => x('to'), 'from' => x('from'), 'page' => x('page'), 'search' => x('search'), 'show_tab' => 'helpdesk')); ?>'><?PHP w('return_to_search'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>

	<?PHP if (($ticket['customer_id']||$ticket['user_id'])&&!$_GET['print']): ?>
		<div class='quick_links_bar'>
			<?PHP if (!$ticket['customer_id']): ?>
				<a href='<?PHP echo $create_customer_account; ?>' id='create_customer_account'><?PHP w('create_customer_account_for_user'); ?></a>
			<?PHP else: ?>
				<a href='<?PHP echo $visit_customer_account; ?>' id='visit_customer_account'><?PHP w('view_customer_account'); ?></a>
				<a href='<?PHP echo $customer_add_invoice; ?>' id='customer_add_invoice'><?PHP w('customer_add_invoice'); ?></a>
				<a href='<?PHP echo $customer_add_package; ?>' id='customer_add_package'><?PHP w('customer_add_package'); ?></a>
				<a href='<?PHP echo $customer_view_assets; ?>' id='customer_view_assets'><?PHP w('customer_view_assets'); ?></a>
			<?PHP endif; ?>
			<a href='<?PHP echo $visit_user_account; ?>' id='view_user_account'><?PHP w('view_user_account'); ?></a>
			<a href='<?PHP echo $resend_user_logins; ?>' id='resent_user_logins'><?PHP w('resend_user_logins'); ?></a>
		</div>
	<?PHP endif; ?>

	<div class='tab_content_wrapper  no_top_left_border'>
	<?PHP if ($_GET['print']): ?> <div id='print_ticket'> <?PHP endif; ?>
	<table class='data_grid'>
		<?PHP if (!$_GET['print']): ?>
			<tr class='th'>
				<th><?PHP w('options'); ?></th>
				<th class='align_right'><?PHP echo $s['created']['image']; ?> <a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('reverse_timeline'); ?></a> | <a href='<?PHP echo $print_link; ?>' target='_blank'><?PHP w('Print'); ?></a></th>
			</tr>
		<?PHP endif; ?>
		<tr class='reply_bar border_3px' class='alt'>
			<td colspan='2'><?PHP if (!$_GET['print']): ?>
			<?PHP if ($ticket['status']=='Open'): ?>
				
				<?PHP $extras=array('id' => x('id'), 'close_ticket' => 'y'); ?>
				<?PHP if (x('to')) { $extras['to']=x('to'); } ?>
				<?PHP if (x('to')) { $extras['to']=x('to'); } ?>
				<?PHP if (x('from')) { $extras['from']=x('from'); } ?>
				<?PHP if (x('page')) { $extras['page']=x('page'); } ?>
				<?PHP if (x('search')) { $extras['search']=x('search'); }  ?>
				<?PHP if (x('support_queue')) { $extras['support_queue']=x('support_queue'); } ?>
				<a href='<?PHP echo href('helpdesk', 'view_ticket', $extras); ?>'><?PHP w('close_ticket'); ?></a> |

			<?PHP else: ?>
				
				<?PHP $extras=array('id' => x('id'), 'reopen_ticket' => 'y'); ?>
				<?PHP if (x('to')) { $extras['to']=x('to'); } ?>
				<?PHP if (x('to')) { $extras['to']=x('to'); } ?>
				<?PHP if (x('from')) { $extras['from']=x('from'); } ?>
				<?PHP if (x('page')) { $extras['page']=x('page'); } ?>
				<?PHP if (x('search')) { $extras['search']=x('search'); }  ?>
				<?PHP if (x('support_queue')) { $extras['support_queue']=x('support_queue'); } ?>
				<a href='<?PHP echo href('helpdesk', 'view_ticket', $extras); ?>'><?PHP w('reopen_ticket'); ?></a> |

			<?PHP endif; ?> 
			<?PHP echo $remove_ticket; ?> | <?PHP echo $delete_ticket; ?> | <?PHP endif; ?><?PHP w('ticket#'); ?><?PHP echo $ticket['ticket_id'] ?> <?PHP w('was_opened_on'); ?> <?PHP echo date(config('date_format'), $ticket['created']); ?> <?PHP w('at'); ?> <?PHP echo date(config('time_format'), $ticket['created']); ?> <?PHP w('by'); ?> <?PHP echo $opened_by; ?>.</td>
		</tr>
		<script> var upload_number=new Array();  </script>
		<?PHP $m3=0; foreach ($replies as $unique): $data=prepare($unique); ?>
			<tr <?PHP echo $data['alt']; ?>>
				<td colspan='2'>
					<div class='reply_body'><?PHP echo $data['body']; ?></div>
			<div class='reply_bar'>
				<?PHP if (!$_GET['print']): ?><a href='#' onclick='ticket_reply_quote(<?PHP echo x('id'); ?>, <?PHP echo $data['id']; ?>); return false;'><?PHP w('quote'); ?></a> | <a href='#' onclick='ticket_reply(<?PHP echo x('id'); ?>, <?PHP echo $data['id']; ?>); return false;'><?PHP w('reply'); ?></a> <!--| <a href='#'><?PHP w('notes'); ?></a> | <a href='#'><?PHP w('options'); ?></a>--> | <?PHP endif; ?><?PHP w('posted_on'); ?> <?PHP echo date(config('date_format').' '.config('time_format'), $data['created']); ?> <?PHP w('by'); ?> <?PHP echo $data['posted_by']; ?>

				<?PHP if (!empty($data['attachments'])&&is_array($data['attachments'])): ?>
					<div class='attachments'><?PHP echo $icon; ?> <?PHP w('attachments:'); ?> 
				<?PHP foreach ($data['attachments'] as $key => $attachment) { echo $attachment; } ?></div>
				<?PHP endif; ?>

				<div class='ticket_reply' id='n<?PHP echo $data['id']; ?>' style='display:none'>
				<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype="multipart/form-data">
				<?PHP forms::hidden('mod', 0, x('mod')); ?>
				<?PHP forms::hidden('task', 0, x('task')); ?>
				<?PHP forms::hidden('reply_id', 0, $data['id']); ?>
				<?PHP forms::hidden('id', 0, x('id')); ?>
				<?PHP forms::hidden('send_reply', 0, 'y'); ?>

				<?PHP if (x('to')) { forms::hidden('to', 0, x('to')); } ?>
				<?PHP if (x('from')) { forms::hidden('from', 0, x('from')); } ?>
				<?PHP if (x('page')) { forms::hidden('page', 0, x('page')); } ?>
				<?PHP if (x('search')) { forms::hidden('search', 0, x('search')); } ?>
				<?PHP if (x('support_queue')) { forms::hidden('support_queue', 0, x('support_queue')); } ?>

				<?PHP forms::textarea('r'.$data['id'], 'body', forms::value('body'), '99%', '250px'); ?><br /><br />
				<?PHP forms::submit(0, 0, w('send_reply', 0), 0, 'submit', 1); ?> <?PHP w('-or-'); ?> <a href='#' onclick='discard_reply(<?PHP echo $data['id']; ?>); return false;'><?PHP w('discard_reply'); ?></a> <?PHP w('-or-'); ?> <a id='us<?PHP echo $data['id']; ?>' href='#' onclick='show_uploads(<?PHP echo $data['id']; ?>); return false;'><?PHP w('add_attachment'); ?></a><a id='uh<?PHP echo $data['id']; ?>' style='display:none;' href='#' onclick='hide_uploads(<?PHP echo $data['id']; ?>); return false;'><?PHP w('remove_all_attachments'); ?></a>

				<div class='attachment_container' id='a<?PHP echo $data['id']; ?>' style='display:none;'>
					<input type="file" name="attachment<?PHP echo $data['id']; ?>1" id="attachment1" /> <a href="javascript:addFileInput(<?PHP echo $data['id']; ?>);"><?PHP w('attach_another_file'); ?></a>
					<div id="moreUploads_<?PHP echo $data['id']; ?>" class='moreUploads'></div>
				</div>
				<script> upload_number[<?PHP echo $data['id']; ?>] = 2;  </script>
				</form>
				</div>
			</div></td>
			</tr>
		<?PHP endforeach; ?>
	</table>
	<?PHP if ($_GET['print']): ?> </div> <?PHP endif; ?>
	</div>
</div>

<?PHP echo set_default_tab('reply') ?>