<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP echo mod::tabs($tabs, 'hosting', 'servers', "&id=".x('id'), 'servers'); ?> 

<div class='tab_content' id='assign_group' style='display:none;'>
	
	<div id='ajax_assign_server_errors'><?PHP ($_GET['show_errors'])?errors($errors):''; ?></div>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Server:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $server_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'servers', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "servers", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this server?'); ?>")'><?PHP w('Delete this Server'); ?></a></li>
		</ul>
	</h1>
	<?PHP
	if (!empty($group_select)&&is_array($group_select))
		{
		$m3=0;
		echo "<div class='tab_content_wrapper_wp'><table class='form_table'>";
		foreach ((array)$group_select as $group_id => $group_name)
			{
			$servers_in_group=hosting::get_all_servers_in_group($group_id, true);
			$checked=((in_array(x('id'), $servers_in_group))?' checked':'');
			$checkbox=forms::checkbox("group_{$group_id}", 0, $group_id, $checked, "onclick='assign_server_to_group({$group_id}, ".x('id').");'", 0, 0);
		    echo "<tr><td class='label".alt($m3+=1)."'>&nbsp;&nbsp;<label>{$checkbox} {$group_name}</label></td></tr>";
			}
		echo "</table></div>";
		}
	else { ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('No server groups found in the database.', 0); ?> <a href='<?PHP echo href('hosting', 'groups', array('show_tab' => 'add_new')); ?>'><?PHP w('Click here'); ?></a> <?PHP w('to add a group now.'); ?></p></div>
	<?PHP } ?>
</div>


<div class='tab_content' id='ips' style='display:none;'>
	<?PHP errors($errors); ?>
	<?PHP if (x('add_ips')): ?>
		<h1 class='tab_content_label_2col tab_customer_area_add'>
			<ul>
				<li><label><?PHP w('Viewing Server:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $server_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'servers', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li id='text'><a class='form_button' href='<?PHP echo href('hosting', 'servers', array('id' => x('id'), 'show_tab' => x('show_tab'))); ?>'><?PHP w('Go Back'); ?></a> </li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>

			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
			<?PHP echo forms::hidden('add_ips', 0, 'y'); ?>
			<?PHP echo forms::hidden('add_ips_now', 0, 'y'); ?>
				<table class='form_table'>
					<tr class='th'>
						<th colspan='2'></th>
					</tr>
					</tr>
						<td class='text<?PHP echo alt($m3=0); ?>_top'><?PHP w('Enter IP Addresses:'); forms::overlib(w('Please enter the new IP addresses, one on each line.', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('ips', 0, forms::value('ips'), '200px', '200px'); ?></td>
					</tr>
					<tr>
						<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
			</form>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('Viewing Server:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $server_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'servers', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('hosting', 'servers', array('id' => x('id'), 'add_ips' => 'y', 'show_tab' => x('show_tab'))); ?>'><?PHP w('Add IP Addresses'); ?></a> <a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "servers", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this server?'); ?>")'><?PHP w('Delete this Server'); ?></a></li>
			</ul>
		</h1>
		<?PHP if (!empty($ips)&&is_array($ips)): ?>
			<div class='tab_content_wrapper no_top_left_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('IP Address'); ?></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>

				<?PHP $m3=0; foreach ($ips as $unique): $data=prepare_ips($unique); ?>

					<tr<?PHP echo ((!ooe($m3+=1))?" class='alt'":''); ?>>
						<td><?PHP echo $data['ip']; ?></td>
						<td class='options'>
							<?PHP if ($status=='Available'): ?>
								<a href='#' onclick="javascript:prompt_decision('hosting', 'servers', '&id=<?PHP echo x('id'); ?>&show_tab=ips&remove_ip=<?PHP echo $ip; ?>', '<?PHP echo w('Sure you want to remove the IP address?', 0); ?>');"><?PHP echo w('Remove', 0); ?></a>
							<?PHP else: ?>
								<strike><?PHP echo w('Remove', 0); ?></strike>
							<?PHP endif; ?>
						</td>
					</tr>

				<?PHP endforeach; ?>

				</table>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('No IP addresses have been added yet.', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>



<div class='tab_content' id='settings' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><label><?PHP w('Viewing Server:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $server_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'servers', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "servers", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this server?'); ?>")'><?PHP w('Delete this Server'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (file_exists($m3="modules/hosting/modules/{$server['module']}/view/server_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$server['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>


<div class='tab_content' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><?PHP echo w('Add a New Server'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('id')): ?><?PHP echo forms::hidden('id', 0, x('id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Server Status:'); forms::overlib(w('Please enter the status for this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $server_statuses, forms::value('status')); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Choose Module:'); forms::overlib(w('Please choose the hosting control panel module for this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $modules, forms::value('module')); ?>&nbsp;&nbsp;<i><?PHP w('Max Accounts'); ?></i>&nbsp;&nbsp;<?PHP forms::text('max_accounts', 0, forms::value('max_accounts', $_POST['max_accounts']), 0, 'small'); ?>&nbsp;&nbsp;<i><?PHP w('Enter 0 for Unlimited'); ?></i></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Choose Datacenter:'); forms::overlib(w('Please choose the datacenter in which this server is hosted.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('noc_id', 0, $noc_select, forms::value('noc_id')); ?>&nbsp;&nbsp;<i><?PHP w('Monthly Cost'); ?></i>&nbsp;&nbsp;<?PHP forms::text('monthly_cost', 0, forms::value('monthly_cost'), 0, 'small'); ?>&nbsp;&nbsp;<?PHP forms::select('currency_id', 0, currency::make_select(), forms::value('currency_id')); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Server Hostname:'); forms::overlib(w('Please enter the server hostname.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('hostname', 0, forms::value('hostname'), 0, 'large'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Server IP:'); forms::overlib(w('Please enter the main server IP address.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('server_ip', 0, forms::value('server_ip'), 0, 'large'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Primary Nameserver:'); forms::overlib(w('Please enter the primary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns1', 0, forms::value('ns1'), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns1_ip', 0, forms::value('ns1_ip'), 0, 'medium'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Secondary Nameserver:'); forms::overlib(w('Please enter the secondary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns2', 0, forms::value('ns2'), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns2_ip', 0, forms::value('ns2_ip'), 0, 'medium'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Tertiary Nameserver:'); forms::overlib(w('Please enter the tertiary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns3', 0, forms::value('ns3'), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns3_ip', 0, forms::value('ns3_ip'), 0, 'medium'); ?></td>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Quaternary Nameserver:'); forms::overlib(w('Please enter the quaternary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns4', 0, forms::value('ns4'), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns4_ip', 0, forms::value('ns4_ip'), 0, 'medium'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('Server Notes:'); forms::overlib(w('Please enter any notes that you have for this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('notes', 0, forms::value('notes'), '396px', '100px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('Add Server', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Server:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $server_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'servers', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "servers", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this server?'); ?>")'><?PHP w('Delete this Server'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Server Status:'); forms::overlib(w('Please enter the status for this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $server_statuses, forms::value('status', $server['status'])); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Choose Module:'); forms::overlib(w('Please choose the hosting control panel module for this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $modules, forms::value('module', $server['module'])); ?>&nbsp;&nbsp;<i><?PHP w('Max Accounts'); ?></i>&nbsp;&nbsp;<?PHP forms::text('max_accounts', 0, forms::value('max_accounts', $server['max_accounts']), 0, 'small'); ?>&nbsp;&nbsp;<i><?PHP w('Enter 0 for Unlimited'); ?></i></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Choose Datacenter:'); forms::overlib(w('Please choose the datacenter in which this server is hosted.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('noc_id', 0, $noc_select, forms::value('noc_id', $server['noc_id'])); ?>&nbsp;&nbsp;<i><?PHP w('Monthly Cost'); ?></i>&nbsp;&nbsp;<?PHP forms::text('monthly_cost', 0, forms::value('monthly_cost', $server['monthly_cost']), 0, 'small'); ?>&nbsp;&nbsp;<?PHP forms::select('currency_id', 0, currency::make_select(), forms::value('currency_id', $server['currency_id'])); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Server Hostname:'); forms::overlib(w('Please enter the server hostname.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('hostname', 0, forms::value('hostname', $server['hostname']), 0, 'large'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Server IP:'); forms::overlib(w('Please enter the main server IP address.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('server_ip', 0, forms::value('server_ip', $server['server_ip']), 0, 'large'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Primary Nameserver:'); forms::overlib(w('Please enter the primary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns1', 0, forms::value('ns1', $server['ns1']), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns1_ip', 0, forms::value('ns1_ip', $server['ns1_ip']), 0, 'medium'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Secondary Nameserver:'); forms::overlib(w('Please enter the secondary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns2', 0, forms::value('ns2', $server['ns2']), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns2_ip', 0, forms::value('ns2_ip', $server['ns2_ip']), 0, 'medium'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Tertiary Nameserver:'); forms::overlib(w('Please enter the tertiary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns3', 0, forms::value('ns3', $server['ns3']), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns3_ip', 0, forms::value('ns3_ip', $server['ns3_ip']), 0, 'medium'); ?></td>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Quaternary Nameserver:'); forms::overlib(w('Please enter the quaternary nameserver.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><i><?PHP echo w('Host',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns4', 0, forms::value('ns4', $server['ns4']), 0, 'medium'); ?>&nbsp;&nbsp;<i><?PHP echo w('IP',0); ?></i>&nbsp;&nbsp;<?PHP forms::text('ns4_ip', 0, forms::value('ns4_ip', $server['ns4_ip']), 0, 'medium'); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('Server Notes:'); forms::overlib(w('Please enter any notes that you have for this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('notes', 0, forms::value('notes', $server['notes']), '396px', '100px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>