<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'kb', 'profile_edit', "&id=".x('id'), 'profile_editor'); ?>

<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_server_edit'>
		<ul>
			<li><?PHP echo w('view', 0); ?> <?PHP forms::select($uid=uid('x'), 'profile', $profile_select, forms::value('profile', x('id')), "onchange='toggle_profile(\"#{$uid}\", \"".$m3=href('kb', 'profile_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a href='<?PHP echo href('kb', 'profile_editor', array('show_tab' => 'add_new', 'id' => x('id'))); ?>' class='form_button'><?PHP w('add_a_new_kb_site'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $profile['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $profile['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('url:'); forms::overlib(w('overlib_url', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('url', 0, forms::value('url', $profile['url']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('maintenance_message:'); forms::overlib(w('overlib_maintenance_message', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('maintenance_message', 0, forms::value('maintenance_message', $profile['maintenance_message']), '300px', '75px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>

	</div>
</div>


<div class='tab_content' id='advanced' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_server_edit'>
		<ul>
			<li><?PHP echo w('view', 0); ?> <?PHP forms::select($uid=uid('x'), 'profile', $profile_select, forms::value('profile', x('id')), "onchange='toggle_profile(\"#{$uid}\", \"".$m3=href('kb', 'profile_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a href='#' class='form_button' onclick='javascript:prompt_decision("kb", "profile_edit", "&id=<?PHP echo x('id'); ?>&show_tab=advanced&delete=<?PHP echo x('id'); ?>", "<?PHP w('sure_you_want_to_delete_kb_site'); ?>")'><?PHP echo w('delete_this_kb_site'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'advanced'); ?>
		<?PHP echo forms::hidden('update_advanced', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('api_key:'); forms::overlib(w('overlib_api_key', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $profile['api_key']; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('download_configuration_file:'); forms::overlib(w('config_file_instructions', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('kb', 'profile_edit', array('id' => x('id'), 'config' => 'y')); ?>'><?PHP echo w('click_to_download')?></a></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('email_configuration_id:'); forms::overlib(w('overlib_email_configuration_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('email_configuration_id', 0, $email_configurations, forms::value('email_configuration_id', $profile['email_configuration_id'])); ?></td>
			</tr>
			<?PHP if (is_array($customer_areas)&&!empty($customer_areas)): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('default_customer_area_id:'); forms::overlib(w('overlib_default_customer_area_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('default_customer_area_id', 0, $customer_areas, forms::value('default_customer_area_id', $profile['default_customer_area_id'])); ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>

	</div>
</div>

<div class='tab_content' id='settings' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_server_edit'>
		<ul>
			<li><?PHP echo w('view', 0); ?> <?PHP forms::select($uid=uid('x'), 'profile', $profile_select, forms::value('profile', x('id')), "onchange='toggle_profile(\"#{$uid}\", \"".$m3=href('kb', 'profile_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'settings'); ?>
		<?PHP echo forms::hidden('update_attributes', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('category_display_by:'); forms::overlib(w('overlib_category_display_by', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('category_display_by', 0, array('alphabetical' => w('alphabetical', 0), 'article_count' => w('article_count', 0)), forms::value('category_display_by', $profile['category_display_by'])); ?> <?PHP forms::select('category_asc_desc', 0, array('asc' => w('asc', 0), 'desc' => w('desc', 0)), forms::value('category_asc_desc', $profile['category_asc_desc'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('article_display_by:'); forms::overlib(w('overlib_article_display_by', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('article_display_by', 0, array('alphabetical' => w('alphabetical', 0), 'date_added' => w('date_added', 0), 'total_views' => w('total_views', 0), 'rating' => w('rating', 0)), forms::value('article_display_by', $profile['article_display_by'])); ?> <?PHP forms::select('article_asc_desc', 0, array('asc' => w('asc', 0), 'desc' => w('desc', 0)), forms::value('article_asc_desc', $profile['article_asc_desc'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('time_format:'); forms::overlib(w('overlib_time_format', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('time_format', 0, forms::value('time_format', $profile['time_format']), 0, 'date'); ?> <?PHP echo w('use_php_date_format'); ?> <a href='http://us.php.net/date' target='_BLANK'><?PHP echo w('click_here', 0); ?></a>.</td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('date_format:'); forms::overlib(w('overlib_date_format', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('date_format', 0, forms::value('date_format', $profile['date_format']), 0, 'date'); ?> <?PHP echo w('use_php_date_format'); ?> <a href='http://us.php.net/date' target='_BLANK'><?PHP echo w('click_here', 0); ?></a>.</td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('newest_articles:'); forms::overlib(w('overlib_newest_articles', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('newest_articles', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('newest_articles', $profile['newest_articles'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('most_viewed:'); forms::overlib(w('overlib_most_viewed', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('most_viewed', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('most_viewed', $profile['most_viewed'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('highest_rated:'); forms::overlib(w('overlib_highest_rated', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('highest_rated', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('highest_rated', $profile['highest_rated'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('related_articles:'); forms::overlib(w('overlib_related_articles', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('related_articles', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('related_articles', $profile['related_articles'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('show_total_block:'); forms::overlib(w('overlib_show_total_block', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('show_total_block', 0, forms::value('show_total_block', $profile['show_total_block']), 0, 'small'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('show_total:'); forms::overlib(w('overlib_show_total', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('show_total', 0, forms::value('show_total', $profile['show_total']), 0, 'small'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('enable_glossary:'); forms::overlib(w('overlib_enable_glossary', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_glossary', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('enable_glossary', $profile['enable_glossary'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('show_total_glossary_terms:'); forms::overlib(w('overlib_show_total_glossary_terms', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('show_total_glossary_terms', 0, forms::value('show_total_glossary_terms', $profile['show_total_glossary_terms']), 0, 'small'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('enable_bookmarks:'); forms::overlib(w('overlib_enable_bookmarks', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_bookmarks', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('enable_bookmarks', $profile['enable_bookmarks'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('enable_helpful:'); forms::overlib(w('overlib_enable_helpful', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_helpful', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('enable_helpful', $profile['enable_helpful'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('enable_nl2br:'); forms::overlib(w('overlib_enable_nl2br', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_nl2br', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('enable_nl2br', $profile['enable_nl2br'])); ?></td>
			</tr>
			<?PHP if (third_party::is_enabled('Disqus')): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('enable_disqus_comments:'); forms::overlib(w('overlib_enable_disqus_comments', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_disqus_comments', 0, array('No' => w('no', 0), 'Yes' => w('yes', 0)), forms::value('enable_disqus_comments', $profile['enable_disqus_comments'])); ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>

	</div>
</div>



<div class='tab_content' id='categories' style='display:none;'>
<?PHP errors($errors); ?>



		<div id='cat2profile_errors'></div>
	<h1 class='tab_content_label_2col tab_server_edit'>
		<ul>
			<li><?PHP echo w('view', 0); ?> <?PHP forms::select($uid=uid('x'), 'profile', $profile_select, forms::value('profile', x('id')), "onchange='toggle_profile(\"#{$uid}\", \"".$m3=href('kb', 'profile_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>

		<div class='notice'><?PHP echo w('set_include_notice', 0); ?></div>
		<table class='form_table'><?PHP
		$category_tree='';
		foreach ($assign_media_tree as $key => $value)
			{
			$checked=(in_array($key, profile::categories(x('id'))))?' checked':'';
			$checkbox=forms::checkbox("category_{$key}", 0, $key, $checked, "onclick='assign_profile_to_category({$key}, ".x('id').");'", 0, 0);
			$category_tree.="<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} {$value}</label></td></tr>";
			}
		echo $category_tree;
		?></table>

	</div>
</div>

<?PHP echo set_default_tab('general') ?>