<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield_add'>
		<ul>
			<li><?PHP echo w('add_new_license'); ?></li>
			<li class='right'><a href='<?PHP echo href('license', 'license_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('add_new_license', 0, 'y'); ?>
		<?PHP echo forms::hidden('customer_id', 0, ''); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('choose_customer:'); forms::overlib(w('overlib_customer_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $customer_id; ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('add_a_new_customer_first')?></a></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP echo w('existing_licenses'); ?></li>
			<li class='right'><!--<a href='<?PHP echo href('license', 'license_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_license'); ?></a>--><a href='<?PHP echo href('search', 'index', array('show_tab' => 'licensing')); ?>' class='form_button'><?PHP w('search_licenses'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($licenses)&&is_array($licenses)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['customer_id']['image']; ?><a href='<?PHP echo $s['customer_id']['link']; ?>'><?PHP w('customer'); ?></a></th>
				<th><?PHP echo $s['license_key']['image']; ?><a href='<?PHP echo $s['license_key']['link']; ?>'><?PHP w('license_key'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('license', 'license_editor', $le); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($licenses as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['customer']; ?></td>
				<td><?PHP echo $data['license_key']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_licenses_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>