<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP echo mod::tabs($tabs, 'license_servers', 'server_editor'); ?>

<div class='tab_content' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label'><?PHP echo w('add_new_server'); ?></h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP forms::hidden('add_new', 0, 'y'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP  w('url:'); forms::overlib(w('overlib_url', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('url', 0, forms::value('url'), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col'>
		<ul>
			<li><?PHP echo w('existing_licensing_servers'); ?></li>
			<li id='search'></li></ul></h1>

	<?PHP if (!empty($servers)&&is_array($servers)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_remove_server', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['url']['image']; ?><a href='<?PHP echo $s['url']['link']; ?>'><?PHP w('url'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_remove', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('license_servers', 'server_editor'); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($servers as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['url']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_licensing_servers_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>