<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_cart'>
		<ul>
			<li><?PHP echo w('existing_orders'); ?></li>
			<li class='right'><a href='<?PHP echo href('search', 'index', array('show_tab' => 'orders')); ?>' class='form_button'><?PHP w('search_orders'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($orders)&&is_array($orders)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('confirm_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['customer_id']['image']; ?><a href='<?PHP echo $s['customer_id']['link']; ?>'><?PHP w('customer'); ?></a></th>
				<th><?PHP echo $s['user_id']['image']; ?><a href='<?PHP echo $s['user_id']['link']; ?>'><?PHP w('user'); ?></a></th>
				<th><?PHP echo $s['amount']['image']; ?><a class='on' href='<?PHP echo $s['amount']['link']; ?>'><?PHP w('amount'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a class='on' href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='8'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('orders', 'order_editor', $le); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($orders as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['customer']; ?></td>
				<td><?PHP echo $data['user']; ?></td>
				<td><?PHP echo sx($data['amount']); ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['delete_entire_order']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_orders_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>