<?PHP @template::ran_directly(); /* required for all templates */ 

if ($post['_type']=='new-order-notification')
	{
	// get the session data
	$session=order_forms::get_session($post['shopping-cart_items_item-1_item-description']);

	// update the order to show the gateway that was used
	orders::update_pay_gateway($session['order_id'], $gateway['id'], $gateway['name']);

	$save=array();
	$name=explode(" ", $post['buyer-shipping-address_contact-name']);
	$save['first_name']=$name[0];
	unset($name[0]);
	$save['last_name']=@implode(" ", $name);
	$save['company_name']=$post['buyer-shipping-address_company-name'];
	$save['email']=$post['buyer-shipping-address_email'];
	$save['business_name']=$post['buyer-shipping-address_company-name'];
	$save['address']=$post['buyer-shipping-address_address1'];
	$save['city']=$post['buyer-shipping-address_city'];
	$cs=country_state::find_country_by(sx($post['buyer-billing-address_country-code']));
	$save['country_id']=$cs['id'];
	$cs=country_state::find_state_by(sx($post['buyer-billing-address_region']));;
	$save['state_id']=$cs['id'];
	$save['province']=$post['buyer-billing-address_region'];
	$save['postal_code']=$post['buyer-billing-address_postal-code'];
	$save['phone']=$post['buyer-billing-address_phone'];

	foreach ($save as $key => $value)
		{
		order_forms::session_extras($post['shopping-cart_items_item-1_item-description'], $key, $value);
		}

	order_forms::lock_session($post['shopping-cart_items_item-1_item-description'], $post['google-order-number']);

	if ($post['shopping-cart_items_item-1_item-description'])
		{
		pay_gateways::log('New order notification.', base64_encode(serialize($post)), $buffer['conf']['id'], $gateway['id'], $gateway['name'], $post['shopping-cart_items_item-1_item-description']);
		}
	}



if ($post['_type']=='risk-information-notification')
	{
	// get the session data
	$session=order_forms::get_session_by_transaction_id($post['google-order-number']);

	pay_gateways::session_payment_by_transaction_id($post['google-order-number'], $gateway['id'], $gateway['name'], '', $post['total-charge-amount']);

	pay_gateways::log('Risk Assessment.', base64_encode(serialize($post)), $buffer['conf']['id'], $gateway['id'], $gateway['name'], $session['session_id']);
	}



if ($post['_type']=='charge-amount-notification')
	{
	// get the session data
	$session=order_forms::get_session_by_transaction_id($post['google-order-number']);

	pay_gateways::session_payment_by_transaction_id($post['google-order-number'], $gateway['id'], $gateway['name'], '', $post['total-charge-amount']);
	pay_gateways::log('End of run.', base64_encode(serialize($post)), $buffer['conf']['id'], $gateway['id'], $gateway['name'], $session['session_id']);


	// normal payment, get the updated session
	$session=orders::process($session['session_id'], $post['total-charge-amount']);

	// update the order to show the gateway that was used
	orders::update_pay_gateway($session['order_id'], $gateway['id'], $gateway['name']);

	// log the IPN post!
	pay_gateways::log('End of run.', base64_encode(serialize($post)), $session['order_form_id'], $gateway['id'], $gateway['name'], $session['session_id'], $session['order_id'], $session['customer_id'], $session['user_id']);

/*
	// verify the order is not sitting as incomplete now that we do have a payment
	if ($session['status']=='Complete'&&$session['locked']=='Yes'&&$session['order_id']&&$session['user_id'])
		{ 
		// do we have a transaction logged yet?
		$transaction=invoice::get_payment_by_transaction($post['google-order-number']);
		if (!$transaction)
			{
			// get the first invoice
			if ($invoice=invoice::get_by_order_id($session['order_id']))
				{
				invoice::add_payment($invoice['id'], $gateway['name'], $post['google-order-number'], '', $post['total-charge-amount']);
				if ($invoice['total_due']==$post['total-charge-amount']) 
					{ 
					invoice::update_status($invoice['id'], 'Paid'); 

					order_forms::update_gateway_logs($session['session_id'], $session['order_id'], $session['customer_id'], $session['user_id']);

					orders::update_status($session['order_id'], 'Complete');
					}
				}
			}
		}*/
	}
?>