<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'price_sheets', 'price_sheet_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'price_sheet_editor', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'price_sheets', 'price_sheet_edit', "&id=".x('id'), 'price_sheet_editor'); ?>
<?PHP endif; ?>


<div class='tab_content' id='pricing' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_table_edit'>
		<ul>
			<li><?PHP w('price_sheet'); ?> <?PHP echo $based_on_link; ?></li>
			<li id='text'><?PHP echo forms::select('product_id', 0, $product_select, x('product_id'), "onchange='load_product_pricing(\"".x('id')."{$customer_link}\");'"); ?></li>
		</ul>
	</h1>

	<?PHP if (!empty($pricing)&&is_array($pricing)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_pricing', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('show_tab', 0, 'pricing'); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP w('setup_fee'); ?></th>
				<th><?PHP w('price'); ?></th>
				<th><?PHP w('price_recurring'); ?></th>
			</tr>

		<?PHP foreach ($pricing as $level): $data=prepare($level); ?>
 
			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['setup_fee']; ?></td>
				<td><?PHP echo $data['price']; ?></td>
				<td><?PHP echo $data['price_recurring']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_pricing_for_product', 0); ?> <a href='<?PHP echo href('products', 'product_edit', array('show_tab' => 'pricing', 'id' => $product_id, 'add_pricing' => 'y')); ?>'><?PHP echo w('click_here'); ?></a> <?PHP echo w('to_add_pricing_now'); ?></p></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_table_edit'>
		<ul>
			<li><?PHP w('price_sheet'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('saving_form_reset_prices', 0)."\");'"); ?>
		<?PHP echo forms::hidden('mod', 0, 'price_sheets'); ?>
		<?PHP echo forms::hidden('task', 0, 'price_sheet_edit'); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('save_form', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('currency_id:'); forms::overlib(w('overlib_currency_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('currency_id', 0, currency::make_select(), forms::value('currency_id', $price_sheet['currency_id']), "onchange='set_currency_label();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('domain_slab_id:'); forms::overlib(w('overlib_domain_slab_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('domain_slab_id', 0, $domain_slabs, forms::value('domain_slab_id', $price_sheet['domain_slab_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('base_on:'); forms::overlib(w('overlib_base_on', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('base_on', 0, $price_sheet_select, forms::value('base_on', $price_sheet['base_on'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $price_sheet['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('discount_percentage:'); forms::overlib(w('overlib_discount_percentage', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('discount_percentage', 0, forms::value('discount_percentage', $price_sheet['discount_percentage']),  "onchange='warn_discount(\"{$price_sheet['discount_percentage']}\");'", 'small'); ?> %</td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('start_date:'); forms::overlib(w('overlib_start_date', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('start_date', 0, forms::value('start_date', $price_sheet['start_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('end_date:'); forms::overlib(w('overlib_end_date', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('end_date', 0, forms::value('end_date', $price_sheet['end_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('sheet_type:'); forms::overlib(w('overlib_sheet_type', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('type', 0, price_sheet::types(), forms::value('type', $price_sheet['type']), "onchange='toggle_sheet_type(true);'"); ?></td>
			</tr>
		</table>
		<div id='exchange_rate' style='display:none;'>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('exchange_rate:'); forms::overlib(w('overlib_exchange_rate', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'>1 <?PHP echo $default_currency['alpha']; ?> = <?PHP forms::text('exchange_rate', 0, forms::value('exchange_rate', $price_sheet['exchange_rate']), "onchange='warn_exchange_reset(\"{$price_sheet['exchange_rate']}\");'", 'small'); ?> <label id='selected_currency'></label></td>
				</tr>
			</table>
		</div>
		<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit('save_button', 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		<script> toggle_sheet_type(); set_currency_label(); </script>
		</form>
	</div>
</div>

<div class='tab_content' id='advanced' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_table_edit'>
		<ul>
			<li><?PHP w('price_sheet'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, 'price_sheets'); ?>
		<?PHP echo forms::hidden('task', 0, 'price_sheet_edit'); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('save_advanced', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('suspend_unsuspend_licenses:'); forms::overlib(w('overlib_suspend_unsuspend_licenses', 0)); ?></td>
				<td class='label_alt'><?PHP forms::select('suspend_licenses', 0, $no_yes, forms::value('suspend_licenses', $price_sheet['suspend_licenses'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit('save_button', 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>