<?PHP @template::ran_directly(); /* required for all templates */ ?>
 
<?PHP echo mod::tabs($tabs, 'promotions', 'edit', "&id=".x('id'), 'editor'); ?>

<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_tag_blue_edit'>
		<ul>
			<li><?PHP echo $promotion['promotion_code']; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('old_promotion_code', 0, $promotion['promotion_code']); ?>
		<?PHP echo forms::hidden('update_promotion', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, array('Enabled' => w('enabled', 0), 'Disabled' => w('disabled', 0)), forms::value('status', $promotion['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('promotion_code:'); forms::overlib(w('overlib_promotion_code', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('promotion_code', 0, forms::value('promotion_code', $promotion['promotion_code'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('description', 0, forms::value('description', $promotion['description']), '', 'medium'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('expires:'); forms::overlib(w('overlib_expires', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('expires', 0, forms::value('expires', $promotion['expires']), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('max_uses:'); forms::overlib(w('overlib_max_uses', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('max_uses', 0, forms::value('max_uses', $promotion['max_uses']), false, 'date'); ?> <?PHP echo w('used_so_far:')?> <b><?PHP echo $promotion['current_uses']?></b></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('apply_once:'); forms::overlib(w('overlib_apply_once', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('apply_once', 0, $apply_once, forms::value('apply_once', $promotion['apply_once'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('apply_to:'); forms::overlib(w('overlib_apply_to', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('apply_to', 0, $apply_to, forms::value('apply_to', $promotion['apply_to'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('promotion_type:'); forms::overlib(w('overlib_promotion_type', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('type', 0, $promotion_choices, forms::value('type', $promotion['type']), "onchange='toggle_choices(); return false;'"); ?></td>
			</tr>
		</table>
		<?PHP $marker=$m3; ?>
		<div id='Use_Price_Sheet' style='display:none;'>
		<?PHP $start=$marker; ?>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3=($start+=1)); ?>'><?PHP w('price_sheet_id:'); forms::overlib(w('overlib_price_sheet_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('price_sheet_id', 0, $price_sheets, forms::value('price_sheet_id', $promotion['price_sheet_id'])); ?></td>
				</tr>
			</table>
		</div>
		<div id='Percentage' style='display:none;'>
		<?PHP $start=$marker; ?>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3=($start+=1)); ?>'><?PHP w('discount_percentage:'); forms::overlib(w('overlib_discount_percentage', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('discount_percentage', 0, forms::value('discount_percentage', $promotion['discount_percentage']), false, 'small'); ?> %</td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('discount_setup_fee:'); forms::overlib(w('overlib_discount_setup_fee', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('discount_setup_fee', 0, $no_yes, forms::value('discount_setup_fee', $promotion['discount_setup_fee'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('discount_price:'); forms::overlib(w('overlib_discount_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('discount_price', 0, $no_yes, forms::value('discount_price', $promotion['discount_price'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('discount_recurring_price:'); forms::overlib(w('overlib_discount_recurring_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('discount_recurring_price', 0, $no_yes, forms::value('discount_recurring_price', $promotion['discount_recurring_price']), "onchange='toggle_recurring_settings(); return false;'"); ?></td>
				</tr>
			</table>
		<?PHP $marker2=$m3; ?>
		</div>
		<div id='Fixed_Amount' style='display:none;'>
		<?PHP $start=$marker; ?>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3=($start+=1)); ?>'><?PHP w('currency_id:'); forms::overlib(w('overlib_currency_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('currency_id', 0, $currencies, forms::value('currency_id', $fixed_discounts['currency_id']), "onchange='toggle_currency_fixed_discounts(\"".x('id')."\");'"); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('fixed_discount_setup_fee:'); forms::overlib(w('overlib_fixed_discount_setup_fee', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $setup_fee?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('fixed_discount_price:'); forms::overlib(w('overlib_fixed_discount_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $price?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('fixed_discount_recurring_price:'); forms::overlib(w('overlib_fixed_discount_recurring_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $price_recurring?></td>
				</tr>
			</table>
		</div>
		<div id='recurring_settings' style='display:none;'>
		<?PHP $start=$marker2; ?>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3=($start+=1)); ?>'><?PHP w('discount_recurring_expires:'); forms::overlib(w('overlib_discount_recurring_expires', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo w('after')?> <?PHP forms::text('discount_recurring_terms', 0, forms::value('discount_recurring_terms', $promotion['discount_recurring_terms']), false, 'small'); ?> <?PHP echo w('invoices_or_on')?> <?PHP forms::text('discount_recurring_expires', 0, forms::value('discount_recurring_expires', $promotion['discount_recurring_expires']), false, 'date datepicker'); ?></td>
				</tr>
			</table>
		</div>
		<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	<script> toggle_choices(); </script>
	</div>
</div>


<div class='tab_content' id='assign_promotion' style='display:none;'>
	<?PHP errors($errors); ?>

		<div id='ajax_errors'></div>
		<h1 class='tab_content_label_2col tab_tag_blue_edit'>
			<ul>
				<li><?PHP echo $promotion['promotion_code']; ?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'><table class='form_table'><?PHP
$product_tree='';
$products=product::get_all();
foreach ($products as $product)
	{
	$product_tree.="<tr><td class='label_alt'>&nbsp;&nbsp;<b>{$product['name']}</b></td></tr>";

	$skus=product::get_skus($product['id']); 
	foreach($skus as $sku)
		{
		$checked=(in_array($sku['id'], promotions::assignments($promotion['id'])))?' checked':'';
		$checkbox=forms::checkbox("sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign({$promotion['id']}, {$sku['id']});'", 0, 0);
		$product_tree.="<tr><td class='label'><label>{$checkbox} {$sku['name']}</label></td></tr>";
		}
	}
echo $product_tree;
?></table>
		</div>
</div>

<?PHP echo set_default_tab('general') ?>