<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_tag_blue_add'>
	<ul>
		<li><?PHP w('add_a_new_promotion'); ?></li>
		<li class='right'><a class='form_button' href='<?PHP echo href('promotions', 'editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
			<td class='label'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), x('status')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('promotion_code:'); forms::overlib(w('overlib_promotion_code', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('promotion_code', 0, forms::value('promotion_code')); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_promotion', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_tag_blue'>
		<ul>
			<li><?PHP w('existing_promotions'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('promotions', 'editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_promotion'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($customers)&&is_array($customers)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['promotion_code']['image']; ?><a href='<?PHP echo $s['promotion_code']['link']; ?>'><?PHP w('promotion_code'); ?></a></th>
				<th><?PHP echo $s['description']['image']; ?><a href='<?PHP echo $s['description']['link']; ?>'><?PHP w('Description'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('promotions', 'editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($customers as $customer): $data=prepare($customer); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['promotion_code']; ?></td>
				<td><?PHP echo $data['description']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_promotions_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>