<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'search', 'index'); ?>


<div class='tab_content' id='helpdesk' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('helpdesk', 'dashboard', array('support_queue' => x('support_queue'), 'show_tab' => 'tickets')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'helpdesk'); ?>
		<?PHP forms::hidden('support_queue', 0, x('support_queue')); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>

	<?PHP if (!empty($tickets)&&is_array($tickets)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><center>#</center></th>
					<th><?PHP echo $hd['ticket_id']['image']; ?><a href='<?PHP echo $hd['ticket_id']['link']; ?>'><?PHP w('ticket_id'); ?></a></th>
					<th><?PHP echo $hd['subject']['image']; ?><a href='<?PHP echo $hd['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
					<th><?PHP echo $hd['department']['image']; ?><a href='<?PHP echo $hd['department']['link']; ?>'><?PHP w('dept'); ?></a></th>
					<th><?PHP echo $hd['created']['image']; ?><a href='<?PHP echo $hd['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th><?PHP echo $hd['last_reply']['image']; ?><a href='<?PHP echo $hd['last_reply']['link']; ?>'><?PHP w('last_reply'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($tickets as $unique): $data=prepare_tickets($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><center><?PHP echo $data['flag']; ?></center></td>
						<td><?PHP echo $data['ticket_id']; ?></td>
						<td><?PHP echo $data['subject']; ?></td>
						<td><?PHP echo $data['department']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td><?PHP echo $data['last_reply']; ?></td>
						<td class='options'><?PHP echo $data['view']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			<?PHP echo $pagination_tickets; ?>
		</div>
	<?PHP elseif (empty($tickets)&&is_array($tickets)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='orders' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('orders', 'order_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'orders'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>

	<?PHP if (!empty($orders)&&is_array($orders)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sx['id']['image']; ?><a href='<?PHP echo $sx['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sx['customer_id']['image']; ?><a href='<?PHP echo $sx['customer_id']['link']; ?>'><?PHP w('customer'); ?></a></th>
					<th><?PHP echo $sx['user_id']['image']; ?><a href='<?PHP echo $sx['user_id']['link']; ?>'><?PHP w('user'); ?></a></th>
					<th><?PHP echo $sx['amount']['image']; ?><a class='on' href='<?PHP echo $sx['amount']['link']; ?>'><?PHP w('amount'); ?></a></th>
					<th><?PHP echo $sx['status']['image']; ?><a class='on' href='<?PHP echo $sx['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th><?PHP echo $sx['created']['image']; ?><a href='<?PHP echo $sx['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP foreach ($orders as $unique): $data=prepare_orders($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['customer']; ?></td>
						<td><?PHP echo $data['user']; ?></td>
						<td><?PHP echo sx($data['amount']); ?></td>
						<td><?PHP echo $data['status']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		<?PHP echo $pagination_orders; ?>
		</div>
	<?PHP elseif (empty($orders)&&is_array($orders)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='invoices' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'invoices'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>

	<?PHP if (!empty($billing)&&is_array($billing)): ?>
		<div class='tab_content_wrapper no_top_border'>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $s['invoice_id']['image']; ?><a href='<?PHP echo $s['invoice_id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $s['customer_id']['image']; ?><a href='<?PHP echo $s['customer_id']['link']; ?>'><?PHP w('customer'); ?></a></th>
					<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th><?PHP echo $s['due_date']['image']; ?><a class='on' href='<?PHP echo $s['due_date']['link']; ?>'><?PHP w('due_date'); ?></a></th>
					<th><?PHP echo $s['status']['image']; ?><a class='on' href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th><?PHP echo $s['total_due']['image']; ?><a class='on' href='<?PHP echo $s['total_due']['link']; ?>'><?PHP w('amount'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP $m3=0; foreach ($billing as $unique): $data=prepare_billing($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['invoice_id']; ?></td>
					<td><?PHP echo $data['customer_id']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td><?PHP echo $data['due_date']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['total_due']; ?></td>
					<td class='options'><?PHP echo $data['print']; ?> / <?PHP echo $data['view']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			<?PHP echo $pagination_billing; ?>
		</div>
	<?PHP elseif (empty($billing)&&is_array($billing)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='customers' style='display:none;'>


	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'customers'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>
	<?PHP if (!empty($customers)&&is_array($customers)): ?>
	<div class='tab_content_wrapper no_top_border'>
		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $sa['id']['image']; ?><a href='<?PHP echo $sa['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $sa['name']['image']; ?><a href='<?PHP echo $sa['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $sa['status']['image']; ?><a href='<?PHP echo $sa['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

			<?PHP $m3=0; foreach ($customers as $unique): $data=prepare_customers($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['view']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			<?PHP echo $pagination_customers; ?>
		</div>
	<?PHP elseif (empty($customers)&&is_array($customers)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='users' style='display:none;'>


	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('users', 'user_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'users'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>
	<?PHP if (!empty($users)&&is_array($users)): ?>
		<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sb['id']['image']; ?><a href='<?PHP echo $sb['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sb['first_name']['image']; ?><a href='<?PHP echo $sb['first_name']['link']; ?>'><?PHP w('first_name'); ?></a></th>
					<th><?PHP echo $sb['last_name']['image']; ?><a href='<?PHP echo $sb['last_name']['link']; ?>'><?PHP w('last_name'); ?></a></th>
					<th><?PHP echo $sb['email']['image']; ?><a href='<?PHP echo $sb['email']['link']; ?>'><?PHP w('email'); ?></a></th>
					<th><?PHP echo $sb['status']['image']; ?><a href='<?PHP echo $sb['mod']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($users as $user): $data=prepare_users($user); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['first_name']; ?></td>
						<td><?PHP echo $data['last_name']; ?></td>
						<td><?PHP echo $data['email']; ?></td>
						<td><?PHP echo $data['status']; ?></td>
						<td class='options'><?PHP echo $data['view']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			<?PHP echo $pagination_user; ?>
		</div>
	<?PHP elseif (empty($users)&&is_array($users)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='products' style='display:none;'>


	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'products'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>
	<?PHP if (!empty($products)&&is_array($products)): ?>
		<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sc['id']['image']; ?><a href='<?PHP echo $sc['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sc['name']['image']; ?><a href='<?PHP echo $sc['name']['link']; ?>'><?PHP w('product_name'); ?></a></th>
					<th><?PHP echo $sc['status']['image']; ?><a href='<?PHP echo $sc['status']['link']; ?>'><?PHP w('product_status'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($products as $unique): $data=prepare_product($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['status']; ?></td>
						<td class='options'><?PHP echo $data['view']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			<?PHP echo $pagination_products; ?>
		</div>
	<?PHP elseif (empty($products)&&is_array($products)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='licensing' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('license', 'license_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'licensing'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>

	<?PHP if (!empty($licensing)&&is_array($licensing)): ?>
		<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sd['customer_id']['image']; ?><a href='<?PHP echo $sd['customer_id']['link']; ?>'><?PHP w('customer'); ?></a></th>
					<th><?PHP echo $sd['license_key']['image']; ?><a href='<?PHP echo $sd['license_key']['link']; ?>'><?PHP w('license_key'); ?></a></th>
					<th><?PHP echo $sd['status']['image']; ?><a href='<?PHP echo $sd['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th><?PHP echo $sd['created']['image']; ?><a class='on' href='<?PHP echo $sd['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($licensing as $unique): $data=prepare_licenses($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['customer']; ?></td>
						<td><?PHP echo $data['license_key']; ?></td>
						<td><?PHP echo $data['status']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['view']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			<?PHP echo $pagination_licenses; ?>
		</div>
	<?PHP elseif (empty($licensing)&&is_array($licensing)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='domains' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('domains', 'domains', array('show_tab' => 'general')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'domains'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>

	<?PHP if (!empty($domains)&&is_array($domains)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $se['id']['image']; ?><a href='<?PHP echo $se['id']['link']; ?>'><?PHP w('ID'); ?></a></th>
				<th><?PHP echo $se['domain']['image']; ?><a href='<?PHP echo $se['domain']['link']; ?>'><?PHP w('Domain'); ?></a></th>
				<th><?PHP echo $se['registrar_id']['image']; ?><a href='<?PHP echo $se['registrar_id']['link']; ?>'><?PHP w('Registrar'); ?></a></th>
				<th><?PHP echo $se['rtr_type']['image']; ?><a href='<?PHP echo $se['rtr_type']['link']; ?>'><?PHP w('RTR Type'); ?></a></th>
				<th><?PHP echo $se['years']['image']; ?><a href='<?PHP echo $se['years']['link']; ?>'><?PHP w('Years'); ?></a></th>
				<th><?PHP echo $se['last_renew']['image']; ?><a href='<?PHP echo $se['last_renew']['link']; ?>'><?PHP w('Last Renew'); ?></a></th>
				<th><?PHP echo $se['next_renew']['image']; ?><a href='<?PHP echo $se['next_renew']['link']; ?>'><?PHP w('Next Renew'); ?></a></th>
				<th><?PHP echo $se['created']['image']; ?><a class='on' href='<?PHP echo $se['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP foreach ($domains as $unique): $data=prepare_domains($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['domain']; ?></td>
					<td><?PHP echo $data['registrar_id']; ?></td>
					<td><?PHP echo $data['rtr_type']; ?></td>
					<td><?PHP echo $data['years']; ?></td>
					<td><?PHP echo $data['last_renew']; ?></td>
					<td><?PHP echo $data['next_renew']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		<?PHP echo $pagination_domains; ?>
		</div>
	<?PHP elseif (empty($domains)&&is_array($domains)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='hosting' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_search'>
		<ul>
			<li><?PHP echo w('search_results'); ?></li>
			<li class='right'><a href='<?PHP echo href('hosting', 'accounts', array('show_tab' => 'general')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>

	<div class='advanced_search_wrapper'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'hosting'); ?>
		From <?PHP forms::text(uid('f'), 'from', x('from'), 0, 'date datepicker'); ?> to <?PHP forms::text(uid('t'), 'to', x('to'), 0, 'date datepicker'); ?> for <?PHP forms::text('search', 0, x('search'), 0, 'large'); ?><?PHP forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
	</div>

	<?PHP if (!empty($hosting_accounts)&&is_array($hosting_accounts)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $sf['id']['image']; ?><a href='<?PHP echo $sf['id']['link']; ?>'><?PHP w('ID'); ?></a></th>
				<th><?PHP echo $sf['domain']['image']; ?><a href='<?PHP echo $sf['domain']['link']; ?>'><?PHP w('Domain'); ?></a></th>
				<th><?PHP echo $sf['customer_id']['image']; ?><a href='<?PHP echo $sf['customer_id']['link']; ?>'><?PHP w('Customer'); ?></a></th>
				<th><?PHP echo $sf['server_id']['image']; ?><a href='<?PHP echo $sf['server_id']['link']; ?>'><?PHP w('Server'); ?></a></th>
				<th><?PHP echo $sf['is_provisioned']['image']; ?><a href='<?PHP echo $sf['is_provisioned']['link']; ?>'><?PHP w('Provisioned?'); ?></a></th>
				<th><?PHP echo $sf['status']['image']; ?><a href='<?PHP echo $sf['status']['link']; ?>'><?PHP w('Status'); ?></a></th>
				<th><?PHP echo $sf['created']['image']; ?><a class='on' href='<?PHP echo $sf['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP foreach ($hosting_accounts as $unique): $data=prepare_hosting_accounts($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['domain']; ?></td>
					<td><?PHP echo $data['customer']; ?></td>
					<td><?PHP echo $data['server']; ?></td>
					<td><?PHP echo $data['provisioned']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		<?PHP echo $pagination_hosting_accounts; ?>
		</div>
	<?PHP elseif (empty($hosting_accounts)&&is_array($hosting_accounts)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_for_your_search', 0); ?></p></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><div class='notice'><?PHP echo w('please_enter_your_search_to_begin', 0); ?></div></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('billing') ?>