<?PHP
error_reporting(6135);
ini_set('display_errors', '1');

// load the modules class 
include_once 'configuration.php';
include_once "{$default_admin_path}modules/common/lib/classes/modules.php";

// start m3
$installed=mod::start_m3();
if (!$installed) { die('invalid'); }
$spbas='admin';
include $installed;

// load system modules
mod::dependencies('common', false, $default_admin_path);
mod::dependencies('api', false, $default_admin_path);

// load the database
mod::database($conf);

// get common configuration
$conf=$conf+mod::conf();

// start clean with the proper headers
clear_cache();

// load the localization
$conf['localization']=localization::get_group((x('language')?x('language'):'en-us'), 'api', 'api');

// validate the module
if (!x('mod')) { die('invalid'); }
if (!in_array(x('mod'), $valid_mods)) { die(w('invalid')); }

// load the module dependencies
mod::dependencies(x('mod'), false, $default_admin_path);

// validate the task
if (!x('task')) { die('invalid'); }
if (!in_array(x('task'), $valid_tasks)) { die(w('invalid')); }

// validate the API key
if (!x('api_key')&&!in_array(x('task'), $no_api_key_required)) { die('invalid'); }

// Route the request
if (file_exists($m3='modules/'.x('mod').'/'.x('task').'.php')) 
	{
	$errors=$buffer=array();

	$hook_data=array();
	third_party::trigger('_at_api_request', $hook_data);

	include_once $m3;

	 // deliver the data
	die(api::wrap_package($buffer, count($errors)));
	}

die(w('404_mod_task_not_found'));
?>