<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

// query the API
$request=api_customer_area::contact(
		$conf['api_handler'], 
		$conf['api_key'], 
		'customer_areas', 
		'contact', 
		false // set to true for debug 
		); 

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];
$department=$request['department'];
$recaptcha=$request['recaptcha'];
unset($requst);

// reCAPTCHA integration!
if (!empty($recaptcha))
	{
	require_once('includes/classes/reCAPTCHA/recaptchalib.php');
	$publickey=$recaptcha['public_key'];
	}

$errors=array();
if ($_POST)
	{
	if (!$_POST['first_name']) { $errors[]=w('error_first_name', 0); }
	if (!$_POST['last_name']) { $errors[]=w('error_last_name', 0); }
	if (!$_POST['email']) { $errors[]=w('error_email', 0); }
	if (!$_POST['subject']) { $errors[]=w('error_subject', 0); }
	if (!$_POST['message']) { $errors[]=w('error_message', 0); }

	if (!empty($recaptcha))
		{
		$privatekey = $recaptcha['private_key'];
		$resp = recaptcha_check_answer ($privatekey,
										$_SERVER["REMOTE_ADDR"],
										$_POST["recaptcha_challenge_field"],
										$_POST["recaptcha_response_field"]);

		if (!$resp->is_valid) { $errors[]=w('error_recaptcha', 0); }
		}

	if (empty($errors))
		{ 
		$request=api_customer_area::contact_form_send(
				$conf['api_handler'], 
				$conf['api_key'], 
				'customer_areas', 
				'contact_form_send', 
				false, // set to true for debug 
				$_POST['first_name'],
				$_POST['last_name'],
				$_POST['email'],
				$_POST['subject'],
				$_POST['message']
				);

		if (empty($request['errors']))
			{
			$errors[]=w('message_mailed_successfully', 0);
			$errors['success']='y';
			unset(
				$_POST['first_name'], 
				$_POST['last_name'], 
				$_POST['email'], 
				$_POST['subject'], 
				$_POST['message']
				);
			}
		else { $errors=$request['errors']; }
		}
	}

$breadcrumb=' &raquo; '.w('contact_us', 0);
?>