<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>


<div id='inner_tab_container'>
	<ul>
		<li><a id='tab_my_info' class='left' href='#' onclick='toggle_tab("my_info", "my_account", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('my_info'); ?></a></li>
		<?PHP if ($company&&$company['is_primary']): ?>
			<li><a id='tab_contacts' href='#' onclick='toggle_tab("contacts", "my_account", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('contacts')?></a></li>
			<li><a id='tab_addresses' href='#' onclick='toggle_tab("addresses", "my_account", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('addresses')?></a></li>
		<?PHP endif; ?>
		<li><a id='tab_security_question' href='#' onclick='toggle_tab("security_question", "my_account", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('security_question'); ?></a></li>
		<li><a id='tab_change_password' class='right' href='#' onclick='toggle_tab("change_password", "my_account", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('change_password'); ?></a></li>
	</ul>
</div>
<div class='clear'><!--ie--></div>

<div class='box'>
<?PHP display_errors($errors); ?>
	<div class='inner_tab_content' id='my_info' style='display:none;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('task', 0, 'my_account'); ?>
		<?PHP echo forms::hidden('tab', 0, 'my_info'); ?>
		<?PHP echo forms::hidden('update_my_info', 0, 'y'); ?>
		<table>
			<?PHP if ($company): ?>
				<tr>
					<td class='label'><?PHP echo w('company:'); ?></td>
					<td class='text'><b><?PHP echo $company['name']; ?></b></td>
				</tr>
				<?PHP if ($enable_vat): ?>
					<tr>
						<td class='label'><?PHP echo w('vat_number:'); ?></td>
						<td class='text'><?PHP echo forms::text('vat_number', 0, forms::value('vat_number', $company['vat_number']), ' maxlength="15"', 'medium')?></td>
					</tr>
				<?PHP endif; ?>
			<?PHP endif; ?>
			<tr>
				<td class='label'><?PHP echo w('email:'); ?></td>
				<td class='text'><b><?PHP echo $session['email']; ?></b></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('username:'); ?></td>
				<td class='text'><b><?PHP echo $session['username']; ?></b></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('first_name:'); ?></td>
				<td class='text'><?PHP echo forms::text('first_name', 0, forms::value('first_name', $session['first_name'])); ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('last_name:'); ?></td>
				<td class='text'><?PHP echo forms::text('last_name', 0, forms::value('last_name', $session['last_name'])); ?></td>
			</tr>
			<tr>
				<td class='label_submit'>&nbsp;</td>
				<td class='text'><?PHP echo forms::submit('', 0, w('save_changes', 0)); ?></td>
			</tr>
		</table>
		</form>
	</div>

	<?PHP if ($company&&$company['is_primary']): ?>

		<div class='inner_tab_content' id='addresses' style='display:none;'>
			<?PHP if (x('address_id')): ?>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('task', 0, 'my_account'); ?>
				<?PHP echo forms::hidden('address_id', 0, $address['id']); ?>
				<?PHP echo forms::hidden('sop', 0, 'province'); ?>
				<?PHP echo forms::hidden('save_address_changes', 0, 'y'); ?>
				<?PHP echo forms::hidden('tab', 0, 'addresses'); ?>
				<?PHP echo forms::hidden('state_id', 0, ''); ?>
				<table>
					<tr>
						<td class='label'><?PHP echo w('contact_type:'); ?></td>
						<td class='text'><?PHP echo forms::select('contact_type', 0, array('primary' => w('primary', 0)), forms::value('contact_type', $address['contact_type'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('business_name:'); ?></td>
						<td class='text'><?PHP echo forms::text('business_name', 0, forms::value('business_name', $address['business_name'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('address:'); ?></td>
						<td class='text'><?PHP echo forms::text('address', 0, forms::value('address', $address['address'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('city:'); ?></td>
						<td class='text'><?PHP echo forms::text('city', 0, forms::value('city', $address['city'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('country:'); ?></td>
						<td class='text'><?PHP echo forms::select('country_id', 0, $countries, forms::value('country_id', $address['country_id']), "onchange='toggle_state_province();'", 0, 1); ?></td>
					</tr>
					<?PHP foreach ($states as $country => $group): ?>
						<tr id='states<?PHP echo $country?>' class='states' style='display:none;'>
							<td class='label'><?PHP w('state_id:'); ?></td>
							<td class='text'><?PHP forms::select("states_{$country}", 0, $group, forms::value('state_id', $address['state_id']), "onchange='set_state_choice({$country});'", 'state_select'); ?><script> set_state_choice(<?PHP echo $country?>); </script></td>
						</tr>
					<?PHP endforeach; ?>
					<tr id='countries'>
						<td class='label'><?PHP echo w('province:'); ?></td>
						<td class='text'><?PHP echo forms::text('province', 0, forms::value('province', $address['province'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('postal_code:'); ?></td>
						<td class='text'><?PHP echo forms::text('postal_code', 0, forms::value('postal_code', $address['postal_code'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('phone:'); ?></td>
						<td class='text'><?PHP echo forms::text('phone', 0, forms::value('phone', $address['phone'])); ?></td>
					</tr>
					<tr>
						<td class='label_submit'>&nbsp;</td>
						<td class='text'><?PHP echo forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
				</form>
				<script> toggle_state_province(); </script>
			<?PHP elseif (x('add_address')): ?>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('task', 0, x('task')); ?>
				<?PHP echo forms::hidden('add_address', 0, 'y'); ?>
				<?PHP echo forms::hidden('sop', 0, 'province'); ?>
				<?PHP echo forms::hidden('tab', 0, 'addresses'); ?>
				<?PHP echo forms::hidden('address_id', 0, x('address_id')); ?>
				<table>
					<tr>
						<td class='label'><?PHP echo w('contact_type:'); ?></td>
						<td class='text'><?PHP echo forms::select('contact_type', 0, array('primary' => w('primary', 0)), forms::value('contact_type')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('business_name:'); ?></td>
						<td class='text'><?PHP echo forms::text('business_name', 0, forms::value('business_name')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('address:'); ?></td>
						<td class='text'><?PHP echo forms::text('address', 0, forms::value('address')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('city:'); ?></td>
						<td class='text'><?PHP echo forms::text('city', 0, forms::value('city')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('country:'); ?></td>
						<td class='text'><?PHP echo forms::select('country_id', 0, $countries, forms::value('country_id'), "onchange='toggle_state_province();'", 0, 1); ?></td>
					</tr>
					<tr id='states' style='display:none;'>
						<td class='label'><?PHP echo w('state_id:'); ?></td>
						<td class='text'><?PHP echo forms::select('state_id', 0, $states, forms::value('state_id')); ?></td>
					</tr>
					<tr id='countries' style='display:block;'>
						<td class='label'><?PHP echo w('province:'); ?></td>
						<td class='text'><?PHP echo forms::text('province', 0, forms::value('province')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('postal_code:'); ?></td>
						<td class='text'><?PHP echo forms::text('postal_code', 0, forms::value('postal_code')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('phone:'); ?></td>
						<td class='text'><?PHP echo forms::text('phone', 0, forms::value('phone')); ?></td>
					</tr>
					<tr>
						<td class='label_submit'>&nbsp;</td>
						<td class='text'><?PHP echo forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
				</form>
				<script> toggle_state_province(); </script>
			<?PHP else: ?>
				<?PHP if (!empty($addresses)&&is_array($addresses)): ?>
					&nbsp;&nbsp;<img src='templates/<?PHP echo $conf['template']?>/images/icons/add.gif' class='icon' /> <a href='<?PHP echo href('my_account', array('tab' => 'addresses', 'add_address' => 'y')); ?>'><?PHP echo w('add_new_address'); ?></a><br /><br />
					<table class='data_grid'>
						<tr class='th'>
							<th><?PHP echo w('id'); ?></th>
							<th><?PHP echo w('contact_type'); ?></th>
							<th><?PHP echo w('address'); ?></th>
							<th><?PHP echo w('city'); ?></th>
							<th class='options'><?PHP w('options'); ?></th>
						</tr>

					<?PHP $m3=0; foreach ($addresses as $unique): $data=prepare($unique); ?>

						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['contact_type']; ?></td>
							<td><?PHP echo $data['address']; ?></td>
							<td><?PHP echo $data['city']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
						</tr>

					<?PHP endforeach; ?>

					</table>
					<?PHP echo $address_pagination; ?>
				<?PHP else: ?>
					<?PHP echo w('no_addresses_in_db', 0); ?> <a href='<?PHP echo href('my_account', array('tab'=>'addresses','add_address'=>'y')); ?>'><?PHP echo w('click_here')?></a> <?PHP echo w('to_add_a_new_address'); ?>
				<?PHP endif; ?>
			<?PHP endif; ?>
		</div>

		<div class='inner_tab_content' id='contacts' style='display:none;'>
			<?PHP if (x('contact_id')&&x('edit_contact')): ?>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('task', 0, 'my_account'); ?>
				<?PHP echo forms::hidden('tab', 0, 'contacts'); ?>
				<?PHP echo forms::hidden('contact_id', 0, x('contact_id')); ?>
				<?PHP echo forms::hidden('edit_contact', 0, 'y'); ?>
				<table>
					<tr>
						<td class='label'><?PHP echo w('email:'); ?></td>
						<td class='text'><?PHP echo forms::text('email', 0, forms::value('email', $contact['email'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('first_name:'); ?></td>
						<td class='text'><?PHP echo forms::text('first_name', 0, forms::value('first_name', $contact['first_name'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('last_name:'); ?></td>
						<td class='text'><?PHP echo forms::text('last_name', 0, forms::value('last_name', $contact['last_name'])); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('username:'); ?></td>
						<td class='text'><?PHP echo forms::text('username', 0, forms::value('username', $contact['username']), ' maxlength="15"', 'medium')?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('password:'); ?></td>
						<td class='text'><?PHP echo forms::text('new_password', 'password', forms::value('password'), 0, 'medium'); ?> <?PHP echo w('leave_blank_if_no_change')?></td>
					</tr>
					<tr>
						<td class='label_submit'>&nbsp;</td>
						<td class='text'><?PHP echo forms::submit('', 0, w('save_changes', 0)); ?></td>
					</tr>
				</table>
				</form>
			<?php elseif(x('add_contact')): ?>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('task', 0, 'my_account'); ?>
				<?PHP echo forms::hidden('tab', 0, 'contacts'); ?>
				<?PHP echo forms::hidden('add_contact', 0, 'y'); ?>
				<table>
					<tr>
						<td class='label'><?PHP echo w('email:'); ?></td>
						<td class='text'><?PHP echo forms::text('email', 0, forms::value('email')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('first_name:'); ?></td>
						<td class='text'><?PHP echo forms::text('first_name', 0, forms::value('first_name')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('last_name:'); ?></td>
						<td class='text'><?PHP echo forms::text('last_name', 0, forms::value('last_name')); ?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('username:'); ?></td>
						<td class='text'><?PHP echo forms::text('username', 0, forms::value('username'), ' maxlength="15"', 'medium')?></td>
					</tr>
					<tr>
						<td class='label'><?PHP echo w('password:'); ?></td>
						<td class='text'><?PHP echo forms::text('password', 0, forms::value('password'), 0, 'medium'); ?></td>
					</tr>
					<tr>
						<td class='label_submit'>&nbsp;</td>
						<td class='text'><?PHP echo forms::submit('', 0, w('add_new_contact', 0)); ?></td>
					</tr>
				</table>
				</form>
			<?php else: ?>
				<?PHP if (is_array($contacts)&&!empty($contacts)): ?>
					&nbsp;&nbsp;<img src='templates/<?PHP echo $conf['template']?>/images/icons/add.gif' class='icon' /> <a href='<?PHP echo href('my_account', array('tab' => 'contacts', 'add_contact' => 'y')); ?>'><?PHP echo w('add_new_contact'); ?></a><br /><br />
					<table class='data_grid'>
						<tr class='th'>
							<th><?PHP w('id'); ?></th>
							<th><?PHP w('first_name'); ?></th>
							<th><?PHP w('last_name'); ?></th>
							<th><?PHP w('email'); ?></th>
							<th class='options'><?PHP w('options'); ?></th>
						</tr>
						<?PHP $m3=0; foreach ($contacts as $unique): $data=prepare_contacts($unique, $session['id']); ?>
						<?PHP /*if ($session['id']==$data['id']) { $m3+=1; continue; }*/ ?>
							<tr <?PHP echo $data['alt']; ?>>
								<td><?PHP echo $data['id']; ?></td>
								<td><?PHP echo $data['first_name']; ?></td>
								<td><?PHP echo $data['last_name']; ?></td>
								<td><?PHP echo $data['email']; ?></td>
								<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
							</tr>
						<?PHP endforeach; ?>
					</table>
					<?PHP echo ($contact_pagination)?$contact_pagination:''; ?>
				<?PHP else: ?>
					<?PHP echo w('no_contacts_found')?> <a href='<?PHP echo href('my_account', array('tab'=>'contacts','add_contact'=>'y')); ?>'><?PHP echo w('click_here')?></a> <?PHP echo w('to_add_a_new_contact'); ?>
				<?PHP endif; ?>
			<?PHP endif; ?>
		</div>

	<?PHP endif; ?>

	<div class='inner_tab_content' id='change_password' style='display:none;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('task', 0, 'my_account'); ?>
		<?PHP echo forms::hidden('tab', 0, 'change_password'); ?>
		<?PHP echo forms::hidden('change_password', 0, 'y'); ?>
		<table>
			<tr>
				<td class='label'><?PHP echo w('current_password:'); ?></td>
				<td class='text'><?PHP echo forms::password('current_password', 0, forms::value('current_password')); ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('new_password:'); ?></td>
				<td class='text'><?PHP echo forms::password('new_password', 0, forms::value('new_password')); ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('verify_new_password:'); ?></td>
				<td class='text'><?PHP echo forms::password('verify_new_password', 0, forms::value('verify_new_password')); ?></td>
			</tr>
			<tr>
				<td class='label_submit'>&nbsp;</td>
				<td class='text'><?PHP echo forms::submit('', 0, w('save_changes', 0)); ?></td>
			</tr>
		</table>
		</form>
	</div>

	<div class='inner_tab_content' id='security_question' style='display:none;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('task', 0, 'my_account'); ?>
		<?PHP echo forms::hidden('tab', 0, 'security_question'); ?>
		<?PHP echo forms::hidden('change_security_question', 0, 'y'); ?>
		<table>
			<tr>
				<td class='label'><?PHP echo w('choose_question:'); ?></td>
				<td class='text'><?PHP echo forms::select('question', 0, $security_questions, ''); ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('answer:'); ?></td>
				<td class='text'><?PHP echo forms::text('answer', 0, forms::value('answer')); ?></td>
			</tr>
			<tr>
				<td class='label_submit'>&nbsp;</td>
				<td class='text'><?PHP echo forms::submit('', 0, w('save_changes', 0)); ?></td>
			</tr>
		</table>
		</form>
	</div>

</div>

<script> toggle_tab('<?PHP echo (x('tab'))?x('tab'):'my_info'; ?>', 'my_account', 0); </script>