<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

$errors=array();
if ($_POST['update_cart'])
	{ 
	$qty='';
	foreach((array)$_POST['qty'] as $key => $value) 
		{
		if ($qty) { $qty.=','; }
		$qty.="{$key}|{$value}";
		}

	$request=api_order_forms::update_cart(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'update_cart', 
			false, // set to true for debug
			$_COOKIE['cart_session'], 
			$_COOKIE['customer_session'], 
			$qty, 
			$_POST['promotion_code']
			);
 
	if ($request['errors'])
		{
		$errors=$request['errors'];
		if ($request['success']) { $errors['success']='y'; }
		}
	}

// remove a promotion code
if ($_GET['remove_promotion_code'])
	{
	$request=api_order_forms::remove_promotion_code(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'update_cart', 
			false, // set to true for debug 
			$_COOKIE['cart_session']
			);
 
	if ($request['errors'])
		{
		$errors=$request['errors'];
		if ($request['success']) { $errors['success']='y'; }
		}
	}

if (x('remove'))
	{ 
	$request=api_order_forms::remove_item(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'update_cart', 
			false, // set to true for debug 
			$_COOKIE['cart_session'], 
			x('remove')
			); //pr($request);

	if ($request['success']=='y')
		{
		$errors=$request['errors'];
		$errors['success']='y';
		}
	}

$request=api_order_forms::view_cart(
		$conf['api_handler'], 
		$conf['api_key'], 
		'order_forms', 
		'view_cart', 
		false, // set to true for debug 
		$_COOKIE['cart_session'], 
		$_COOKIE['customer_session']
		);

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];
if ($conf['site']['status']=='Down for Maintenance')
	{
	$link=href('down_for_maintenance');
	die(header("Location: {$link}"));
	}
else if ($conf['site']['status']=='Private')
	{
	$link=href('private');
	die(header("Location: {$link}"));
	}
else if ($request['session_locked']=='Yes')
	{
	set_cookie('cart_session', 0, time()-2538000);
	$link=href('cart');
	die(header("Location: {$link}"));
	}
$cart=($_COOKIE['cart_session'])?$request['cart']:array(); // pr($cart);
$total_due_today=$request['total_due_today']; // pr($cart);
$total_due_today_formatted=$request['total_due_today_formatted']; // pr($cart);
$gc=$request['google_checkout'];//  pr($gc);
$currency=$request['currency'];
$promotion_code=$request['promotion_code'];
$promotion_code_description=": {$request['promotion_code_description']}";
$promotion_code_discount=$request['total_discounts_formatted'];
if ($request['errors']) { $errors=$request['errors']; }
$currency_options=$request['currency_options']; // pr($currency_options);
$price_sheet_id=$request['price_sheet_id'];
unset($request);

// go to checkout!
if (x('form_submission')==w('checkout', 0))
	{
	$link=href('checkout');
	die(header("Location: {$link}"));
	}

// the currency select box
$currency_select=forms::select('price_sheet_id', 0, $currency_options, $price_sheet_id, "onchange='choose_currency(\"{$_COOKIE['cart_session']}\", \"{$conf['site']['id']}\");'", 0, 0);
$currency_options=(is_array($currency_options)&&!empty($currency_options)&&count($currency_options)>1);

function prepare_cart($data)
	{
	$buffer=$data;

	$buffer['alt']=(!ooe($GLOBALS['m3']+=1))?"class='alt'":'';

	$buffer['id']=$data['id'];
	$buffer['can_be_removed']=$data['can_be_removed'];
	$buffer['name']=sx($data['product']);
	$buffer['setup_fee']=$data['setup_fee_formatted'];
	if ($data['setup_fee_old_formatted']) { $buffer['setup_fee']="{$data['setup_fee_old_formatted']}<br />{$buffer['setup_fee']}"; }
	$buffer['price']=$data['price_formatted'];
	if ($data['price_old_formatted']) { $buffer['price']="{$data['price_old_formatted']}<br />{$buffer['price']}"; }
	$buffer['recurring']=$data['price_recurring_formatted'];
	if ($data['price_recurring_old_formatted']) { $buffer['recurring']="{$data['price_recurring_old_formatted']}<br />{$buffer['recurring']}";}
	// $buffer['qty']=forms::text('', "qty[{$data['cart_item_id']}]", $data['qty'], false, 'qty', false);
	$buffer['qty']=($data['parent_item_id'])?$data['qty']:forms::text('', "qty[{$data['cart_item_id']}]", $data['qty'], false, 'qty', false);

	$link=href('view_cart', array('remove'=>$data['cart_item_id']));
	$buffer['remove']="<a href='{$link}'>".w('remove', 0).'</a>';

	return $buffer;
	}

function gc($gc, $conf, $spbas_cart, $currency, $total_due)
	{
	if (!$gc) { return ''; }
	if (!$gc['attr']['merchant_id']) { return ''; }
	if (!$gc['attr']['merchant_key']) { return ''; }

	include_once 'includes/classes/Google_Checkout/library/googlecart.php';
	include_once 'includes/classes/Google_Checkout/library/googleitem.php';
	include_once 'includes/classes/Google_Checkout/library/googleshipping.php';
	include_once 'includes/classes/Google_Checkout/library/googletax.php';

	$merchant_id = $gc['attr']['merchant_id'];  // Your Merchant ID
	$merchant_key = $gc['attr']['merchant_key'];  // Your Merchant Key
	$server_type = ($gc['attr']['sandbox']=='Enable')?'sandbox':'checkout';
	$currency = $currency;
	$cart = new GoogleCart($merchant_id, $merchant_key, $server_type, $currency);
	$total_count = 1;

	// $item_name=(count($cart)>1)?w('shopping_cart_order',0):sx($spbas_cart[0]['product']);
	$item_name=(count($cart)>1)?w('shopping_cart_order',0):sx($spbas_cart[0][0]['product']);

	$item_1 = new GoogleItem($item_name,      // Item name
							$_COOKIE['cart_session'], // Item      description
							1, // Quantity
							$total_due); // Unit price
	$cart->AddItem($item_1);


	// Specify <edit-cart-url>
	$cart->SetEditCartUrl($conf['site']['url'].'/'.href('view_cart'));

	// Specify "Return to xyz" link
	$cart->SetContinueShoppingUrl($conf['site']['url'].'/'.href('view_cart'));

	// Request buyer's phone number
	$cart->SetRequestBuyerPhone(true);

	// Display Google Checkout button
	$button=$cart->CheckoutButtonCode("SMALL");

	return '</form><br /><br />'.str_replace('</form>', '', $button).'<br />';
	}
?>