<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>

<div id='nav_bar'>
	<?PHP if ($currency_options): ?>
		<div><?PHP echo w('choose_currency', 0); ?> <?PHP echo $currency_select; ?></div>
	<?PHP endif; ?>
	<ul>
		<li><a class='left' href='<?PHP echo href('cart', $category_id); ?>'><?PHP echo w('choose_products')?></a></li>

		<li><a class='on' href='#'><?PHP echo w('Domain Options')?></a></li>

		<li><a href='<?PHP echo href('view_cart'); ?>'><?PHP echo w('view_cart')?></a></li>
		<?PHP if (!empty($cart)&&is_array($cart)): ?>
			<li><a href='<?PHP echo href('checkout'); ?>'><?PHP echo w('checkout')?></a></li>
		<?PHP else: ?>
			<li><a href='#' class='disable'><?PHP echo w('checkout')?></a></li>
		<?PHP endif; ?>
		<?PHP if (!empty($cart)&&is_array($cart)&&$_COOKIE['customer_session']): ?>
			<li><a class='right' href='<?PHP echo href('payment')?>'><?PHP echo w('secure_payment')?></a></li>
		<?PHP else:?>
			<li><a class='right disable' href='#'><?PHP echo w('secure_payment')?></a></li>
		<?PHP endif; ?>
	</ul>
</div>
<div class='clear'><!--ie--></div>

<ul class='categories'>
	<li><img src='templates/<?PHP echo $conf['template']?>/images/icons/folder.gif' class='icon_header' /> <?PHP echo w('Domain Name Options',0)?>

		<div class='expand'>

			<div id='domain_options'>

				<p><?PHP echo w('Please complete the domain name requirements below. Once you are finished click the <b>Add to Cart</b> button.',0); ?></p>

				<?PHP echo forms::action(false, 'POST', false, false, true, 'products'); ?>
				<?PHP echo forms::hidden('task', 0, 'hosting'); ?>
				<?PHP echo forms::hidden('add_to_cart', 0, 'y'); ?>
				<?PHP echo forms::hidden('product_id', 0, x('product_id')); ?>
				<?PHP echo forms::hidden('sku_id', 0, x('sku_id')); ?>
				<?PHP if (x('package_id')): ?><?PHP echo forms::hidden('package_id', 0, x('package_id')); ?><?PHP endif; ?>
				<?PHP if (x('addons')): ?><?PHP echo forms::hidden('addons', 0, x('addons')); ?><?PHP endif; ?>

					<?PHP foreach($hosting_assets as $hosting_asset): $data=$hosting_asset['data']; ?>
					<?PHP display_errors($errors[$hosting_asset['id']]); ?>
					<div class='data_grid_label'><?PHP echo $hosting_asset['product']['name']; ?> &raquo; <?PHP echo $hosting_asset['product']['sku']['name']; ?> &raquo; <?PHP echo $hosting_asset['hosting_package']['name']; ?></div>

					
					<?PHP if ($data['registrar_id']||$data['transfer_registrar_id']): ?>
						<ol>
							<?PHP if ($data['registrar_id']): ?>
								<li><label><?PHP forms::radio("domain_registration_{$hosting_asset['id']}", "domain_registration[{$hosting_asset['id']}]", 'Register', forms::value('domain_registration', $hosting_asset['id'], 'Register'), " onchange='toggle_domain_options(\"{$hosting_asset['id']}\");'"); ?> I want you to register a new domain for me.</label></li>
							<?PHP endif; ?>

							<?PHP if ($data['transfer_registrar_id']): ?>
								<li><label><?PHP forms::radio("domain_registration_{$hosting_asset['id']}", "domain_registration[{$hosting_asset['id']}]", 'Transfer', forms::value('domain_registration', $hosting_asset['id'], 'Transfer'), " onchange='toggle_domain_options(\"{$hosting_asset['id']}\");'"); ?> I want to transfer my domain to you.</label></li>
							<?PHP endif; ?>
							
							<li><label><?PHP forms::radio("domain_registration_{$hosting_asset['id']}", "domain_registration[{$hosting_asset['id']}]", 'None', forms::value('domain_registration', $hosting_asset['id'], 'None'), " onchange='toggle_domain_options(\"{$hosting_asset['id']}\");'"); ?> I will manage the domain myself.</label></li>
						</ol>
					<?PHP else: ?>
						<?PHP forms::hidden("domain_registration_{$hosting_asset['id']}", "domain_registration[{$hosting_asset['id']}]", 'None'); ?>
					<?PHP endif; ?>

					<div class='None_<?PHP echo $hosting_asset['id']; ?> domain_option' style='display:none;'>
						<label><?PHP w('Domain Name:'); ?></label>
						<?PHP $val=forms::value("domain", 0, 0, 0, $hosting_asset['id'], false); ?>
						<?PHP $val2=forms::value("domain_tld", 0, 0, 0, $hosting_asset['id'], false); ?>
						www. <?PHP forms::text("domain[{$hosting_asset['id']}]", 0, (($val)?$val:'')); ?> . <?PHP forms::text("domain_tld[{$hosting_asset['id']}]", 0, (($val2)?$val2:''), 0, 'small'); ?>
					</div>


					<div class='Transfer_epp_<?PHP echo $hosting_asset['id']; ?> domain_option transfer' style='display:none;'>
						<label><?PHP w('EPP Code:'); ?></label>
						<?PHP $val=forms::value("epp_code", 0, 0, 0, $hosting_asset['id'], false); ?>
						<?PHP forms::text("epp_code_{$hosting_asset['id']}", "epp_code[{$hosting_asset['id']}]", (($val)?$val:''), 0, 'small'); ?>
						<?PHP echo forms::hidden("transfer_epp[{$hosting_asset['id']}]", 0, $data['tld']['epp_code']); ?>
					</div>


					<div class='Transfer_<?PHP echo $hosting_asset['id']; ?> domain_option transfer' style='display:none;'>
						<label><?PHP w('Domain Name:'); ?></label>
						<?PHP $val=forms::value("transfer_domain", 0, 0, 0, $hosting_asset['id'], false); ?>
						<?PHP forms::text("transfer_domain[{$hosting_asset['id']}]", 0, (($val)?$val:'')); ?> <?PHP forms::select("transfer_tld_{$hosting_asset['id']}", "transfer_tld[{$hosting_asset['id']}]", $data['tlds_transfer'], forms::value('transfer_tld', 0, 0, 0, $hosting_asset['id']), " onchange=\"toggle_years_registrar('{$hosting_asset['id']}', 'transfer');\"", 'disable_fancy_select'); ?>
					</div>

					<div class='Register_<?PHP echo $hosting_asset['id']; ?> domain_option' style='display:none;'>
						<label><?PHP w('Domain Name:'); ?></label>
						<?PHP $val=forms::value("register_domain", 0, 0, 0, $hosting_asset['id'], false); ?>
						<?PHP forms::text("register_domain[{$hosting_asset['id']}]", 0, (($val)?$val:'')); ?> <?PHP forms::select("register_tld_{$hosting_asset['id']}", "register_tld[{$hosting_asset['id']}]", $data['tlds_register'], forms::value('register_tld', 0, 0, 0, $hosting_asset['id']), " onchange=\"toggle_years_registrar('{$hosting_asset['id']}', 'register');\"", 'disable_fancy_select'); ?> for <?PHP forms::select("register_years_{$hosting_asset['id']}", "register_years[{$hosting_asset['id']}]", $data['register_years'], forms::value('register_years', 0, 0, 0, $hosting_asset['id']), false, 'disable_fancy_select'); ?>
					</div>

					<script> toggle_domain_options("<?PHP echo $hosting_asset['id']; ?>"); </script>
				<p class='add_to_cart'></p>
				<?PHP endforeach; ?>

					<?PHP echo forms::submit('add_to_cart', 0, w('Add to Cart', 0)); ?>
				</form>
			</div>

		</div>
	</li>
</ul>
