<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>

<div id='nav_bar'>
	<?PHP if ($currency_options): ?>
		<div><?PHP echo w('choose_currency', 0); ?> <?PHP echo $currency_select; ?></div>
	<?PHP endif; ?>
	<ul>
		<li><a class='on left' href='<?PHP echo href('cart', $category_id); ?>'><?PHP echo w('choose_products')?></a></li>
		<li><a href='<?PHP echo href('view_cart'); ?>'><?PHP echo w('view_cart')?></a></li>
		<?PHP if (!empty($cart)&&is_array($cart)): ?>
			<li><a href='<?PHP echo href('checkout'); ?>'><?PHP echo w('checkout')?></a></li>
		<?PHP else: ?>
			<li><a href='#' class='disable'><?PHP echo w('checkout')?></a></li>
		<?PHP endif; ?>
		<?PHP if (!empty($cart)&&is_array($cart)&&$_COOKIE['customer_session']): ?>
			<li><a class='right' href='<?PHP echo href('payment')?>'><?PHP echo w('secure_payment')?></a></li>
		<?PHP else:?>
			<li><a class='right disable' href='#'><?PHP echo w('secure_payment')?></a></li>
		<?PHP endif; ?>
	</ul>
</div>
<div class='clear'><!--ie--></div>

<ul class='categories'>
	<li><img src='templates/<?PHP echo $conf['template']?>/images/icons/folder.gif' class='icon_header' /> <a href='<?PHP echo href('', array('category_id'=>x('category_id')))?>'><?PHP echo w('shop')?></a> &raquo; <?PHP echo ($category)?"{$category} &raquo;":''?> <?PHP echo sx($product['name'])?>

			<div class='expand'>
			<?PHP display_errors($errors); ?>
			<?PHP echo forms::action(false, 'POST', false, false, true, 'products'); ?>
			<?PHP echo forms::hidden('task', 0, 'product'); ?>
			<?PHP echo forms::hidden('add_to_cart', 0, 'y'); ?>
			<?PHP echo forms::hidden('product_id', 0, x('product_id')); ?>
			<?PHP echo forms::hidden('sku_id', 0, ''); ?>
			<?PHP if (x('package_id')): ?><?PHP echo forms::hidden('package_id', 0, x('package_id')); ?><?PHP endif; ?>

				<ul class='products'>
					<?PHP $product=prepare_product($product); ?>
						<li>
							<p><?PHP echo nl2br(s($product['long_description'])); ?></p>
						</li>
				</ul>


				<?PHP if (!empty($skus)&&is_array($skus)): ?>
					<div class='data_grid_label'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('product_pricing')?></div>
					<table class='data_grid'>
						<tr class='th'>
							<th><?PHP echo w('options'); ?></th>
							<th><?PHP echo w('setup_fee'); ?></th>
							<th><?PHP echo w('price'); ?></th>
							<th><?PHP echo w('recurring_price'); ?></th>
							<th><?PHP echo w('purchase'); ?></th>
						</tr>
						<?PHP $m3=0; foreach ($skus as $unique): $data=prepare_sku($unique); ?>
							<tr <?PHP echo $data['alt']; ?>>
								<td><?PHP echo $data['name']; ?></td>
								<td><?PHP echo $data['setup_fee']; ?></td>
								<td><?PHP echo $data['price']; ?></td>
								<td><?PHP echo $data['recurring']; ?></td>
								<td style='width:10%'><?PHP echo $data['purchase']?></td>
							</tr>
						<?PHP endforeach; ?>
					</table>
				<?PHP else: ?>
					<?PHP echo w('no_pricing_options', 0); ?>
				<?PHP endif; ?>


				<?PHP if (!empty($addons)&&is_array($addons)&&!empty($skus)&&is_array($skus)): ?>
					<div class='data_grid_label'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('addons')?></div>
					<table class='data_grid'>
						<tr class='th'>
							<th><?PHP echo w('options'); ?></th>
							<th><?PHP echo w('setup_fee'); ?></th>
							<th><?PHP echo w('price'); ?></th>
							<th><?PHP echo w('recurring_price'); ?></th>
							<th class='purchase'><?PHP echo w('purchase'); ?></th>
						</tr>
						<?PHP $m3=0; foreach ($addons as $unique): $data=prepare_addons($unique); ?>
							<tr <?PHP echo $data['alt']; ?>>
								<td><?PHP echo $data['name']; ?></td>
								<td><?PHP echo $data['setup_fee']; ?></td>
								<td><?PHP echo $data['price']; ?></td>
								<td><?PHP echo $data['recurring']; ?></td>
								<td class='purchase_center'><?PHP echo $data['purchase']?></td>
							</tr>
						<?PHP endforeach; ?>
					</table>
				<?PHP endif; ?>

			</form>
			</div>

	</li>
</ul>
