-- MySQL dump 10.13  Distrib 5.1.61, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: m3
-- ------------------------------------------------------
-- Server version	5.1.61-0ubuntu0.11.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `m3_fw_language_masks`
--

DROP TABLE IF EXISTS `m3_fw_language_masks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `m3_fw_language_masks` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `mask` varchar(255) NOT NULL,
  `mod` varchar(255) NOT NULL,
  `task` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4841 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `m3_fw_language_masks`
--
-- WHERE:  id>4764 ORDER BY id DESC

LOCK TABLES `m3_fw_language_masks` WRITE;
/*!40000 ALTER TABLE `m3_fw_language_masks` DISABLE KEYS */;
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`) VALUES (4840,'domain_product','order_forms','api_update_cart'),(4839,'Domain Options','order_forms','order_forms'),(4838,'Next Renewal','customer_areas','customer_areas'),(4837,'Last Renewal','customer_areas','customer_areas'),(4836,'Years Registered','customer_areas','customer_areas'),(4835,'No domain names found.','customer_areas','customer_areas'),(4834,'No hosting accounts found.','customer_areas','customer_areas'),(4833,'Reseller Control Panel:','customer_areas','customer_areas'),(4832,'Control Panel:','customer_areas','customer_areas'),(4831,'Click to Visit','customer_areas','customer_areas'),(4830,'Control Panel:','customer_areas','customer_areas'),(4829,'Name Servers:','customer_areas','customer_areas'),(4828,'Password:','customer_areas','customer_areas'),(4827,'Username:','customer_areas','customer_areas'),(4826,'Domain Name:','customer_areas','customer_areas'),(4825,'Plan','customer_areas','customer_areas'),(4824,'No hosting accounts found.','customer_areas','customer_areas'),(4823,'Domains','customer_areas','customer_areas'),(4822,'Web Hosting','customer_areas','customer_areas'),(4821,'overlib_domain_slab_id','price_sheets','price_sheet_edit'),(4820,'domain_slab_id:','price_sheets','price_sheet_edit'),(4819,'web_hosting','customers','customer_edit'),(4818,'no_hosting_accounts_found','customers','customer_edit'),(4817,'pending_payment','customer_areas','api_invoice'),(4816,'email_taken_already','customer_areas','api_update_contact'),(4815,'username_taken_already','customer_areas','api_update_contact'),(4814,'please_assign_the_product_to_an_order_form_to_complete','products','product_edit'),(4813,'please_add_at_least_one_tier_to_complete','products','product_editor'),(4812,'failed_to_close_ticket','customer_areas','api_helpdesk'),(4811,'ticket_closed_successfully','customer_areas','api_helpdesk'),(4810,'close_ticket','customer_areas','api_helpdesk'),(4809,'last_reply','customers','customer_edit'),(4808,'dept','customers','customer_edit'),(4807,'ticket_id','customers','customer_edit'),(4806,'support_tickets','customers','customer_edit'),(4805,'overlib_domain_slab','products','product_edit'),(4804,'domain_slab:','products','product_edit'),(4803,'error_admin_excluded_from_department','helpdesk','helpdesk'),(4802,'error_admin_excluded','helpdesk','helpdesk'),(4801,'overlib_signature','helpdesk','helpdesk'),(4800,'signature:','helpdesk','helpdesk'),(4799,'Description','global','global'),(4798,'manage_price_tiers','products','product_edit'),(4797,'years','order_forms','order_forms'),(4796,'year','order_forms','order_forms'),(4795,'Years','order_forms','order_forms'),(4794,'Year','order_forms','order_forms'),(4793,'overlib_phone_alt','customers','customer_edit'),(4792,'phone_alt:','customers','customer_edit'),(4791,'overlib_how_found','customers','customer_edit'),(4790,'how_found:','customers','customer_edit'),(4789,'address_2:','customers','customer_edit'),(4788,'overlib_fax','customers','customer_edit'),(4787,'fax:','customers','customer_edit'),(4786,'csv_export_empty_list','email','list_editor'),(4785,'export_to_csv','email','list_editor'),(4784,'buy_now_button_note','products','product_edit'),(4783,'2checkout_gateway_notes','pay_gateways','pay_gateway_edit'),(4782,'paste_this','products','product_edit'),(4781,'cannot_continue_no_gateways_assigned_to_order_form','products','product_edit'),(4780,'generate_button','products','product_edit'),(4779,'overlib_pay_gateway_id','products','product_edit'),(4778,'pay_gateway_id:','products','product_edit'),(4777,'overlib_order_form_id','products','product_edit'),(4776,'order_form_id:','products','product_edit'),(4775,'overlib_price_sheet_id','products','product_edit'),(4774,'price_sheet_id:','products','product_edit'),(4773,'overlib_price_tier','products','product_edit'),(4772,'price_tier:','products','product_edit'),(4771,'buy_now_button','products','product_edit'),(4769,'overlib_parent_package','customers','customer_edit'),(4768,'parent_package:','customers','customer_edit'),(4767,'pending_auto_pay','customer_areas','api_invoice'),(4766,'total_licenses','customers','customer_edit'),(4765,'overlib_default_language','global','global');
/*!40000 ALTER TABLE `m3_fw_language_masks` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-03-18 21:21:58
-- MySQL dump 10.13  Distrib 5.1.61, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: m3
-- ------------------------------------------------------
-- Server version	5.1.61-0ubuntu0.11.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `m3_fw_language_translations`
--

DROP TABLE IF EXISTS `m3_fw_language_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `m3_fw_language_translations` (
  `id` bigint(22) NOT NULL,
  `language` varchar(5) NOT NULL DEFAULT 'en-us',
  `translation` text NOT NULL,
  KEY `id` (`id`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `m3_fw_language_translations`
--
-- WHERE:  id>4765 ORDER BY id DESC

LOCK TABLES `m3_fw_language_translations` WRITE;
/*!40000 ALTER TABLE `m3_fw_language_translations` DISABLE KEYS */;
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES (4840,'en-us','This product has at least one domain name associated, so the quantity can only be 1.'),(4839,'en-us','Domain Options'),(4838,'en-us','Next Renewal'),(4837,'en-us','Last Renewal'),(4836,'en-us','Years Registered'),(4835,'en-us','No domain names found.'),(4834,'en-us','No hosting accounts found.'),(4833,'en-us','Reseller Control Panel:'),(4832,'en-us','Control Panel:'),(4831,'en-us','Click to Visit'),(4830,'en-us','Control Panel:'),(4829,'en-us','Name Servers:'),(4828,'en-us','Password:'),(4827,'en-us','Username:'),(4826,'en-us','Domain Name:'),(4825,'en-us','Plan'),(4824,'en-us','No hosting accounts found.'),(4823,'en-us','Domains'),(4822,'en-us','Web Hosting'),(4821,'en-us','In order to sell domain names you will first need to associate a domain slab with this price sheet.'),(4820,'en-us','Domain Slab Pricing:'),(4819,'en-us','Web Hosting'),(4818,'en-us','No web hosting accounts found.'),(4817,'en-us','Pending Payment'),(4816,'en-us','That e-mail address is already taken.'),(4815,'en-us','That username is already taken.'),(4814,'en-us','Now you must assign the product to at least one order form using the options below.'),(4813,'en-us','Now you must add at least one price tier using the form below.'),(4812,'en-us','Permission Denied: You do not have permission to close this ticket.'),(4811,'en-us','The ticket was closed successfully!'),(4810,'en-us','Close Ticket'),(4809,'en-us','Last Reply'),(4808,'en-us','Department'),(4807,'en-us','Ticket ID'),(4806,'en-us','Support Tickets'),(4805,'en-us','Optionally, choose a domain pricing slab for this product. If you select a domain pricing slab the order system will require a domain name be entered before adding the product to the cart.'),(4804,'en-us','Domain Pricing Slab:'),(4803,'en-us','The admin has been excluded from this department so the ticket cannot be reassigned.'),(4802,'en-us','This department cannot be use as you, the admin, have been excluded from it.'),(4801,'en-us','Please enter the helpdesk department e-mail signature here. This signature will be attached to department e-mails that are not sent by staff. '),(4800,'en-us','Signature:'),(4799,'en-us','Description'),(4798,'en-us','Manage Price Tiers'),(4797,'en-us','Years'),(4796,'en-us','Year'),(4795,'en-us','Years'),(4794,'en-us','Year'),(4793,'en-us','Optionally, enter an alternate phone number here.'),(4792,'en-us','Alternate Phone:'),(4791,'en-us','How the customer found you.'),(4790,'en-us','How Found?'),(4789,'en-us','Address Line 2:'),(4788,'en-us','Optionally, enter the FAX number here.'),(4787,'en-us','FAX:'),(4786,'en-us','The list appears to be empty, nothing to export.'),(4785,'en-us','Export to CSV'),(4784,'en-us','Buy now buttons will only work with one time or recurring payments processed by Paypal or 2Checkout.'),(4783,'en-us','You must configure INS at 2Checkout for this module to work as intended.\r\n\r\n1. Log into 2Checkout Vendor area at https://www.2checkout.com/va/.\r\n\r\n2. Still within the 2Checkout Vendor area, in the tabs at the top, navigate to\r\nNotifications > Settings.\r\n\r\n3. In the section Order Created, check the box for Enable if it is not already\r\nchecked. For the URL, enter:\r\n\r\n{ipn_url}\r\n\r\n4. Click Save Settings at the bottom of the page.'),(4782,'en-us','Paste this where you want the button to appear.'),(4781,'en-us','You must assign at least one pay gateway to the chosen order form to continue.'),(4780,'en-us','Generate Buy Now Button'),(4779,'en-us','Choose the pay gateway for buy now button. Only the processors listed can be used, not all pay gateways are compatible with our buy now buttons.'),(4778,'en-us','Pay Gateway:'),(4777,'en-us','Choose the order form associated with this buy now button.'),(4776,'en-us','Order Form:'),(4775,'en-us','Choose the price sheet for this buy now button.'),(4774,'en-us','Price Sheet:'),(4773,'en-us','The buy now button will be for this price tier.'),(4772,'en-us','Make a Buy Now Button for:'),(4771,'en-us','Buy Now Button'),(4769,'en-us','This is only used for things like addons and renewal products.'),(4768,'en-us','Parent Package:'),(4767,'en-us','Pending Subscription Payment'),(4766,'en-us','Total Licenses');
/*!40000 ALTER TABLE `m3_fw_language_translations` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-03-18 21:22:00
