<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_brick_edit'>
		<ul>
			<li><?PHP echo w('module_settings'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('3rd_party', 'editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP echo forms::hidden('module', 0, $module['module']); ?>
		<?PHP echo forms::hidden('update_module', 0, 'y'); ?>
		<table class='form_table' style='border-bottom:0;'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $module['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $module['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('module:'); forms::overlib(w('overlib_module', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $available_modules, forms::value('module', $module['module'])); ?></td>
			</tr>
		</table>
		<?PHP if (file_exists($m3="modules/3rd_party/modules/{$module['module']}/view/settings.php")): ?>
			<?PHP include_once $m3; ?>
		<?PHP endif; ?>
		<table class='form_table' style='border-top:0;'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>