<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_admin_add'>
		<ul>
			<li><?PHP echo w('add_new_admin'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('admin', 'admin_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('existing_admins'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP forms::hidden('add_new', 0, 'y'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP  w('status'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), x('status')); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP  w('make_like'); forms::overlib(w('overlib_make_like', 0)); ?></td>
				<td class='label_alt'><?PHP forms::select('make_like', 0, $admin_select, forms::value('make_like', x('make_like'))); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('first_name'); forms::overlib(w('overlib_first_name', 0)); ?></td>
				<td class='label'><?PHP forms::text('first_name', 0, forms::value('first_name')); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('last_name'); forms::overlib(w('overlib_last_name', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('last_name', 0, forms::value('last_name')); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
				<td class='label'><?PHP forms::text('username', 0, forms::value('username')); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('email'); forms::overlib(w('overlib_email', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('email', 0, forms::value('email')); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('password'); forms::overlib(w('overlib_password', 0)); ?></td>
				<td class='label'><?PHP forms::text('password', 0, forms::value('password')); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('phone'); forms::overlib(w('overlib_phone', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('phone', 0, forms::value('phone')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>

</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_admin'>
		<ul>
			<li><?PHP echo w('existing_admins'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('admin', 'admin_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_admin'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($admins)&&is_array($admins)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['first_name']['image']; ?><a href='<?PHP echo $s['first_name']['link']; ?>'><?PHP w('admin_name'); ?></a></th>
				<th><?PHP echo $s['username']['image']; ?><a href='<?PHP echo $s['username']['link']; ?>'><?PHP w('username'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th><?PHP echo $s['last_login']['image']; ?><a class='on' href='<?PHP echo $s['last_login']['link']; ?>'><?PHP w('last_login'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='7'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('admin', 'admin_editor'); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($admins as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['full_name']; ?></td>
				<td><?PHP echo $data['username']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td><?PHP echo $data['last_login']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_admins_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>