<?PHP @template::ran_directly();

// build the list
$opt_out=mass_mail::get_opt_out();
foreach (mass_mail::active_campaigns() as $campaign)
	{
	// can this campaign run right now?
	if ($campaign['send']=='Per Schedule')
		{ 
		if (date('m/d/Y', $campaign['per_schedule'])!=date('m/d/Y')) { continue; }
		if ((integer)$campaign['per_schedule_time']>(integer)date('g')) { continue; }
		if (str_replace((integer)$campaign['per_schedule_time'], '', $campaign['per_schedule_time'])!=date('A')) { continue; }
		}
	elseif ($campaign['send']=='Periodic Schedule')
		{ 
		if ((integer)$campaign['periodic_schedule_time']>(integer)date('g')) { continue; }
		if (str_replace((integer)$campaign['periodic_schedule_time'], '', $campaign['periodic_schedule_time'])!=date('A')) { continue; }
		if ((($campaign['last_run']-time())/86400)<$campaign['periodic_schedule'])
			{
			continue;
			}
		}

	// process the lists
	$buffer=array();
	foreach (mass_mail::get_lists($campaign['id']) as $list)
		{
		$list=mass_mail::compile_list(
									$list['product_specific'],
									$list['customer_type'],
									$list['user_type'],
									$list['ignore_opt_out'],
									$list['products_filter'],
									$opt_out,
									$list['id'],
									$campaign['id'],
									$campaign['rules']
									);

		$buffer=$buffer+$list;
		}

	// write the queue
	foreach ($buffer as $unique)
		{
		mass_mail::write_to_queue($campaign['customer_area_id'], $unique['customer_id'], $unique['user_id'], $unique['campaign_id'], $unique['list_id'], $unique['first_name'], $unique['last_name'], $unique['email']);
		}

	// update the campaign status to queued
	if ($campaign['send']!='Periodic Schedule') { mass_mail::set_queued($campaign['id']); }
	mass_mail::write_last_run($campaign['id']);
	}


// send from the queue!
foreach (mass_mail::queued_campaigns() as $campaign)
	{
	if (mass_mail::is_campaign_complete($campaign['id']))
		{
		mass_mail::write_complete($campaign['id']);
		continue; 
		}

	if ($campaign['last_run_queued']) 
		{
		if (((time()-$campaign['last_run_queued'])/3600)<1)
			{
			continue;
			}
		}

	foreach (mass_mail::send_campaign($campaign['id'], $campaign['max_per_hour']) as $row)
		{
		// added v1.9
		$unique = mysql_fetch_assoc(mysql_query("select * from m3_mass_mail_logs where id={$row['id']}"));
		if ($unique['status']=='Complete') { continue; }
		// END: added v1.9

		$unique['token']=$campaign['token'];
		$campaign['transport_id']=email::conf($campaign['transport_id']);
		mass_mail::send(
					$campaign['customer_area_id'],
					$campaign['transport_id'], 
					sx($campaign['subject']), 
					sx($campaign['message']), 
					sx($campaign['alt_body_message']), 
					'first_name,last_name,email,email_signature,view_online_link,opt_out_link', 
					$unique
					);
		}

	mass_mail::write_last_run_queued($campaign['id']);
	}

// log the run
cron::add_job_log($job['id']);
?>