<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP echo mod::tabs($tabs, 'customer_areas', 'customer_area_edit', "&id=".x('id'), 'customer_area_editor'); ?> 

<div class='tab_content' id='validation' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_validation', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_validation\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
	<table class='data_grid'>
		<tr class='th'>
			<th><?PHP echo $sb['question']['image']; ?><a href='<?PHP echo $sb['question']['link']; ?>'><?PHP w('question'); ?></a></th>
			<th><?PHP echo $sb['created']['image']; ?><a href='<?PHP echo $sb['created']['link']; ?>'><?PHP w('created'); ?></a></th>
			<th class='options'><?PHP w('options'); ?></th>
		</tr>
		<?PHP foreach ($security_questions as $unique): $data=prepare_questions($unique); ?>
			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['question']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?></td>
			</tr>
		<?PHP endforeach; ?>
	</table>
	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('id', 0, x('id')); ?>
	<?PHP echo forms::hidden('add_security_question', 0, 'y'); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'validation'); ?>
		<table class='data_grid_stacked'>
			<tr style='background: #fefae4;'>
				<td><?PHP echo forms::text('question', 0, '', 0, 'large'); ?> <?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit_nm', 1); ?></td>
			</tr>
		</table>
	</form>
	<?PHP echo $pagination; ?>
	</div>
</div>



<div class='tab_content' id='downloads' style='display:none;'>
	<?PHP if (!isset_media_upload_path()):?>
		<a href='<?PHP echo href('settings', 'system', array('show_tab' => 'edit'))?>'><?PHP echo w('click_here')?></a> <?PHP echo w('conf_media_upload_path_first')?>
	<?PHP else: ?>
		<?PHP errors($errors); ?>

		<?PHP if (x('category_id')): ?>
			<h1 class='tab_content_label_2col tab_customer_area'>
				<ul>
					<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_downloads', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_downloads\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
					<li class='right'><?PHP echo $breadcrumb; ?></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper no_top_left_border'>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
				<?PHP echo forms::hidden('task', 0, x('task')); ?>
				<?PHP echo forms::hidden('show_tab', 0, 'downloads'); ?>
				<?PHP echo forms::hidden('id', 0, x('id')); ?>
				<?PHP echo forms::hidden('parent_id', 0, x('parent_id')); ?>
				<?PHP echo forms::hidden('category_id', 0, x('category_id')); ?>
				<?PHP echo forms::hidden('update_category', 0, 'y'); ?>
				<table class='form_table'>
					<tr class='th'>
						<th colspan='2'></th>
					</tr>
					<tr>
						<td class='text'><?PHP w('parent_category:'); forms::overlib(w('overlib_parent_category', 0)); ?></td>
						<td class='label'><?PHP forms::select('new_parent_id', 0, $category_select, forms::value('new_parent_id', $edit_category['parent_id'])); ?></td>
					</tr>
					<tr>
						<td class='text_alt'><?PHP w('status:'); forms::overlib(w('overlib_download_category_status', 0)); ?></td>
						<td class='label_alt'><?PHP forms::select('status', 0, $category_statuses, forms::value('status', $edit_category['status'])); ?></td>
					</tr>
					<tr>
						<td class='text'><?PHP w('name:'); forms::overlib(w('overlib_download_category_name', 0)); ?></td>
						<td class='label'><?PHP forms::text('name', 0, forms::value('name', $edit_category['name'])); ?></td>
					</tr>
					<tr>
						<td class='text_alt_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
						<td class='label_alt'><?PHP forms::textarea('description', 0, forms::value('description', $edit_category['description']), '180px', '75px'); ?></td>
					</tr>
					<tr>
						<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
				</form>
			</div>
		<?PHP else: ?>
			<h1 class='tab_content_label_2col tab_customer_area'>
				<ul>
					<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_downloads_1', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_downloads_1\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
					<li class='right'><span class='span_folder'><?PHP echo $breadcrumb; ?></span></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper no_top_left_border'>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('name'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th class='options'>(<?PHP echo w('new'); ?> <a href='#' onclick='media_controls("category"); return false;'><?PHP echo w('new_category'); ?></a> | <a href='#' onclick='media_controls("#media"); return false;'><?PHP echo w('new_media'); ?></a>)</th>
				</tr>
				<tr id='category' class='controls' style='display:none;'>
					<th colspan='3'>
						<div class='controls_wrapper_wp'><?PHP forms::action(); ?>
						<?PHP forms::hidden('mod', 0, x('mod')); ?>
						<?PHP forms::hidden('task', 0, x('task')); ?>
						<?PHP forms::hidden('id', 0, x('id')); ?>
						<?PHP forms::hidden('show_tab', 0, 'downloads'); ?>
						<?PHP forms::hidden('toggle', 0, 'category'); ?>
						<?PHP forms::hidden('add_category', 0, 'y'); ?>
						<?PHP if (x('parent_id')): ?><?PHP forms::hidden('parent_id', 0, x('parent_id')); ?><?PHP endif; ?>
						<?PHP echo forms::text('category_name', 0, ''); ?> <?PHP forms::select('status', 0, $category_statuses, forms::value('status')); ?> <?PHP forms::submit(0, 0, w((x('parent_id'))?'add_sub_category':'add_category', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-')?> <a href='#' onclick='$("category").hide(); return false;'><?PHP echo w('click_to_close')?></a>
						</form></div>
					</th>
				</tr>
				<tr id='media' class='controls' style='display:none;'>
					<th colspan='3'>
						<div class='controls_wrapper_wp'>
						<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype='multipart/form-data'>
						<?PHP forms::hidden('mod', 0, x('mod')); ?>
						<?PHP forms::hidden('task', 0, x('task')); ?>
						<?PHP forms::hidden('show_tab', 0, 'downloads'); ?>
						<?PHP forms::hidden('toggle', 0, 'media'); ?>
						<?PHP forms::hidden('id', 0, x('id')); ?>
						<?PHP forms::hidden('parent_id', 0, (x('parent_id')?x('parent_id'):0)); ?>

						<div id='web_upload' style='display:block;'>
							<div class='file_upload' style='display:block;'>
								<input size='38' type='file' id='file_1' name='file_1' /> <a href='#' onclick='add_file("<?PHP echo w('only_5_at_a_time')?>"); return false;'>Add Another</a>
							</div>
							<div id='f1' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_2' /> <a href='#' onclick='remove_file(1); return false;'>Remove</a>
							</div>
							<div id='f2' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_3' /> <a href='#' onclick='remove_file(2); return false;'>Remove</a>
							</div>
							<div id='f3' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_4' /> <a href='#' onclick='remove_file(3); return false;'>Remove</a>
							</div>
							<div id='f4' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_5' /> <a href='#' onclick='remove_file(4); return false;'>Remove</a>
							</div>
						<a href='#' onclick='$("media").hide(); return false;'><?PHP echo w('cancel')?></a> <?PHP echo w('-or-')?> <a href='#' onclick='switch_upload(); return false;'><?PHP echo w('manual_ftp')?></a> <?PHP echo w('-or-')?> <?PHP forms::submit('add_media', 0, w('add_media_to_category', 0), 0, 'submit_nm', 1); ?>
						</div>
						<div id='ftp_upload' style='display:none;'>
							<table>
								<tr>
									<td style='border-bottom:0;'><?PHP echo w('display_name:')?></td>
									<td style='border-bottom:0;'><?PHP forms::text('name', 0, forms::value('name'), 0, 'large'); ?></td>
								</tr>
								<tr>
									<td style='border-bottom:0;'><?PHP echo w('actual_filename:')?></td>
									<td style='border-bottom:0;'><?PHP forms::text('filename', 0, forms::value('filename'), 0, 'large'); ?></td>
								</tr>
							</table>
						<a href='#' onclick='$("#media").hide(); return false;'><?PHP echo w('cancel')?></a> <?PHP echo w('-or-')?> <a href='#' onclick='switch_upload(); return false;'><?PHP echo w('web_upload')?></a> <?PHP echo w('-or-')?> <?PHP forms::submit('manually_add_media', 0, w('add_media_to_category', 0), 0, 'submit_nm', 1); ?>
						</div>
						</form></div>

					<?PHP if ($_POST['manually_add_media']): ?>
						<script> media_controls("media"); switch_upload(); </script>
					<?PHP endif; ?>
					</th>
				</tr>

				<?PHP if (!empty($categories)&&is_array($categories)): ?>
					<?PHP $m3=0; foreach ($categories as $unique): $data=prepare_media($unique); ?>

						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
						</tr>

					<?PHP endforeach; ?>
				<?PHP endif; ?>
				<?PHP if (!empty($media)&&is_array($media)): ?>
					<?PHP foreach ($media as $unique): $data=prepare_files($unique); ?>

						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?></td>
						</tr>

					<?PHP endforeach; ?>
				<?PHP endif; ?>
				
				<?PHP if (empty($categories)&&empty($media)): ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td colspan='3'><?PHP echo w('no_media_found')?></td>
						</tr>
				<?PHP endif; ?>

				</table>
			</div>
			<br /><br /><div class='notice_static'><?PHP echo s(nl2br(w('customer_area_public_download_notes',0)))?></div>
		<?PHP endif; ?>
		<?PHP if (x('toggle')=='category'): ?><script> media_controls("category"); </script><?PHP endif; ?>
		<?PHP if (x('toggle')=='media'): ?><script> media_controls("media"); </script><?PHP endif; ?>
		<?PHP if (x('toggle')=='media_ftp'): ?><script> media_controls("media"); switch_upload(); </script><?PHP endif; ?>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='helpdesk' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_helpdesk', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_helpdesk\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<?PHP if (empty($departments)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP w('no_support_departments_found'); ?> <a href='<?PHP echo href('helpdesk', 'departments', array('show_tab'=>'add_new')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('to_add_support_departments'); ?></p></div>	
	<?PHP else: ?>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'helpdesk'); ?>
			<?PHP echo forms::hidden('update_helpdesk_settings', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('enable_helpdesk:'); forms::overlib(w('overlib_enable_helpdesk', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_helpdesk', 0, $yes_no, forms::value('enable_helpdesk', $customer_area['enable_helpdesk'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('exclude_departments:'); forms::overlib(w('overlib_exclude_departments', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><div class='scroll' style='height: 60px;'><?PHP foreach((array)$departments as $key => $value): ?>
						<label><?PHP forms::checkbox("exclude_departments[]", 0, $key, in_array($key, $department_excludes)); ?><?PHP echo $value; ?></label><br />
					<?PHP endforeach; ?></div></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('contact_form:'); forms::overlib(w('overlib_contact_form', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_contact_form', 0, $contact_form, forms::value('enable_contact_form', $customer_area['enable_contact_form'])); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='advanced' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_advanced', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_advanced\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("customer_areas", "customer_area_edit", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('sure_you_want_to_delete_customer_area'); ?>")'><?PHP w('delete_this_customer_area'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_advanced', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('api_key:'); forms::overlib(w('overlib_api_key', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $customer_area['api_key']; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('download_configuration_file:'); forms::overlib(w('config_file_instructions', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customer_areas', 'customer_area_editor', array('id' => x('id'), 'config' => 'y')); ?>'><?PHP echo w('click_to_download')?></a></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('create_customer_account:'); forms::overlib(w('overlib_create_customer_account', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('create_customer_account', 0, $no_yes, forms::value('create_customer_account', $customer_area['create_customer_account'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('default_language:'); forms::overlib(w('overlib_default_language', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('default_language', 0, localization::available_languages(), forms::value('default_language', $customer_area['default_language'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('email_configuration_id:'); forms::overlib(w('overlib_email_configuration_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('email_configuration_id', 0, $email_configurations, forms::value('email_configuration_id', $customer_area['email_configuration_id'])); ?></td>
			</tr>
			<?PHP if (is_array($order_forms)&&!empty($order_forms)): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('default_order_form_id:'); forms::overlib(w('overlib_default_order_form_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('default_order_form_id', 0, $order_forms, forms::value('default_order_form_id', $customer_area['default_order_form_id'])); ?></td>
				</tr>
			<?PHP endif; ?>
			<?PHP if (is_array($kb_profile_select)&&!empty($kb_profile_select)): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('default_kb_profile_id:'); forms::overlib(w('overlib_default_kb_profile_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('default_kb_profile_id', 0, $kb_profile_select, forms::value('default_kb_profile_id', $customer_area['default_kb_profile_id'])); ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('date_format:'); forms::overlib(w('overlib_date_format', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('date_format', 0, forms::value('date_format', $customer_area['date_format']), 0, 'date'); ?> <?PHP echo w('use_php_date_format'); ?> <a href='http://us.php.net/date' target='_BLANK'><?PHP echo w('click_here', 0); ?></a>.</td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('time_format:'); forms::overlib(w('overlib_time_format', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('time_format', 0, forms::value('time_format', $customer_area['time_format']), 0, 'date'); ?> <?PHP echo w('use_php_date_format'); ?> <a href='http://us.php.net/date' target='_BLANK'><?PHP echo w('click_here', 0); ?></a>.</td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_general', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_general\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a href='<?PHP echo href('customer_areas', 'customer_area_editor', array('show_tab' => 'add_new', 'id' => x('id'))); ?>' class='form_button'><?PHP w('add_a_new_customer_area'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $customer_area['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $customer_area['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('url:'); forms::overlib(w('overlib_url', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('url', 0, forms::value('url', $customer_area['url']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('company_name:'); forms::overlib(w('overlib_company_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('company_name', 0, forms::value('company_name', $customer_area['company_name']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('company_address:'); forms::overlib(w('overlib_company_address', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('company_address', 0, forms::value('company_address', $customer_area['company_address']), '300px', '75px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content' id='announcements' style='display:none;'>
<?PHP errors($errors); ?>

	<?PHP if (x('add_announcement')): ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_announcements', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_announcements\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('customer_areas', 'customer_area_edit', array('show_tab'=>'announcements', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>

			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('add_announcement', 0, 'y'); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'announcements'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text'><?PHP w('announcement_status:'); forms::overlib(w('overlib_announcement_status', 0)); ?></td>
					<td class='label'><?PHP forms::select('status', 0, $announcement_statuses, forms::value('status')); ?> <?PHP echo w('-on-')?> <?PHP forms::text('created', 0, forms::value('created', date('m/d/Y')), 0, 'date'); ?> <?PHP echo w('mm/dd/YYYY')?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('title:'); forms::overlib(w('overlib_title', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('title', 0, forms::value('title'), 0, 'largest'); ?></td>
				</tr>
				<tr>
					<td class='text_top'><?PHP w('announcement:'); forms::overlib(w('overlib_announcement', 0)); ?></td>
					<td class='label'><?PHP forms::textarea('announcement', 0, forms::value('announcement'), '543px', '150px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP elseif (x('announcement_id')): ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_announcements_1', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_announcements_1\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('customer_areas', 'customer_area_edit', array('show_tab'=>'announcements', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>

			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('announcement_id', 0, x('announcement_id')); ?>
			<?PHP echo forms::hidden('update_announcement', 0, 'y'); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'announcements'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text'><?PHP w('announcement_status:'); forms::overlib(w('overlib_announcement_status', 0)); ?></td>
					<td class='label'><?PHP forms::select('status', 0, $announcement_statuses, forms::value('status', $announcement['status'])); ?> <?PHP echo w('-on-')?> <?PHP forms::text('created', 0, forms::value('created', date('m/d/Y', $announcement['created'])), 0, 'date'); ?> <?PHP echo w('mm/dd/YYYY')?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('title:'); forms::overlib(w('overlib_title', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('title', 0, forms::value('title', s($announcement['title'])), 0, 'largest'); ?></td>
				</tr>
				<tr>
					<td class='text_top'><?PHP w('announcement:'); forms::overlib(w('overlib_announcement', 0)); ?></td>
					<td class='label'><?PHP forms::textarea('announcement', 0, forms::value('announcement', s($announcement['announcement'])), '543px', '150px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('view'); ?></label> <?PHP forms::select('c_announcements_2', 'customer_area', $customer_area_select, forms::value('customer_area', x('id')), "onchange='toggle_customer_area(\"#c_announcements_2\", \"".$m3=href('customer_areas', 'customer_area_edit', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a href='<?PHP echo href('customer_areas', 'customer_area_edit', array('show_tab' => 'announcements', 'id' => x('id'), 'add_announcement' => 'y')); ?>' class='form_button'><?PHP w('add_new_announcement'); ?></a></li>
			</ul>
		</h1>
		<?PHP if (!empty($announcements)&&is_array($announcements)): ?>
			<div class='tab_content_wrapper no_top_left_border'>
			<?PHP forms::action(); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $s['title']['image']; ?><a href='<?PHP echo $s['title']['link']; ?>'><?PHP w('announcement'); ?></a></th>
					<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($announcements as $unique): $data=prepare($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo s($data['title']); ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>
			</table>
			</form>
			<?PHP echo $announcement_pagination; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_announcements_found', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>