<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div style='height: 12px;'><!-- --></div>
<?PHP if (defined('DEMO_MODE')) { echo "<div class='notice'>SPBAS is in demo mode and could be reset periodically. No e-mails will be sent and certain functionality is disabled. Please try our <a href='http://spbas.com/free'>free version</a> on your own server for a better experience.</div>"; } ?>
<?PHP errors($error_install); ?>

<div id='quick_start_guide' style='display:<?PHP echo (($session['admin']['profile']['hide_quick_start']=='Yes')?'none':'block'); ?>;'>
	<div class='nav_bar'><span>A step by step guide to the most common configuration of SPBAS.</span> <a href='#' onclick='hide_quick_start(); return false;' onmouseover='$("#hide_forever").show();' onmouseout='$("#hide_forever").hide();'></a><label id='hide_forever'>Hide Quick Start Forever &raquo;</label></div>
	<div class='panels'><a href='<?PHP echo href('quick_start','guide',array('show_tab'=>'settings')); ?>' class='settings'></a><a href='<?PHP echo href('quick_start','guide',array('show_tab'=>'products')); ?>' class='products'></a><a href='<?PHP echo href('quick_start','guide',array('show_tab'=>'assets')); ?>' class='assets'></a><a href='<?PHP echo href('quick_start','guide',array('show_tab'=>'support')); ?>' class='support'></a><a href='<?PHP echo href('quick_start','guide',array('show_tab'=>'explore')); ?>' class='explore'></a></div>
	<img src='view/images/quick_start/assets.gif' class='preload' />
	<img src='view/images/quick_start/assets_over.gif' class='preload' />
	<img src='view/images/quick_start/explore.gif' class='preload' />
	<img src='view/images/quick_start/explore_over.gif' class='preload' />
	<img src='view/images/quick_start/products.gif' class='preload' />
	<img src='view/images/quick_start/products_over.gif' class='preload' />
	<img src='view/images/quick_start/settings.gif' class='preload' />
	<img src='view/images/quick_start/settings_over.gif' class='preload' />
	<img src='view/images/quick_start/support.gif' class='preload' />
	<img src='view/images/quick_start/support_over.gif' class='preload' />
	<img src='view/images/quick_start/content-bkg.gif' class='preload' />
	<img src='view/images/quick_start/nav-bkg.gif' class='preload' />
</div>

<!--
		<center><img src='view/images/quick_start_guide.gif' /></center><br />-->

<div class="column" id="col1"> 

	<?PHP if (!empty($announcement)&&is_array($announcement)&&$enable_this): ?>
		<div class="portlet" id='widget_spbas_news'>
			<div class="portlet-header"><span class='post_title'><?PHP echo Helper::UTF8ToHTML(sx($announcement['title']))?></span></div>
			<div class="portlet-content"><?PHP echo Helper::UTF8ToHTML(sx($announcement['description']))?><?PHP if (!isset($announcement['is_fresh_install'])): ?><span class='snippet'><a href='http://solidphp.com/customers/index.php?task=public_announcements'><?PHP echo w('view_all')?></a> <?PHP echo w('-or-',0)?> <a href='<?PHP echo sx($announcement['link'])?>'><?PHP echo w('read_more')?> &raquo;</a></span><?PHP endif; ?></div>
		</div>
	<?PHP endif; ?>

	<div class="portlet" id='widget_quick_links'>
		<div class="portlet-header"><?PHP echo w('quick_links')?></div>
		<div class="portlet-content">
			<table style='width: 100%;'>
				<tr>
					<td style='width: 50%;'>
						<table class='form_table' style=' border-right: 0;'>
							<tr>
								<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('add_customer:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'add_new'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_user:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'add_new'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_invoice:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab' => 'add_new'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_downloads:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'downloads', array('show_tab'=>'general'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
						</table>
					</td>
					<td style='width: 50%;'>
						<table class='form_table'>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_products:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('products', 'product_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_promotion:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('promotions', 'editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_kb_article:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'article_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
							<tr>
								<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_kb_category:')?></td>
								<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'category_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('go_link')?></a></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</div>
	</div>


	<div class="portlet" id='widget_recent_customers'>
		<div class="portlet-header"><?PHP echo w('recent_customers')?></div>
		<div class="portlet-content">
			<?PHP if (!empty($customers)&&is_array($customers)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('id'); ?></th>
						<th><?PHP w('name'); ?></th>
						<th><?PHP w('status'); ?></th>
						<th class='options'><a href='<?PHP echo href('customers','customer_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($customers as $customer): $data=prepare_customers($customer); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?PHP else: echo w('no_customers_found', 0); endif; ?>
		</div>
	</div>

	<div class="portlet" id='widget_recent_invoices'>
		<div class="portlet-header"><?PHP echo w('recent_invoices')?></div>
		<div class="portlet-content">
			<?PHP if (!empty($invoices)&&is_array($invoices)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('id'); ?></th>
						<th><?PHP w('customer'); ?></th>
						<th><?PHP w('created'); ?></th>
						<th><?PHP w('status'); ?></th>
						<th class='options'><a href='<?PHP echo href('invoices','invoice_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($invoices as $unique): $data=prepare_invoices($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['invoice_id']; ?></td>
							<td><?PHP echo $data['customer_id']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?PHP else: echo w('no_invoices_found', 0); endif; ?>
		</div>
	</div>

	<div class="portlet" id='widget_recent_orders'>
		<div class="portlet-header"><?PHP echo w('recent_orders')?></div>
		<div class="portlet-content">
			<?PHP if (!empty($orders)&&is_array($orders)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('customer'); ?></th>
						<th><?PHP w('amount'); ?></th>
						<th><?PHP w('created'); ?></th>
						<th><?PHP w('status'); ?></th>
						<th class='options'><a href='<?PHP echo href('orders','order_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($orders as $unique): $data=prepare_orders($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['amount']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?PHP else: echo w('no_orders_found', 0); endif; ?>
		</div>
	</div>

	<div class="portlet" id='widget_recent_licenses'>
		<div class="portlet-header"><?PHP echo w('recent_licenses')?></div>
		<div class="portlet-content">
			<?PHP if (!empty($licenses)&&is_array($licenses)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('customer'); ?></th>
						<th><?PHP w('license_key'); ?></th>
						<th><?PHP w('status'); ?></th>
						<th><?PHP w('created'); ?></th>
						<th class='options'><a href='<?PHP echo href('license','license_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($licenses as $unique): $data=prepare_licenses($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['customer']; ?></td>
							<td><?PHP echo $data['license_key']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?PHP else: echo w('no_licenses_found', 0); endif; ?>
		</div>
	</div>

	<div class="portlet" id='widget_admin_logins'>
		<div class="portlet-header"><?PHP echo w('recent_admin_logins')?></div>
		<div class="portlet-content">
			<?PHP if (!empty($admin_logins)&&is_array($admin_logins)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('who'); ?></th>
						<th><?PHP w('ip'); ?></th>
						<th><?PHP w('logged_in_on'); ?></th>
						<th class='options'><a href='<?PHP echo href('admin','admin_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($admin_logins as $unique): $data=prepare_admin_logs($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['who']; ?></td>
							<td><?PHP echo $data['ip']; ?></td>
							<td><?PHP echo $data['last_login']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?PHP else: echo w('no_logs_found', 0);  endif; ?>
		</div>
	</div>

	<div class="portlet" id='widget_recent_user_logins'>
		<div class="portlet-header"><?PHP echo w('recent_user_logins')?></div>
		<div class="portlet-content">
			<?PHP if (!empty($user_logins)&&is_array($user_logins)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('who'); ?></th>
						<th><?PHP w('ip'); ?></th>
						<th><?PHP w('logged_in_on'); ?></th>
						<th class='options'><a href='<?PHP echo href('users','user_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($user_logins as $unique): $data=prepare_user_logs($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['who']; ?></td>
							<td><?PHP echo $data['ip']; ?></td>
							<td><?PHP echo $data['last_logged']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?PHP else: echo w('no_logs_found', 0); endif; ?>
		</div>
	</div>

	<div class="portlet" id='widget_billing'>
		<div class="portlet-header"><?PHP echo w('billing'); ?></div>
		<div class="portlet-content">
			<table class='form_table'>
				<tr>
					<td class='search_text<?PHP echo alt($m3=0); ?>'><?PHP echo w('due_invoices:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('invoices', 'invoice_editor', array('terms'=>'due'))?>'><?PHP echo dashboard::due_invoices()?></a></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('paid_invoices:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('invoices', 'invoice_editor', array('terms'=>'paid'))?>'><?PHP echo dashboard::paid_invoices()?></a></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('top_currency:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo $top_currency; ?></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('last_invoice_created:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo $last_invoice_created?></td>
				</tr>
			</table>
		</div>
	</div>

	<div class="portlet" id='widget_customers'>
		<div class="portlet-header"><?PHP echo w('customers'); ?></div>
		<div class="portlet-content">
			<table class='form_table'>
				<tr>
					<td class='search_text<?PHP echo alt($m3=0); ?>'><?PHP echo w('total_customers:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_editor')?>'><?PHP echo dashboard::total_customers()?></a></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_users:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_users()?></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_packages:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_packages()?></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('last_user_login:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo $last_user_login?></td>
				</tr>
			</table>
		</div>
	</div>

	<div class="portlet" id='widget_products'>
		<div class="portlet-header"><?PHP echo w('products'); ?></div>
		<div class="portlet-content">
			<table class='form_table'>
				<tr>
					<td class='search_text<?PHP echo alt($m3=0); ?>'><?PHP echo w('total_products:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('products', 'product_editor')?>'><?PHP echo dashboard::total_products()?></a></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_product_tiers:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_product_tiers()?></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_price_sheets:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('price_sheets', 'price_sheet_editor')?>'><?PHP echo dashboard::total_price_sheets()?></a></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_product_assets:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_product_assets()?></td>
				</tr>
			</table>
		</div>
	</div>

	<div class="portlet" id='widget_licensing'>
		<div class="portlet-header"><?PHP echo w('licensing'); ?></div>
		<div class="portlet-content">
			<table class='form_table'>
				<tr>
					<td class='search_text<?PHP echo alt($m3=0); ?>'><?PHP echo w('total_licenses:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor')?>'><?PHP echo dashboard::total_licenses()?></a></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('active_licenses:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_license_per_status('Active')?></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('suspended_licenses:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_license_per_status('Suspended')?></td>
				</tr>
				<tr>
					<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('expired_licenses:')?></td>
					<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo dashboard::total_license_per_status('Expired')?></td>
				</tr>
			</table>
		</div>
	</div>

</div> 
<div class="column" id="col2"> 

	<div class="portlet" id='widget_completed_totals'>
		<div class="portlet-header"><?PHP echo w('completed_orders_7_days_running')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_Area2D.swf", '', $chart['orders'], uid('orders'), 520, 150); ?>
		</div>
	</div>
	
	<div class="portlet" id='widget_invoice_totals'>
		<div class="portlet-header"><?PHP echo w('invoice_totals_7_days_running')?></div>
		<div class="portlet-content"><?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['invoices'], uid('invoices'), 520, 190); ?></div>
	</div>

	<div class="portlet" id='widget_license_totals'>
		<div class="portlet-header"><?PHP echo w('license_totals_6_monts_running')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['six_months'], uid('six_months'), 520, 190); ?>
		</div>
	</div>

	<div class="portlet" id='widget_license_totals_seven_days'>
		<div class="portlet-header"><?PHP echo w('license_totals_7_days_running')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['seven_days'], uid('seven_days'), 520, 190); ?>
		</div>
	</div>

	<div class="portlet" id='widget_customer_totals'>
		<div class="portlet-header"><?PHP echo w('customers_users_7_days_running')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['users'], uid('users'), 520, 190); ?>
		</div>
	</div>

	<div class="portlet" id='widget_user_logins'>
		<div class="portlet-header"><?PHP echo w('user_logins_7_days_running')?></div>
		<div class="portlet-content"> <?PHP var_export($chart['logins'], 1); ?>
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_Area2D.swf", '', $chart['logins'], uid('logins'), 520, 180); ?>
		</div>
	</div>

	<div class="portlet" id='widget_most_viewed_kb'>
		<div class="portlet-header"><?PHP echo w('top_4_most_viewed_pages')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_Pie2D.swf", '', $chart['top4'], uid('top4'), 464, 275); ?>
		</div>
	</div>

	<div class="portlet" id='widget_top_four_downloaded_media'>
		<div class="portlet-header"><?PHP echo w('top_4_most_downloaded_media')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_Pie2D.swf", '', $chart['top4_media'], uid('top4m'), 464, 275); ?>
		</div>
	</div>

	<div class="portlet" id='widget_top_four_products'>
		<div class="portlet-header"><?PHP echo w('top_4_most_ordered_products')?></div>
		<div class="portlet-content">
			<?PHP echo renderChartHTML("view/javascript/FusionCharts/FCF_Pie2D.swf", '', $chart['top4_products'], uid('top4p'), 464, 275); ?>
		</div>
	</div>

</div> 