function hide_quick_start()
	{
	$.ajax({
	url: "index.php",
	dataType: "text",
	data: {
		mod: "dashboard",
		task: "index",
		ajax: "y",
		hide_quick_start: 'y'
	},
	success: function( data ) { 
		 $("#quick_start_guide").hide();
	}
	});
	}
	
function show_quick_start(use)
	{ 
	$.ajax({
	url: "index.php",
	dataType: "text",
	data: {
		mod: "dashboard",
		task: "index",
		ajax: "y",
		show_quick_start: 'y'
	},
	success: function( data ) { 
		window.location.replace(use.href);
	}
	});
	}


// function that writes the list order to a cookie
function saveOrder() {
    $(".column").each(function(index, value){
        var colid = value.id;
        var cookieName = "cookie-" + colid;
        // Get the order for this column.
        var order = $('#' + colid).sortable("toArray");
		
        // For each portlet in the column
        for ( var i = 0, n = order.length; i < n; i++ ) {
            // Determine if it is 'opened' or 'closed'
            var v = $('#' + order[i] ).find('.portlet-content').is(':visible');
            // Modify the array we're saving to indicate what's open and
            //  what's not.
            order[i] = order[i] + ":" + v;
        }
        
        	$.ajax({
			url: "index.php",
			dataType: "json",
			data: {
				mod: "dashboard",
				task: "index",
				ajax: "y",
				cookieName: cookieName,
				order: order,
				save_widgets_position: 'y'
			},
			success: function( data ) { 
			}
		});
    });
}
 
// function that restores the list order from a cookie
function restoreOrder() {
    $(".column").each(function(index, value) {
        var colid = value.id;
		
        var cookieName = "cookie-" + colid
		var cookie = $.ajax({
				url: "index.php",
				dataType: "json",
				async:false,
				data: {
					mod: "dashboard",
					task: "index",
					ajax: "y",
					cookieName: cookieName,
					get_widgets_position: 'y'
				},
				success: function( data ) {
					return data;
				}
			}).responseText;

		if (cookie)
		{
			var IDs = jQuery.parseJSON(cookie).toString().split(',');
			for (var i = 0, n = IDs.length; i < n; i++ ) {
				var toks = IDs[i].split(":");
				if ( toks.length != 2 ) {
					continue;
				}
				var portletID = toks[0];
				var visible = toks[1]
				var portlet = $(".column")
					.find('#' + portletID)
					.appendTo($('#' + colid));
				if (visible === 'false') {
					portlet.find(".ui-icon").toggleClass("ui-icon-minus");
					portlet.find(".ui-icon").toggleClass("ui-icon-plus");
					portlet.find(".portlet-content").hide();
				}
			}
		}
    });
} 

 
$(document).ready( function () {
    $(".column").sortable({
        connectWith: ['.column'],
        stop: function() { saveOrder(); }        
    }); 
 //alert($(".portlet").attr('id'));
    $(".portlet")
        .addClass("ui-widget ui-widget-content")
        .addClass("ui-helper-clearfix ui-corner-all")
        .find(".portlet-header")
        .addClass("ui-widget-header ui-corner-all")
        .prepend('<span class="ui-icon ui-icon-minus"></span>')
        .end()
        .find(".portlet-content");
 
    restoreOrder();
 
    $(".portlet-header .ui-icon").click(function() {
        $(this).toggleClass("ui-icon-minus");
        $(this).toggleClass("ui-icon-plus");
        $(this).parents(".portlet:first").find(".portlet-content").toggle();
        saveOrder(); // This is important
    });
    $(".portlet-header .ui-icon").hover(
        function() {$(this).addClass("ui-icon-hover"); },
        function() {$(this).removeClass('ui-icon-hover'); }
    );
}); 