
	
function toggle_domain_options(id)
	{
	var current=$('#domain_registration').val();
	var none='None';
	var register='Register';
	var transfer='Transfer';
	var require_epp=$('tr.Transfer_epp');

	$('tr.'+none).hide();
	$('tr.'+register).hide();
	$('tr.'+transfer).hide();
	require_epp.hide();
	if (use=='Transfer')
		{
		toggle_epp(id, require_epp);
		}
	$('tr.'+current).show();
	}

function toggle_epp(id, asset_id, require_epp)
	{
	var tld_id=$('#transfer_tld').val();

	$.post('index.php', 
			{ 
				mod: 'domains',
				task: 'domain_edit',
				id: id,
				tld_id: tld_id,
				toggle_epp: 'y',
			},  
	function( data ) 
			{
			if (data)
				{
				require_epp.show();
				}
			});
	}


function toggle_years_registrar(id, rtr, domain_slab_id, currency_id)
	{
	var tld_id=$('#'+rtr+'_tld').val();
	var years=$('#'+rtr+'_years');

	$.post('index.php', 
			{ 
				mod: 'domains',
				task: 'domain_edit',
				id: id,
				tld_id: tld_id,
				domain_slab_id: domain_slab_id,
				currency_id: currency_id,
				toggle_years_tld: 'y',
			},  
	function( data ) 
			{ 
			years.html('');
			years.html(data);    
			toggle_registrar_name(id, tld_id, rtr);
			});
	}

function toggle_registrar_name(id, tld_id, rtr)
	{
	var tld_id=$('#'+rtr+'_tld').val();
	var name=$('#'+rtr+'_registrar_name');
	var registrar_id=$('#'+rtr+'_registrar_id');

	$.post('index.php', 
			{ 
				mod: 'domains',
				task: 'domain_edit',
				id: id,
				tld_id: tld_id,
				toggle_registrar_name: 'y',
			},  
	function( data ) 
			{ 
			var parts=data.split('|');

			name.html('');
			name.html(parts[0]); 

			registrar_id.val(parts[1]);
			}
	);
	}






function toggle_tld(use, link_out)
	{ 
	window.location=link_out+$(use).val();
	}
	
function toggle_slab(use, link_out)
	{
	return toggle_tld(use, link_out);
	}
	
function toggle_registrars(use, link_out)
	{
	return toggle_tld(use, link_out);
	}
	

function force_save()
	{
	$('#save_first').show();
	$('#saved').hide();
	}
	
	
function assign_tld(tld_id, slab_id)
	{
	var this_checkbox='#tld_'+tld_id
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=domains&task=slabs&tld_id='+tld_id+'&slab_id='+slab_id+'&status='+state+'&assign_tld_to_slab=y', 
	function (data) 
		{
		$("#ajax_assign_tld_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}
	
	
function disable_pricing(slab_id, tld_id, registration_period, currency_id, command)
	{
	var target='#disable_'+command+'_'+slab_id+'_'+tld_id+'_'+registration_period+'_'+currency_id;
	var state=$(target).is(':checked');

	var target2='#'+command+'_price_'+slab_id+'_'+tld_id+'_'+registration_period+'_'+currency_id;
	var state2=$(target2).attr('disabled');

	if (state) { $(target2).attr('disabled', true); }
	else { $(target2).removeAttr('disabled'); }

	$.post('index.php',
		   {
			mod: 'domains',
			task: 'slabs',
			slab_id: slab_id,
			tld_id: tld_id,
			registration_period: registration_period,
			currency_id: currency_id,
			status: state,
			set_rtr: command,
		   }, 
	function (data) 
		{
		$('#ajax_set_rtr').html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}
	
function update_rtr_price(slab_id, tld_id, registration_period, currency_id, command)
	{
	var ref='#'+command+'_price_'+slab_id+'_'+tld_id+'_'+registration_period+'_'+currency_id;
	
	$.post('index.php', 
			{ 
				mod: 'domains',
				task: 'slabs',
				slab_id: slab_id,
				tld_id: tld_id,
				registration_period: registration_period,
				currency_id: currency_id,
				price: $(ref).val(),
				set_rtr_price: command,
			},  
	function( data ) 
		{ 
		$('#ajax_set_rtr').html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		$(ref).effect('highlight', {}, 1500); 
		}
	);
	}
	
function toggle_custom_contact_info()
	{
	if ($('#use_contacts').val()=='customer')
		{
		$('#use_custom_contact_information').hide();
		}
	else 
		{ 
		$('#use_custom_contact_information').show(); 
		}
	}


function toggle_state_province()
	{ 
	var has_states='#states'+$('#country_id').val();

	$.each($('.states'),function(i,e){ $(e).hide(); });
	
	if ($(has_states).length)
		{
		$(has_states).show();
		$('#countries').hide();
		$('#sop').val('state');
		}
	else
		{
		$('#countries').show();
		$('#sop').val('province');
		}
	}
	
function assign_asset(product_id, sku_id, slab_id)
	{
	var this_checkbox='#sku_'+sku_id
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=domains&task=slabs&product_id='+product_id+'&sku_id='+sku_id+'&slab_id='+slab_id+'&status='+state, 
	function (data) 
		{
		$("#ajax_assign_asset_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}