<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP echo mod::tabs($tabs, 'domains', 'slabs', "&id=".x('id'), 'slabs'); ?> 

<div class='tab_content' id='assign_asset' style='display:none;'>
	<div id='ajax_assign_asset_errors'></div>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Slab:'); ?></label> <?PHP forms::select($uid=uid('z'), 'domains', $slab_select, forms::value('domains', x('id')), "onchange='toggle_slab(\"#{$uid}\", \"".$m3=href('domains', 'slabs', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "slabs", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this pricing slab?'); ?>")'><?PHP w('Delete this Slab'); ?></a></li>
		</ul>
	</h1>
	<?PHP
	if (!empty($products)&&is_array($products))
		{
		echo "<div class='tab_content_wrapper_wp'><table class='form_table'>";
		foreach ((array)$products as $product)
			{
			echo "<tr><td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon '/> <b>{$product['name']}</b></td></tr>";

			$skus=product::get_skus($product['id']); 
			foreach($skus as $sku)
				{
				$checked=(in_array($sku['id'], product::assets('domains', x('id'))))?' checked':'';

				$checkbox=forms::checkbox("sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign_asset({$product['id']}, {$sku['id']}, ".x('id').");'", 0, 0);
			    echo "<tr><td class='label'>&nbsp;&nbsp;<label>{$checkbox} {$sku['name']}</label> ( ".w('id', 0).": {$sku['id']} )</td></tr>";
				}
			}
		echo "</table></div>";
		}
	else { ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'add_new')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('to add at least one product first.'); ?></p></div>
	<?PHP } ?>
</div>


<div class='tab_content' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><?PHP echo w('Add a New Slab'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('id')): ?><?PHP echo forms::hidden('id', 0, x('id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Slab Name:'); forms::overlib(w('Please enter the name of this pricing slab.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('Add Slab', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Slab:'); ?></label> <?PHP forms::select($uid=uid('l'), 'domains', $slab_select, forms::value('domains', x('id')), "onchange='toggle_slab(\"#{$uid}\", \"".$m3=href('domains', 'slabs', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "slabs", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this pricing slab?'); ?>")'><?PHP w('Delete this Slab'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Slab Name:'); forms::overlib(w('Please enter the name of this pricing slab.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $slab['name'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='pricing' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='ajax_set_rtr'></div>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Slab:'); ?></label> <?PHP forms::select($uid=uid('x'), 'domains', $slab_select, forms::value('domains', x('id')), "onchange='toggle_slab(\"#{$uid}\", \"".$m3=href('domains', 'slabs', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "slabs", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this pricing slab?'); ?>")'><?PHP w('Delete this Slab'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<?PHP if (!empty($tlds_assigned_select)&&is_array($tlds_assigned_select)): ?>
		<div class='tab_content_wrapper_wp'>
			<table class='form_table'>
				<?PHP foreach ((array)$tlds_assigned_select as $tld_id => $tld_name): ?>
					<tr>
						<td class='label_alt show_cursor' onclick='$("#<?PHP echo $uid=uid('x'); ?>").toggle();'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon '/> <b>.<?PHP echo strtoupper($tld_name); ?> Pricing</b></td>
					</tr>
					<tr id='<?PHP echo $uid; ?>'>
						<td class='label'>
						<center><table class='tld_pricing_table'>
							<tr class='th'>
								<td>Period</td>
								<td>Register Price</td>
								<td>Transfer Price</td>
								<td>Renew Price</td>
							</tr>
							<?PHP foreach(domains::get_slab_tld_pricing(x('id'), $tld_id) as $pricing): ?>


								<tr class='show_hover'>
									<td><?PHP echo $pricing['registration_period']; ?> <?PHP echo (($pricing['registration_period']==1)?w('Year',0):w('Years',0)); ?> (  <?PHP echo $currencies[$pricing['currency_id']]; ?> )</td>
									<td>

	<p><?PHP forms::text("register_price_{$pricing['slab_id']}_{$pricing['tld_id']}_{$pricing['registration_period']}_{$pricing['currency_id']}", 0, forms::value('register_price', $pricing['register_price']), "onchange='update_rtr_price({$pricing['slab_id']}, {$pricing['tld_id']}, {$pricing['registration_period']}, {$pricing['currency_id']}, \"register\")'", 'small', 1, $pricing['disable_register']); ?> <?PHP echo $currency; ?>


	<label><?PHP echo forms::checkbox("disable_register_{$pricing['slab_id']}_{$pricing['tld_id']}_{$pricing['registration_period']}_{$pricing['currency_id']}", 0, 1, forms::value('disable_register', $pricing['disable_register']), "onclick='disable_pricing({$pricing['slab_id']}, {$pricing['tld_id']}, {$pricing['registration_period']}, {$pricing['currency_id']}, \"register\");'"); ?> <?PHP echo w('Disabled',0); ?></label></p>

									</td>
									<td>

<?PHP forms::text("transfer_price_{$pricing['slab_id']}_{$pricing['tld_id']}_{$pricing['registration_period']}_{$pricing['currency_id']}", 0, forms::value('transfer_price', $pricing['transfer_price']), "onchange='update_rtr_price({$pricing['slab_id']}, {$pricing['tld_id']}, {$pricing['registration_period']}, {$pricing['currency_id']}, \"transfer\")'", 'small', 1, $pricing['disable_transfer']); ?> 


<label><?PHP echo forms::checkbox("disable_transfer_{$pricing['slab_id']}_{$pricing['tld_id']}_{$pricing['registration_period']}_{$pricing['currency_id']}", 0, 1, forms::value('disable_transfer', $pricing['disable_transfer']), "onclick='disable_pricing({$pricing['slab_id']}, {$pricing['tld_id']}, {$pricing['registration_period']}, {$pricing['currency_id']}, \"transfer\");'"); ?> <?PHP echo w('Disabled',0); ?></label>

									</td>
									<td>

<?PHP forms::text("renew_price_{$pricing['slab_id']}_{$pricing['tld_id']}_{$pricing['registration_period']}_{$pricing['currency_id']}", 0, forms::value('renew_price', $pricing['renew_price']), "onchange='update_rtr_price({$pricing['slab_id']}, {$pricing['tld_id']}, {$pricing['registration_period']}, {$pricing['currency_id']}, \"renew\")'", 'money', 1, $pricing['disable_renew']); ?> 


<label><?PHP echo forms::checkbox("disable_renew_{$pricing['slab_id']}_{$pricing['tld_id']}_{$pricing['registration_period']}_{$pricing['currency_id']}", 0, 1, forms::value('disable_renew', $pricing['disable_renew']), "onclick='disable_pricing({$pricing['slab_id']}, {$pricing['tld_id']}, {$pricing['registration_period']}, {$pricing['currency_id']}, \"renew\");'"); ?> <?PHP echo w('Disabled',0); ?></label>

									</td>
								</tr>



							<?PHP endforeach; ?>
						</table></center>
						</td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'>
			<p class='no_matches_found'>
				<a href='<?PHP echo href('domains', 'slabs', array('show_tab' => 'assign')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('to assign at least one TLD first.'); ?>
			</p>
		</div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='assign' style='display:none;'>
	<div id='ajax_assign_tld_errors'></div>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Slab:'); ?></label> <?PHP forms::select($uid=uid('y'), 'domains', $slab_select, forms::value('domains', x('id')), "onchange='toggle_slab(\"#{$uid}\", \"".$m3=href('domains', 'slabs', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "slabs", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this pricing slab?'); ?>")'><?PHP w('Delete this Slab'); ?></a></li>
		</ul>
	</h1>
	<?PHP
	if (!empty($tlds)&&is_array($tlds))
		{
		echo "<div class='tab_content_wrapper_wp'><table class='form_table'>";
		$m3=1; 
		foreach ((array)$tlds as $tld)
			{
			$checked=(in_array($tld['id'], $tlds_assigned))?' checked':'';

			$checkbox=forms::checkbox("tld_{$tld['id']}", 0, $tld['id'], $checked, "onclick='assign_tld({$tld['id']}, ".x('id').");'", 0, 0);
			echo "<tr><td class='label".alt($m3+=1)."'>&nbsp;&nbsp;<label>{$checkbox} {$tld['name']}</label></td></tr>";
			}
		echo "</table></div>";
		}
	else { ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><a href='<?PHP echo href('domains', 'tlds', array('show_tab' => 'add_new')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('to add at least one TLD first.'); ?></p></div>
	<?PHP } ?>
</div>

<?PHP echo set_default_tab('general') ?>