<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP echo mod::tabs($tabs, 'domains', 'tlds', "&id=".x('id'), 'tlds'); ?> 


<div class='tab_content' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><?PHP echo w('Add a New TLD'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('id')): ?><?PHP echo forms::hidden('id', 0, x('id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('TLD Name:'); forms::overlib(w('Please enter the name of this TLD. Remember to enter the name without the dot. So you would enter com instead of .com.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Whois Server URL:'); forms::overlib(w('Please enter the whois server URL for this TLD.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>http:// <?PHP forms::text('whois_server', 0, forms::value('whois_server')); ?> <a href='http://www.dnaz.net/whois.html' target='_blank'><?PHP echo w('Whois Server List',0); ?></a></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Whois Match String:'); forms::overlib(w('Please enter the whois match strin for this TLD. See the Whois Server List for this information. If your TLD is not listed there then you will need to contact the registry to obtain this information.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('whois_matching_string', 0, forms::value('whois_matching_string')); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Minimum Years to Register:'); forms::overlib(w('The minimum number of years that this TLD can be registered for.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('min_registration', 0, $reg_periods, forms::value('min_registration')); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Maximum Years to Register:'); forms::overlib(w('The maximum number of years that this TLD can be registered for.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('max_registration', 0, $reg_periods, forms::value('max_registration')); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Registrar Module:'); forms::overlib(w('Choose a registrar module to have the domain name auto-provisioned with successful orders.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('registrar', 0, $registrar_select, forms::value('registrar')); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('EPP Code for Transfers:'); forms::overlib(w('Does this TLD require an EPP Code for domain name transfers?', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('epp_code', 0, $epp_code, forms::value('epp_code')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('Add TLD', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing TLD:'); ?></label> <?PHP forms::select($uid=uid('l'), 'domains', $tld_select, forms::value('domains', x('id')), "onchange='toggle_tld(\"#{$uid}\", \"".$m3=href('domains', 'tlds', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "tlds", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this TLD?'); ?>")'><?PHP w('Delete this TLD'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('TLD Name:'); forms::overlib(w('Please enter the name of this TLD. Remember to enter the name without the dot. So you would enter com instead of .com.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $tld['name'])); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Whois Server URL:'); forms::overlib(w('Please enter the whois server URL for this TLD. Please be sure to open up port 43 on your server as it is required by the whois check. Also, if you don\'t see a whois server for your TLD in the Whois Server List then you will need to contact the registry for this information.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>http:// <?PHP forms::text('whois_server', 0, forms::value('whois_server', $tld['whois_server'])); ?> <a href='http://www.dnaz.net/whois.html' target='_blank'><?PHP echo w('Whois Server List',0); ?></a></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Whois Match String:'); forms::overlib(w('Please enter the whois match strin for this TLD. See the Whois Server List for this information. If your TLD is not listed there then you will need to contact the registry to obtain this information.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('whois_matching_string', 0, forms::value('whois_matching_string', $tld['whois_matching_string'])); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Minimum Years to Register:'); forms::overlib(w('The minimum number of years that this TLD can be registered for.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('min_registration', 0, $reg_periods, forms::value('min_registration', $tld['min_registration'])); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Maximum Years to Register:'); forms::overlib(w('The maximum number of years that this TLD can be registered for.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('max_registration', 0, $reg_periods, forms::value('max_registration', $tld['max_registration'])); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Registrar Module:'); forms::overlib(w('Choose a registrar module to have the domain name auto-provisioned with successful orders.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('registrar', 0, $registrar_select, forms::value('registrar', $tld['registrar'])); ?></td>
			</tr>
			</tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('EPP Code for Transfers:'); forms::overlib(w('Does this TLD require an EPP Code for domain name transfers?', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('epp_code', 0, $epp_code, forms::value('epp_code', $tld['epp_code'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>