<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP echo mod::tabs($tabs, 'email', 'campaign_edit', "&id=".x('id'), 'campaign_editor'); ?>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP echo w('email_campaign'); ?> <?PHP echo sx($campaign['name'])?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_copy', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>_top'><?PHP w('subject:'); forms::overlib(w('overlib_subject', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('subject', 0, forms::value('subject', s($campaign['subject'])), '500px', '15px', true, "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('message:'); forms::overlib(w('overlib_message', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('message', 0, forms::value('message', s($campaign['message'])), '500px', '200px', true, "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('alt_body_message:'); forms::overlib(w('overlib_alt_body_message', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('alt_body_message', 0, forms::value('alt_body_message', s($campaign['alt_body_message'])), '500px', '100px', true, "onclick='force_save();'"); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('valid_tags:'); forms::overlib(w('overlib_valid_tags', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>' id='parse_tags'><?PHP echo email_ui_helper::format_replacable_tags($valid_tags)?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><a id='save_first' style='display:none;' href='#' onclick='alert("<?PHP w('please_save_campaign_first'); ?>"); return false;'><?PHP echo w('send_test_to_admin_email')?></a><a id='saved' href='<?PHP echo href('email','campaign_edit', array('id' => x('id'), 'show_tab' => 'general', 'send_test_email' => 'y'))?>'><?PHP echo w('send_test_to_admin_email')?></a> <?PHP echo w('-or-')?> <a href='<?PHP echo $view_online?>' target='_BLANK'><?PHP echo w('view_online')?></a> <?PHP echo w('-or-')?> <?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div id='stats' title='<?PHP w('campaign_statistics')?>' style='display:none;'>
	<table class='form_table'>
		<tr>
			<td class='text<?PHP echo alt($m3=0); ?>'><?PHP echo w('campaign_status:')?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $campaign['status']?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_lists:')?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP echo count($assigned_lists)?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('recipients:')?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $total_recipients?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_in_queue:')?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $enqueue?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_sent_so_far:')?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $complete?></td>
		</tr>
	</table>
</div>

<div class='tab_content' id='advanced' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP echo w('email_campaign'); ?> <?PHP echo sx($campaign['name'])?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'advanced'); ?>
		<?PHP echo forms::hidden('save_settings', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('campaign_statistics:'); forms::overlib(w('overlib_campaign_statistics', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><a href='#' onclick='glassbox("stats", 375, 215); return false;'><?PHP echo w('click_to_view')?></a></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $campaign['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('campaign_name:'); forms::overlib(w('overlib_campaign_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $campaign['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('customer_area_id:'); forms::overlib(w('overlib_customer_area_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('customer_area_id', 0, $customer_areas, forms::value('customer_area_id', $campaign['customer_area_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('transport_id:'); forms::overlib(w('overlib_transport_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('transport_id', 0, $transports, forms::value('transport_id', $campaign['transport_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('max_per_hour:'); forms::overlib(w('overlib_max_per_hour', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('max_per_hour', 0, forms::value('max_per_hour', $campaign['max_per_hour']), 0, 'small'); ?> <?PHP echo w('zero_or_blank_for_no_limit', 0)?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('rules:'); forms::overlib(w('overlib_rules', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('rules', 0, $rules, forms::value('rules', $campaign['rules'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('send:'); forms::overlib(w('overlib_send', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('send', 0, $send, forms::value('send', $campaign['send']), "onchange='toggle_send();'"); ?></td>
			</tr>
			<!--<?PHP echo alt($m3+=1); ?>-->
			<tr id='per_schedule_div' style='display:none'>
				<td class='text<?PHP echo alt($m3); ?>'><?PHP w('per_schedule:'); forms::overlib(w('overlib_per_schedule', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('per_schedule', 0, forms::value('per_schedule', $campaign['per_schedule']), 0, 'date'); ?> <?PHP echo w('mmddYYYY', 0)?> <?PHP echo w('at', 0)?> <?PHP forms::select('per_schedule_time', 0, $hours, forms::value('per_schedule_time', $campaign['per_schedule_time'])); ?></td>
			</tr>
			<tr id='periodic_schedule_div' style='display:none'>
				<td class='text<?PHP echo alt($m3); ?>'><?PHP w('periodic_schedule:'); forms::overlib(w('overlib_periodic_schedule', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('periodic_schedule', 0, forms::value('periodic_schedule', $campaign['periodic_schedule']), 0, 'small'); ?> <?PHP echo w('days', 0)?> <?PHP echo w('at', 0)?> <?PHP forms::select('periodic_schedule_time', 0, $hours, forms::value('periodic_schedule_time', $campaign['periodic_schedule_time'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		<script> toggle_send(); </script>
		</form>
	</div>
</div>

<div class='tab_content' id='assign_lists' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='ajax_errors'></div>
	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP echo w('email_campaign'); ?> <?PHP echo sx($campaign['name'])?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
		<table class='data_grid'>
			<?PHP $m3=0; foreach ($lists as $list): $data=prepare($list, $assigned_lists); ?>
				<tr <?PHP echo $data['alt']?>>
					<td><label><?PHP echo $data['checkbox']; ?> <?PHP echo $data['name']; ?></label></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
	</div>
</div>


<?PHP echo set_default_tab('general') ?>