<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'hosting', 'account_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'accounts', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'hosting', 'account_edit', "&id=".x('id'), 'accounts'); ?>
<?PHP endif; ?>


<div class='tab_content' id='reseller' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_server'>
		<ul>
			<li><?PHP echo w('Hosting Account:', 0); ?> <?PHP echo $account['domain']; ?></li>
			<li class='right'><?PHP echo $account['customer']; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (file_exists($m3="modules/hosting/modules/{$server['module']}/view/account_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$server['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>



<div class='tab_content' id='package' style='display:none;'>
	<?PHP errors($errors); ?>

	<div id='ajax_assign_server_package_errors'></div>
	<h1 class='tab_content_label_2col tab_server'>
		<ul>
			<li><?PHP echo w('Hosting Account:', 0); ?> <?PHP echo $account['domain']; ?></li>
			<li class='right'><?PHP echo $account['customer']; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (file_exists($m3="modules/hosting/modules/{$server['module']}/view/account_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$server['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>




<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_server'>
		<ul>
			<li><?PHP echo w('Hosting Account:', 0); ?> <?PHP echo $account['domain']; ?></li>
			<li class='right'><?PHP echo $account['customer']; ?></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_account_notes', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('SPBAS Package:'); forms::overlib(w('The package created in SPBAS for this account. You can do things like suspend the account, change billing dates and manage many other aspects of the account here.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers','customer_edit', array('id'=>$account['customer_id'], 'package_id'=>$account['package_id'], 'show_tab'=>'packages')); ?>'><?PHP echo $package['package_name']; ?></a></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Domain Name:'); forms::overlib(w('The domain name that is associated with this hosting account.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $domain_name; ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Installed on Server:'); forms::overlib(w('The hosting account is installed on this server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('hosting','noc', array('id'=>$account['noc_id'], 'show_tab'=>'general')); ?>'><?PHP echo $datacenter['name']; ?></a> &raquo; <a href='<?PHP echo href('hosting','servers', array('id'=>$server['id'], 'show_tab'=>'general')); ?>'><?PHP echo $server['hostname']; ?></a> &raquo; <a href='<?PHP echo href('hosting','servers', array('id'=>$server['id'], 'show_tab'=>'general')); ?>'><?PHP echo $server['server_ip']; ?></a></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Hosting Package Used:'); forms::overlib(w('The SPBAS hosting package used for this account.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('hosting','packages', array('id'=>$account['hosting_package_id'], 'show_tab'=>'general')); ?>'><?PHP echo $hosting_package['name']; ?></a></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Base Product:'); forms::overlib(w('The product associated with this hosting account.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('products','product_edit', array('id'=>$account['product_id'], 'pricing_id'=>$account['sku_id'], 'show_tab'=>'tiers')); ?>'><?PHP echo $package['package_name']; ?></a></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Account Created:'); forms::overlib(w('The date this account was created.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo date(config('date_format').' '.config('time_format'), $account['created']); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>' style='text-align:center;' colspan='2'><?PHP w('Private Admin Only Notes:');  ?><br /><?PHP forms::textarea('notes', 0, forms::value('notes', $account['notes']), '550px', '75px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>