<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield_add'>
		<ul>
			<li><?PHP echo w('Add a New Hosting Account'); ?></li>
			<li class='right'><a href='<?PHP echo href('hosting', 'accounts', array('show_tab' => 'general')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
		<?PHP echo forms::hidden('customer_id', 0, ''); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('choose_customer:'); forms::overlib(w('overlib_customer_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $customer_id; ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('add_a_new_customer_first')?></a></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='general' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP echo w('Manage Hosting Accounts'); ?></li>
			<li class='right'><!--<a href='<?PHP echo href('license', 'license_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_license'); ?></a>--><a href='<?PHP echo href('search', 'index', array('show_tab' => 'hosting')); ?>' class='form_button'><?PHP w('Search Accounts'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($accounts)&&is_array($accounts)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('ID'); ?></a></th>
				<th><?PHP echo $s['domain']['image']; ?><a href='<?PHP echo $s['domain']['link']; ?>'><?PHP w('Domain'); ?></a></th>
				<th><?PHP echo $s['customer_id']['image']; ?><a href='<?PHP echo $s['customer_id']['link']; ?>'><?PHP w('Customer'); ?></a></th>
				<th><?PHP echo $s['server_id']['image']; ?><a href='<?PHP echo $s['server_id']['link']; ?>'><?PHP w('Server'); ?></a></th>
				<th><?PHP echo $s['is_provisioned']['image']; ?><a href='<?PHP echo $s['is_provisioned']['link']; ?>'><?PHP w('Provisioned?'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('Status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP foreach ($accounts as $unique): $data=prepare($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['domain']; ?></td>
					<td><?PHP echo $data['customer']; ?></td>
					<td><?PHP echo $data['server']; ?></td>
					<td><?PHP echo $data['provisioned']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <!--<?PHP echo $data['terminate']; ?> / <?PHP echo $data['suspend']; ?>--> <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('No hosting accounts found.', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>