<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP echo mod::tabs($tabs, 'hosting', 'packages', "&id=".x('id'), 'packages'); ?> 

<div class='tab_content' id='assign' style='display:none;'>
	
	<div id='ajax_assign_asset_errors'><?PHP ($_GET['show_errors'])?errors($errors):''; ?></div>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Hosting Package:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $package_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'packages', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "packages", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this hosting package?'); ?>")'><?PHP w('Delete this Package'); ?></a></li>
		</ul>
	</h1>
	<?PHP
	if (!empty($products)&&is_array($products))
		{
		echo "<div class='tab_content_wrapper_wp'><table class='form_table'>";
		foreach ((array)$products as $product)
			{
			echo "<tr><td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon '/> <b>{$product['name']}</b></td></tr>";

			$skus=product::get_skus($product['id']); 
			foreach($skus as $sku)
				{
				$checked=(in_array($sku['id'], product::assets('hosting', x('id'))))?' checked':'';

				$checkbox=forms::checkbox("sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign_asset({$product['id']}, {$sku['id']}, ".x('id').");'", 0, 0);
			    echo "<tr><td class='label'>&nbsp;&nbsp;<label>{$checkbox} {$sku['name']}</label> ( ".w('id', 0).": {$sku['id']} )</td></tr>";
				}
			}
		echo "</table></div>";
		}
	else { ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'add_new')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('to add at least one product first.'); ?></p></div>
	<?PHP } ?>
</div>



<div class='tab_content' id='reseller' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Hosting Package:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $package_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'packages', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "packages", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this package?'); ?>")'><?PHP w('Delete this Package'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (file_exists($m3="modules/hosting/modules/{$package['module']}/view/package_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$package['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>



<div class='tab_content' id='provisioning' style='display:none;'>
	<?PHP errors($errors); ?>

	<div id='ajax_assign_server_package_errors'></div>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Hosting Package:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $package_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'packages', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "packages", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this package?'); ?>")'><?PHP w('Delete this Package'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (file_exists($m3="modules/hosting/modules/{$package['module']}/view/package_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$package['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>


<div class='tab_content' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><?PHP echo w('Add a New Package'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('id')): ?><?PHP echo forms::hidden('id', 0, x('id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Choose Module:'); forms::overlib(w('Please choose the hosting control panel module for this package.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $modules, forms::value('module')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Choose Server Group:'); forms::overlib(w('Please choose the server group to be used with this package.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('group_id', 0, $group_select, forms::value('group_id')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Common Name:'); forms::overlib(w('Please give this package a name that will be used in the admin area only for reference.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('Add Package', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Hosting Package:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $package_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'packages', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "packages", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this package?'); ?>")'><?PHP w('Delete this Package'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Choose Module:'); forms::overlib(w('Please choose the hosting control panel module for this package.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $modules, forms::value('module', $package['module'])); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Choose Server Group:'); forms::overlib(w('Please choose the server group to be used with this package.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('group_id', 0, $group_select, forms::value('group_id', $package['group_id'])); ?></td>
				</tr>
				</tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Common Name:'); forms::overlib(w('Please give this package a name that will be used in the admin area only for reference.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $package['name'])); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>