<?PHP @template::ran_directly(); /* required for all templates */ ?>



<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins_add'>
		<ul>
			<li><?PHP echo w('add_new_invoice'); ?></li>
			<li class='right'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('manage_invoices'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?= forms::action(); ?>
		<?= forms::hidden('mod', 0, x('mod')); ?>
		<?= forms::hidden('task', 0, x('task')); ?>
		<?= forms::hidden('id', 0, x('id')); ?>
		<?= forms::hidden('add_new_invoice', 0, 'y'); ?>
		<?= forms::hidden('customer_id', 0, ''); ?>
		<?= forms::hidden('show_tab', 0, x('show_tab')); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?=alt($m3=0);?>'><?PHP w('choose_customer:'); forms::overlib(w('overlib_customer_id', 0)); ?></td>
				<td class='label<?=alt($m3);?>'><?PHP forms::text('customer_search', 0, x('customer_search'), 0, 'large'); ?> <?=w('-or-');?> <a href='<?=href('customers', 'customer_editor', array('show_tab'=>'add_new'))?>'><?PHP w('add_a_new_customer_first')?></a></td>
			</tr>
			<tr>
				<td class='text<?=alt($m3+=1);?>'><?PHP w('customer_area_id:'); forms::overlib(w('overlib_customer_area_id', 0)); ?></td>
				<td class='label<?=alt($m3);?>'><?PHP forms::select('customer_area_id', 0, customer_area::make_select_ca(), forms::value('customer_area_id')); ?></td>
			</tr>
			<tr>
				<td class='text<?=alt($m3+=1);?>'><?PHP w('order_form_id:'); forms::overlib(w('overlib_order_form_id', 0)); ?></td>
				<td class='label<?=alt($m3);?>'><?PHP forms::select('order_form_id', 0, order_forms::make_select(), forms::value('order_form_id')); ?></td>
			</tr>
			<tr>
				<td class='text<?=alt($m3+=1);?>'><?PHP w('currency:'); forms::overlib(w('overlib_currency', 0)); ?></td>
				<td class='label<?=alt($m3);?>'><?PHP forms::select('currency_id', 0, currency::make_select(), forms::value('currency_id')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>



<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('manage_invoices'); ?></li>
			<li class='right'><a href='<?PHP echo href('invoices', 'invoice_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_invoice'); ?></a><a href='<?PHP echo href('search', 'index', array('show_tab' => 'invoices')); ?>' class='form_button'><?PHP w('search_invoices'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($invoices)&&is_array($invoices)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('confirm_remove_invoice', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['invoice_id']['image']; ?><a href='<?PHP echo $s['invoice_id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['customer_id']['image']; ?><a href='<?PHP echo $s['customer_id']['link']; ?>'><?PHP w('customer'); ?></a></th>
				<!--<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>-->
				<th><?PHP echo $s['due_date']['image']; ?><a class='on' href='<?PHP echo $s['due_date']['link']; ?>'><?PHP w('due_date'); ?></a></th>
				<th><?PHP echo $s['total_due']['image']; ?><a href='<?PHP echo $s['total_due']['link']; ?>'><?PHP w('total_due'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a class='on' href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='7'><?PHP forms::submit(0, 0, w('remove', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('invoices', 'invoice_editor', $le); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($invoices as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['invoice_id']; ?></td>
				<td><?PHP echo $data['customer_id']; ?></td>
				<!--<td><?PHP echo $data['created']; ?></td>-->
				<td><?PHP echo $data['due_date']; ?></td>
				<td><?PHP echo $data['total_due']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td class='options'><?PHP echo $data['print']; ?> / <?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $invoice_pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_invoices_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>