<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div id='invoice'>
	<ul>
		<li class='left'><h1><?PHP echo $company_name; ?></h1></li>
		<li class='right_aligned'><h1><?PHP w('invoice'); ?> #<?PHP echo $invoice['invoice_id']; ?> - <?PHP echo $invoice['status']; ?> <?PHP echo (($invoice['status']=='Paid')?'':$balance); ?></h1></li>
	</ul>
	<div class='clear'><!--ie--></div>

	<ul>
		<li class='left'><b><?PHP echo w('invoice_to')?></b></li>
		<li class='right'><b><?PHP echo w('pay_to')?></b></li>
		<li class='left'>
			<br /><?PHP echo sx($customer['display_address']); ?>
			<?PHP if ($order_form['enable_vat']=='Yes'&&$customer['vat_number']): ?>
				<?PHP w('V.A.T.'); ?> <?PHP echo (($customer['vat_number'])?$customer['vat_number']:w('unknown_vat', 0)); ?><br />
			<?PHP endif; ?>
		</li>
		<li class='right'>
			<br /><?PHP echo sx($company_name)?>
			<br /><?PHP echo sx($company_address); ?>
			<?PHP if ($order_form['enable_vat']=='Yes'&&$order_form['vat_number']): ?>
				<br /><?PHP w('V.A.T.'); ?> <?PHP echo $order_form['vat_number']; ?>
			<?PHP endif; ?>
		</li>
	</ul>
	<div class='clear'><!--ie--></div><br /><br />

	<b><?PHP echo w('invoice_items')?></b><br /><br />
	<table class='data_grid'>
		<tr class='th'>
			<th><?PHP w('line_item'); ?></th>
			<th><?PHP w('total'); ?></th>
			<th><?PHP w('discount'); ?></th>
			<th><?PHP w('sub_total'); ?></th>
		</tr>

		<?PHP if (is_array($line_items)&&!empty($line_items)): ?>
			<?PHP $alt_increment=0; foreach($line_items as $unique): $data=prepare_line_items($unique, $invoice['currency_id']); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['description']; ?></td>
					<td><?PHP echo $data['total']; ?></td>
					<td><?PHP echo $data['discount']; ?></td>
					<td><?PHP echo $data['total_due']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		<?PHP endif; ?>
	</table><br /><br />


	<?PHP if (is_array($credits_used)&&!empty($credits_used)): ?>
		<b><?PHP w('invoice_credits'); ?></b><br /><br />
		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('description'); ?></th>
				<th><?PHP w('applied_on'); ?></th>
				<th><?PHP w('amount'); ?></th>
			</tr>
			<?PHP $alt_increment=0; foreach($credits_used as $unique): $data=prepare_credit_usage($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['description']?></td>
					<th><?PHP echo $data['created']?></th>
					<td><?PHP echo $data['amount']?></td>
				</tr>
			<?PHP endforeach; ?>
		</table><br /><br />
	<?PHP endif; ?>


	<?PHP if (is_array($invoice_payments)&&!empty($invoice_payments)): ?>
		<b><?PHP w('invoice_payments'); ?></b><br /><br />
		<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('description'); ?></th>
					<th><?PHP w('transaction_id'); ?></th>
					<th><?PHP w('subscription_id'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th><?PHP w('amount'); ?></th>
				</tr>

		<?PHP $alt_increment=0; foreach($invoice_payments as $unique): $data=prepare_payments($unique, $invoice['currency_id']); ?>
			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['description']?></td>
				<td><?PHP echo $data['transaction_id']; ?></td>
				<td><?PHP echo $data['subscription_id']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td><?PHP echo $data['amount']; ?></td>
			</tr>
		<?PHP endforeach; ?>
		</table><br /><br />
	<?PHP else: ?>
		<?PHP echo w('no_payments_to_date'); ?>
	<?PHP endif; ?>

</div>
<div class='clear'><!--ie--></div>

<ul>
	<li class='left'><?PHP echo w('generated_on'); ?> <?PHP echo date('r'); ?>.</li>
	<li class='right_aligned'><b><?PHP echo w('end_of_invoice'); ?></b></li>
</ul>
<div class='clear'><!--ie--></div>

<?PHP if ($conf['invoice_statement']): ?>
		<br /><p><?PHP echo nl2br(sx($conf['site']['invoice_statement'])); ?></p>
<?PHP endif; ?>