<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_page_add'>
	<ul>
		<li><?PHP w('add_a_new_article'); ?></li>
		<li class='right'><a href='<?PHP echo href('kb', 'article_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('existing_articles'); ?></a></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>
	<?PHP forms::action(); ?>
	<?PHP forms::hidden('mod', 0, x('mod')); ?>
	<?PHP forms::hidden('task', 0, x('task')); ?>
	<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP forms::hidden('add_new', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('publish_status:'); forms::overlib(w('overlib_publish_status', 0));  ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, array('Draft' => w('draft', 0), 'Publish' => w('publish', 0)), forms::value('status')); ?>&nbsp;&nbsp;<i><?PHP echo w('on')?></i>&nbsp;&nbsp;<?PHP echo $month; ?> / <?PHP echo $day; ?> / <?PHP echo $year; ?>&nbsp;&nbsp;<i><?PHP echo w('by')?></i>&nbsp;&nbsp;<?PHP forms::select('author', 0, $admin_select, forms::value('author')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('title:'); forms::overlib(w('overlib_title', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('title', 0, forms::value('title'), 0, 'largest'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('content:'); forms::overlib(w('overlib_content', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('contentx', 'content', forms::value('content'), '525px', '275px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_page'>
		<ul>
			<li><?PHP w('existing_articles'); ?></li>
			<li class='right'><a href='<?PHP echo href('kb', 'article_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_article'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($articles)&&is_array($articles)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['title']['image']; ?><a href='<?PHP echo $s['title']['link']; ?>'><?PHP w('title'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('kb', 'article_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($articles as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['title']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_articles_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>