<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_folder'>
		<ul>
			<li><?PHP w('kb_category'); ?> <?PHP echo $edit_category['name']; ?></li>
			<li class='right'><a href='<?PHP echo href('kb', 'category_editor', array('id' => x('id'), 'parent_id' => x('parent_id'), 'show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP echo forms::hidden('parent_id', 0, x('parent_id')); ?>
		<?PHP echo forms::hidden('category_id', 0, x('category_id')); ?>
		<?PHP echo forms::hidden('update_category', 0, 'y'); ?>
		<?PHP echo forms::hidden('icon', 0, $edit_category['icon']); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP w('parent_category:'); forms::overlib(w('overlib_parent_category', 0)); ?></td>
				<td class='label'><?PHP forms::select('new_parent_id', 0, $category_select, forms::value('new_parent_id', $edit_category['parent_id'])); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label_alt'><?PHP forms::select('status', 0, $statuses, forms::value('status', $edit_category['status'])); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label'><?PHP forms::text('name', 0, forms::value('name', $edit_category['name']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text_alt_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label_alt'><?PHP forms::textarea('description', 0, forms::value('description', $edit_category['description']), '301px', '75px'); ?></td>
			</tr>
			<tr>
				<td class='text_top'><?PHP w('icon:'); forms::overlib(w('overlib_icon', 0)); ?></td>
				<td class='label'><div class='scroll'><?PHP foreach($icons as $icon_row): foreach((array)$icon_row as $icon): ?>

<img class='non_focus' src='<?PHP echo $icons['path']."/{$icon}"; ?>' onmouseover='this.className="focus"' onmouseout='this.className="non_focus"' id='<?PHP echo $icon; ?>' onclick='$("icon").value=this.id; set_icon(this);' title='<?PHP w('click_to_choose', 0); ?>' />

		<?PHP endforeach;  endforeach; ?></div></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>

		<script>
			<?PHP if ($edit_category['icon']): ?>
				set_icon($('<?PHP echo $edit_category['icon']; ?>')); 
			<?PHP endif; ?>
		</script>

	</div>
</div>

<?PHP echo set_default_tab('general') ?>