<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='grid half no_margin'>
	<?PHP errors($errors); ?>
	<span class='section_header_left'><?PHP echo w('advanced_search'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, 'license'); ?>
		<?PHP echo forms::hidden('task', 0, 'license_editor'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'manage_existing'); ?>
		<?PHP echo forms::hidden('do_advanced_search', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='label<?PHP echo alt($m3=0); ?>' colspan='2' style='padding-left: 6px;'><?PHP forms::text('advanced_search', 0, forms::value('advanced_search'), 0, 'advanced_search'); ?> <?PHP forms::submit(0, 0, w('search_licensing', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('license', 'license_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('view_all_licenses'); ?></a></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('license_key', 0, 1, forms::value('license_key', x('license_key'))); ?> <?PHP echo w('license_key')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('status', 0, 1, forms::value('status', x('status'))); ?> <?PHP echo w('status')?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('valid_host', 0, 1, forms::value('valid_host', x('valid_host'))); ?> <?PHP echo w('host')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('valid_ip', 0, 1, forms::value('valid_ip', x('valid_ip'))); ?> <?PHP echo w('ip')?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('valid_mac', 0, 1, forms::value('valid_mac', x('valid_mac'))); ?> <?PHP echo w('mac')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('valid_directory', 0, 1, forms::value('valid_directory', x('valid_directory'))); ?> <?PHP echo w('directory')?></label></td>
			</tr>
		</table>
		</form>
	</div>
</div>
<div class='grid quarter grid_space_left_more'>
	<span class='section_header_left'><?PHP echo w('license_stats'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form'>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_licenses:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor')?>'><?PHP echo dashboard_licensing::total_licenses()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('active_licenses:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor', array('terms'=>'Active', 'show_tab'=>'manage_existing'))?>'><?PHP echo dashboard_licensing::total_license_per_status('Active')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('reissued_licenses:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor', array('terms'=>'Reissued', 'show_tab'=>'manage_existing'))?>'><?PHP echo dashboard_licensing::total_license_per_status('Reissued')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('suspended_licenses:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor', array('terms'=>'Suspended', 'show_tab'=>'manage_existing'))?>'><?PHP echo dashboard_licensing::total_license_per_status('Suspended')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('expired_licenses:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor', array('terms'=>'Expired', 'show_tab'=>'manage_existing'))?>'><?PHP echo dashboard_licensing::total_license_per_status('Expired')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='grid quarter right'>
	<span class='section_header_left'><?PHP echo w('quick_links'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form'>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?>'><?PHP echo w('add_license:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('add_method:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license_methods', 'method_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('add_server:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('license', 'license_editor', array('terms'=>'Reissued', 'show_tab'=>'manage_existing'))?>'><?PHP echo w('go_')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='clear margin_bottom'><!-- --></div>

<div class='grid no_margin half'><span class='section_header'><?PHP echo w('license_totals_7_days_running')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['seven_days'], uid('seven_days'), 454, 190); ?></div>
<div class='grid right'><span class='section_header'><?PHP echo w('license_totals_6_monts_running')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['six_months'], uid('six_months'), 454, 190); ?></div>
<div class='clear margin_bottom'><!-- --></div>




<div class='grid half no_margin'>
		<span class='section_header_left'><?PHP echo w('recently_accessed_licenses')?></span>
		<?PHP if (!empty($licenses_accessed)&&is_array($licenses_accessed)): ?>
			<div class='tab_content_wrapper no_top_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('license_key'); ?></th>
						<th><?PHP w('status'); ?></th>
						<th><?PHP w('created'); ?></th>
						<th class='options'><a href='<?PHP echo href('license','license_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($licenses_accessed as $unique): $data=prepare_licenses($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['license_key']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_license_accesses_found', 0); ?></p></div>
		<?PHP endif; ?>
</div>

<div class='grid half right'>
		<span class='section_header_left'><?PHP echo w('recent_licenses')?></span>
		<?PHP if (!empty($licenses_created)&&is_array($licenses_created)): ?>
			<div class='tab_content_wrapper no_top_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('license_key'); ?></th>
						<th><?PHP w('status'); ?></th>
						<th><?PHP w('created'); ?></th>
						<th class='options'><a href='<?PHP echo href('license','license_editor')?>'><?PHP echo w('view_all'); ?></a></th>
					</tr>
					<?PHP $m3=0; foreach ($licenses_created as $unique): $data=prepare_licenses($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['license_key']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_licenses_found', 0); ?></p></div>
		<?PHP endif; ?>
</div>
<div class='clear margin_bottom'><!-- --></div>