<?PHP
# This file is for the license server:
# {server_name} [Server ID: {server_id}] [created: {created_date}]


# The $license variable.
# Feel free to change it as you see needed.
$license='';


# Define the url in which the key server is installed. 
# example: $installed_host="http://yourdomain.com";
$api_home="{installed_host}";


# Define the directory in which the key server is installed
# Leave empty if installed in the top level directory
# example: $installed_directory=""; if installed in: $installed_host="yourdomain.com";
# or
# example: $installed_directory="/phpaudit"; if installed in: $installed_host="yourdomain.com/phpaudit";
$installed_directory="{installed_directory}"; 


# You can ignore everything below this line if you want to --------------------------

$query_string="license={$license}";
$query_string.="&product_id={product_id}";
$query_string.="&sku_id={sku_id}";

$per_server={per_server};
$per_install={per_install};
$per_site={per_site};

$enable_dns_spoof='{enable_dns_spoof}';

# functions -------------------------------------------------------------------------

// added v2.0.10
function make_token() { return md5('{secret_key}'.time()); }
// END added v2.0.10

# DOES NOT WORK FOR WINDOWS!!!!!!!
# No good way to get the mac address for win.
function phpaudit_get_mac_address()
	{
	$fp=@popen("/sbin/ifconfig", "r");

	if (!$fp) { return -1; } # returns invalid, cannot open ifconfig

	$res=@fread($fp, 4096);
	@pclose($fp);

	$array=@explode("HWaddr", $res);
	if (@count($array)<2) { $array=@explode("ether", $res); } # FreeBSD
	$array=@explode("\n", $array[1]);
	$buffer[]=@trim($array[0]);

	$array=@explode("inet addr:", $res);
	if (@count($array)<2) { $array=@explode("inet ", $res); } # FreeBSD
	$array=@explode(" ", $array[1]);
	$buffer[]=@trim($array[0]);

	return $buffer;
	}


function path_translated()
	{
	$option=array('PATH_TRANSLATED', 
				  'ORIG_PATH_TRANSLATED', 
				  'SCRIPT_FILENAME', 
				  'DOCUMENT_ROOT',
				  'APPL_PHYSICAL_PATH');

	foreach ($option as $key)
		{
		if (!isset($_SERVER[$key])||strlen(trim($_SERVER[$key]))<=0) { continue; }

		if (@substr(php_uname(), 0, 7)=='Windows'&&strpos($_SERVER[$key], '\\'))
			{
			return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '\\'));
			}
		
		return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '/'));
		}

	return false;
	// return 'no path could be determined.';
	}

function server_addr()
	{
	$options=array('SERVER_ADDR', 'LOCAL_ADDR');
	foreach ($options as $key)
		{
		if (isset($_SERVER[$key])) { return $_SERVER[$key]; }
		}

	return false;
	// return 'no IP could be determined.';
	}

# END functions ---------------------------------------------------------------------

if ($per_server)
	{
	$server_array=phpaudit_get_mac_address();
	$query_string.="&access_host=".@gethostbyaddr(@gethostbyname($server_array[1]));
	$query_string.="&access_mac=".$server_array[0];
	}
else if ($per_install)
	{
	$query_string.="&access_directory=".path_translated();
	$query_string.="&access_ip=".server_addr();
	$query_string.="&access_host=".$_SERVER['HTTP_HOST'];
	}
else if ($per_site)
	{
	$query_string.="&access_ip=".server_addr();
	$query_string.="&access_host=".$_SERVER['HTTP_HOST'];
	}

// added v2.0.10
$query_string.='&access_token=';
$query_string.=$token=make_token();
// END added v2.0.10

if (!@function_exists('file_get_contents')) 
	{
	function file_get_contents($url)
		{
		return @implode('', @file($url));
		}
	}

$data=@file_get_contents($installed_host.$installed_directory."/validate_internal.php?".$query_string);

$parser=@xml_parser_create('');
@xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
@xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
@xml_parse_into_struct($parser, $data, $values, $tags);
@xml_parser_free($parser);

$returned=$values[0]['attributes'];
$returned['addon_array']=@str_replace(" ", '+', @unserialize(@base64_decode($returned['addon_array'])));

if (empty($returned)) { $returned['status']="invalid"; }

if (!$returned['status']) { die('Invalid license'); }

if ($returned['status']=="invalid") { die('Invalid license'); }

if ($returned['status']=="suspended") { die('Suspended license'); }

if ($returned['status']=="expired") { die('Expired license'); }

if ($returned['status']=="pending") { die('Pending license'); }

if ($returned['status']=="invalid_key") { die('Invalid license key'); }

// added v2.0.10
if ($returned['status']=='active'
	&&strcmp(md5('{secret_key}'.$token), $returned['access_token'])!=0
	&&$enable_dns_spoof=='yes'
	&&!$skip_dns_spoof)
	{
	$returned['status']="invalid"; 
	}
// END added v2.0.10

unset($query_string, $per_server, $per_install, $per_site, $server, $data, $parser, $values, $tags, $sinfo, $token);
?>