<?PHP
# This file is for the license server:
# {server_name} [Server ID: {server_id}] [created: {created_date}]


# The $license variable.
# Feel free to change it as you see needed.
$license='';

$servers   = array();
$servers[] = '{installed_host}{installed_directory}'; // main server

# You can ignore everything below this line if you want to --------------------------

$query_string="license={$license}";
$query_string.="&product_id={product_id}";
$query_string.="&sku_id={sku_id}";

$per_server={per_server};
$per_install={per_install};
$per_site={per_site};

$enable_dns_spoof='{enable_dns_spoof}';

# functions -------------------------------------------------------------------------

// added v2.0.10
function make_token() { return md5('{secret_key}'.time()); }
// END added v2.0.10

function phpaudit_exec_socket($http_host, $http_dir, $http_file, $querystring)
	{
	$fp=@fsockopen($http_host, 80, $errno, $errstr, 10); // was 5
	if (!$fp) { return false; }
	else
		{
		$header="POST ".($http_dir.$http_file)." HTTP/1.0\r\n";
		$header.="Host: ".$http_host."\r\n";
		$header.="Content-type: application/x-www-form-urlencoded\r\n";
		$header.="User-Agent: PHPAudit v2 (http://www.phpaudit.com)\r\n";
		$header.="Content-length: ".@strlen($querystring)."\r\n";
		$header.="Connection: close\r\n\r\n";
		$header.=$querystring;

		$data=false;
		if (@function_exists('stream_set_timeout')) { @stream_set_timeout($fp, 20); }
		@fputs($fp, $header);

		if (@function_exists('socket_get_status')) { $status=@socket_get_status($fp); } 
		else { $status=true; }

		while (!@feof($fp)&&$status) 
			{
			$data.=@fgets($fp, 1024);

			if (@function_exists('socket_get_status')) { $status=@socket_get_status($fp); } 
			else 
				{
			    if (@feof($fp)==true) { $status=false; } 
				else { $status=true; }
				}
			}

		@fclose ($fp);


		if (!strpos($data, '200')) { return false; }
		
		if (!$data) { return false; }

		$data=@explode("\r\n\r\n", $data, 2);

		if (!$data[1]) { return false; }
		if (@strpos($data[1], "verify")===false) { return false; }

		return $data[1];
		}
	}

# DOES NOT WORK FOR WINDOWS!!!!!!!
# No good way to get the mac address for win.
function phpaudit_get_mac_address()
	{
	$fp=@popen("/sbin/ifconfig", "r");

	if (!$fp) { return -1; } # returns invalid, cannot open ifconfig

	$res=@fread($fp, 4096);
	@pclose($fp);

	$array=@explode("HWaddr", $res);
	if (@count($array)<2) { $array=@explode("ether", $res); } # FreeBSD
	$array=@explode("\n", $array[1]);
	$buffer[]=@trim($array[0]);

	$array=@explode("inet addr:", $res);
	if (@count($array)<2) { $array=@explode("inet ", $res); } # FreeBSD
	$array=@explode(" ", $array[1]);
	$buffer[]=@trim($array[0]);

	return $buffer;
	}


function path_translated()
	{
	$option=array('PATH_TRANSLATED', 
				  'ORIG_PATH_TRANSLATED', 
				  'SCRIPT_FILENAME', 
				  'DOCUMENT_ROOT',
				  'APPL_PHYSICAL_PATH');

	foreach ($option as $key)
		{
		if (!isset($_SERVER[$key])||strlen(trim($_SERVER[$key]))<=0) { continue; }

		if (@substr(php_uname(), 0, 7)=='Windows'&&strpos($_SERVER[$key], '\\'))
			{
			return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '\\'));
			}
		
		return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '/'));
		}

	return false;
	// return 'no path could be determined.';
	}

function server_addr()
	{
	$options=array('SERVER_ADDR', 'LOCAL_ADDR');
	foreach ($options as $key)
		{
		if (isset($_SERVER[$key])) { return $_SERVER[$key]; }
		}

	return false;
	// return 'no IP could be determined.';
	}

# END functions ---------------------------------------------------------------------

if ($per_server)
	{
	$server_array=phpaudit_get_mac_address();
	$query_string.="&access_host=".@gethostbyaddr(@gethostbyname($server_array[1]));
	$query_string.="&access_mac=".$server_array[0];
	}
else if ($per_install)
	{
	$query_string.="&access_directory=".path_translated();
	$query_string.="&access_ip=".server_addr();
	$query_string.="&access_host=".$_SERVER['HTTP_HOST'];
	}
else if ($per_site)
	{
	$query_string.="&access_ip=".server_addr();
	$query_string.="&access_host=".$_SERVER['HTTP_HOST'];
	}

// added v2.0.10
$query_string.='&access_token=';
$query_string.=$token=make_token();
// END added v2.0.10

foreach($servers as $server) 
	{
    $sinfo=@parse_url($server);

    $data=phpaudit_exec_socket($sinfo['host'], $sinfo['path'], '/validate_internal.php', $query_string);
    if ($data) { break; }
	}

$parser=@xml_parser_create('');
@xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
@xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
@xml_parse_into_struct($parser, $data, $values, $tags);
@xml_parser_free($parser);

$returned=$values[0]['attributes'];
$returned['addon_array']=@str_replace(" ", '+', @unserialize(@base64_decode($returned['addon_array'])));

if (empty($returned)) { $returned['status']="invalid"; }

if (!$returned['status']) { die('Invalid license'); }

if ($returned['status']=="invalid") { die('Invalid license'); }

if ($returned['status']=="suspended") { die('Suspended license'); }

if ($returned['status']=="expired") { die('Expired license'); }

if ($returned['status']=="pending") { die('Pending license'); }

if ($returned['status']=="invalid_key") { die('Invalid license key'); }

// added v2.0.10
if ($returned['status']=='active'
	&&strcmp(md5('{secret_key}'.$token), $returned['access_token'])!=0
	&&$enable_dns_spoof=='yes'
	&&!$skip_dns_spoof)
	{
	$returned['status']="invalid"; 
	}
// END added v2.0.10

unset($query_string, $per_server, $per_install, $per_site, $server, $data, $parser, $values, $tags, $sinfo, $token);
?>