<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'license_methods', 'method_edit', "&id=".x('id'), 'method_editor'); ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP echo w('view_licensing_method', 0); ?> <?PHP forms::select($uid=uid('x'), 'licensing_type', $licensing_type_select, forms::value('licensing_type', x('id')), "onchange='toggle_licensing_type(\"#{$uid}\", \"".$m3=href('license_methods', 'method_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li id='text'><a href='<?PHP echo href('license_methods', 'method_editor', array('show_tab' => 'add_new', 'id' => x('id'))); ?>' class='form_button'><?PHP w('add_new_licensing_method'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('save_general', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP  w('module:'); forms::overlib(w('overlib_module', 0)); ?></td>
				<td class='label'><b><?PHP echo $method['method']; ?></b></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('name', 0, forms::value('name', $method['name'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='assign_asset' style='display:none;'>
	<div id='ajax_assign_asset_errors'></div>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP echo w('view_licensing_method', 0); ?> <?PHP forms::select($uid=uid('x'), 'licensing_type', $licensing_type_select, forms::value('licensing_type', x('id')), "onchange='toggle_licensing_type(\"#{$uid}\", \"".$m3=href('license_methods', 'method_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'><?PHP
	if (!empty($products)&&is_array($products))
		{
		echo "<table class='form_table'>";
		foreach ((array)$products as $product)
			{
			echo "<tr><td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon '/> <b>{$product['name']}</b></td></tr>";

			$skus=product::get_skus($product['id']); 
			foreach($skus as $sku)
				{
				$checked=(in_array($sku['id'], product::assets('license', x('id'))))?' checked':'';

				$checkbox=forms::checkbox("sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign_asset({$product['id']}, {$sku['id']}, ".x('id').");'", 0, 0);
				// $form='<form>'.forms::hidden('sku_id', 0, $product['id'], 0);
				// echo "<div class='psku'><label>{$checkbox} {$sku['name']}</label> ( ".w('id', 0).": {$sku['id']} )</div>";
			    echo "<tr><td class='label'>&nbsp;&nbsp;<label>{$checkbox} {$sku['name']}</label> ( ".w('id', 0).": {$sku['id']} )</td></tr>";
				}
			}
		echo "</table>";
		}
	else { ?>
		<a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'add_new')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('add_at_least_one_product_first_licensing_method_assign_view'); ?>
	<?PHP }
	?></div>
</div>

<div class='tab_content' id='integration_code' style='display:none;'>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP echo w('view_licensing_method', 0); ?> <?PHP forms::select($uid=uid('x'), 'licensing_type', $licensing_type_select, forms::value('licensing_type', x('id')), "onchange='toggle_licensing_type(\"#{$uid}\", \"".$m3=href('license_methods', 'method_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<?PHP if (file_exists($int_code="modules/license_methods/modules/{$method['method']}/view/integration_code/instructions.php")): ?>
		<?PHP echo file_get_contents($int_code); ?>
	<?PHP elseif ($method['method']=='SPBAS'): ?>
		<div class='tab_content_wrapper_wp'>
			<div class='notice'><a href='http://spbas.com/docs/index.php?task=article&article_id=32&category_id=7'>Click here for instructions</a> on integrating SPBAS licensing with your application.</div>
			<?PHP forms::textarea(0, 0, file_get_contents('modules/license_methods/modules/SPBAS/view/integration_code/SPBAS.class.php'), '99%', '350px'); ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper_wp'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('integration_code', 0, 'y'); ?>
		<?PHP forms::hidden('generate_code', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'integration_code'); ?>
		<?PHP forms::select('server_id', 0, $servers, forms::value('server_id')); ?> <?PHP forms::submit(0, 0, w('get_code', 0), 0, 'submit', 1); ?><!--&nbsp;&nbsp;&nbsp;<?PHP echo w('-or-')?>&nbsp;&nbsp;<a href='<?PHP echo href('license_servers', 'server_editor', array('show_tab' => 'add_new'))?>'><?PHP echo w('add_new_licensing_server')?></a>-->
		</form>
		<?PHP if ($code): ?>
			<br /><br />
				<?PHP forms::textarea(0, 0, $code, '99%', '350px'); ?>
		<?PHP endif; ?>
		</div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='advanced' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP echo w('view_licensing_method', 0); ?> <?PHP forms::select($uid=uid('x'), 'licensing_type', $licensing_type_select, forms::value('licensing_type', x('id')), "onchange='toggle_licensing_type(\"#{$uid}\", \"".$m3=href('license_methods', 'method_edit', array('show_tab'=>x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li id='text'><a href='#' class='form_button' onclick='javascript:prompt_decision("license_methods", "method_edit", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('sure_you_want_to_delete_licensing_method'); ?>")'><?PHP w('delete_licensing_method'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (file_exists($m3_lt="modules/license_methods/modules/{$method['method']}/view/edit_type.php")): ?>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP include_once $m3_lt; ?>
	</div>
	<?PHP if (file_exists($m3_lt_notes="modules/license_methods/modules/{$method['method']}/view/licensing_type_notes.php")&&!isset($skip_notes)): ?>
		<div class='notice no_top_border'><?PHP include_once $m3_lt_notes; ?></div>
	<?PHP endif; ?>
	<?PHP else: ?>
		<div class='tab_content_wrapper  no_top_left_border'><p class='no_matches_found'><?PHP echo w('licensing_method_not_found', 0)." <i>{$m3_lt}</i>"; ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>