<?PHP @template::ran_directly(); /* required for all templates */ 

$test_mode='T';
$link='https://test.authorize.net/gateway/transact.dll';
if ($gateway['attr']['test_mode']=='Disable') 
	{ 
	$test_mode='F';
	$link='https://secure.authorize.net/gateway/transact.dll';
	}


// an invoice is generated using the date and time
$invoice=date(YmdHis);

// a sequence number is randomly generated
$sequence=rand(1, 1000);

// a timestamp is generated
$timeStamp=time();

// The following lines generate the SIM fingerprint.  PHP versions 5.1.2 and
// newer have the necessary hmac function built in.  For older versions, it
// will try to use the mhash library.
if (phpversion()>='5.1.2')
	{
	$fingerprint=hash_hmac("md5", $gateway['attr']['x_login'] . "^" . $sequence . "^" . $timeStamp . "^" . $total_due_today . "^", $gateway['attr']['x_transaction_key']); 
	}
else 
	{ 
	$fingerprint=bin2hex(mhash(MHASH_MD5, $gateway['attr']['x_login'] . "^" . $sequence . "^" . $timeStamp . "^" . $total_due_today . "^", $gateway['attr']['x_transaction_key'])); 
	}

$session_id=x('cart_session');
$customer_session=x('customer_session');
$item_number=substr(x('cart_session'), 0, 8);
$this_form=("<form method='post' action='{$link}'>
<input type='hidden' name='x_login' value='{$gateway['attr']['x_login']}' />
<input type='hidden' name='x_amount' value='{$total_due_today}' />
<input type='hidden' name='x_cust_id' value='{$customer['id']}' />
<input type='hidden' name='x_description' value='{$item_name}' />
<input type='hidden' name='cart_session' value='{$session_id}' />
<input type='hidden' name='customer_session' value='{$customer_session}' />
<input type='hidden' name='x_invoice_num' value='{$invoice}' />
<input type='hidden' name='x_fp_sequence' value='{$sequence}' />
<input type='hidden' name='x_fp_timestamp' value='{$timeStamp}' />
<input type='hidden' name='x_fp_hash' value='{$fingerprint}' />
<input type='hidden' name='x_test_request' value='{$test_mode}' />
<INPUT type='hidden' name='x_show_form' value='PAYMENT_FORM' />

<input type='hidden' name='x_address' value='{$address['address']}' />
<input type='hidden' name='x_city' value='{$address['city']}' />
<input type='hidden' name='x_country' value='{$country['name']}' />
<input type='hidden' name='x_customer_ip' value='").capture_remote().("' />
<input type='hidden' name='x_email' value='{$user['email']}' />
<input type='hidden' name='x_first_name' value=\"{$user['first_name']}\" />
<input type='hidden' name='x_last_name' value=\"{$user['last_name']}\" />
<input type='hidden' name='x_phone' value='{$address['phone']}' />
<input type='hidden' name='x_receipt_link_method' value='POST' />
<input type='hidden' name='x_receipt_link_url' value='{$m3_conf['url']}/index.php' />
<input type='hidden' name='x_receipt_link_text' value='").w('click_here_to_complete_your_order', 0).("' />
<input type='hidden' name='task' value='order_process' />
<input type='hidden' name='x_state' value='{$state['state']}' />
<input type='hidden' name='x_zip' value='{$address['postal_code']}' />
<input type='hidden' name='x_version' value='3.1' />

<input type='submit' class='submit' value='".w('make_payment', 0)."' />
</form>");

$form[$gateway['gateway']]=$this_form;
?>
