<?PHP @template::ran_directly(); /* required for all templates */ 

function validate_ipn($posted_data, $sandbox)
	{
	$request="cmd=_notify-validate";
	while (list($key, $value)=each($posted_data)) 
		{
		$request.="&{$key}=".urlencode(sx($value)); 
		}

	$header="POST /cgi-bin/webscr HTTP/1.0\r\n";
	$header.="Content-Type: application/x-www-form-urlencoded\r\n";
	$header.="Content-Length: ".strlen($request)."\r\n\r\n";

	$paypal='www.paypal.com';
	if ($sandbox=='Enable') { $paypal='www.sandbox.paypal.com'; }
	// $fp=@fsockopen($paypal, 80, $errno, $errstr, 30);
	$fp=@fsockopen('ssl://'.$paypal, 443, $errno, $errstr, 30);

	if (!$fp) { return false; }
	else
		{
		@fputs($fp, $header.$request);
		while (!@feof($fp))
			{
			$data=fgets($fp, 1024);
			if (@strcmp(@$data, "VERIFIED")==0)
				{
				return true;
				}
			}

		@fclose ($fp);
		}

	return false;
	}

// handle the buy now button
if ($is_buy_now=($post['custom']&&substr($post['item_number'], 0, 2)=='BN'&&strlen($post['item_number'])==12))
	{
	$post['custom']=pay_gateways::buy_now_return_create_session($post['custom'], $post['item_number'], $post['payer_email'], $post['first_name'], $post['last_name']);
	}

// initially get the session
$session=order_forms::get_session($post['custom']);

// get the session data
if (!validate_ipn($post, $gateway['attr']['sandbox']))
	{ 
	die(pay_gateways::log('Failed to validate IPN.', base64_encode(serialize($post)), $buffer['conf']['id'], $gateway['id'], $gateway['name'], $post['custom'], $session['order_id']));
	}

// disable auto pay due to a cancellation or the end of term
if (in_array($post['txn_type'], array('subscr_cancel', 'subscr_eot'))) 
	{
	pay_gateways::update_auto_pay_status_by_subscription_id($post['subscr_id'], 'Disabled');
	pay_gateways::log('Subscription Payment Cancelled or EOT', base64_encode(serialize($post)), $session['order_form_id'], $gateway['id'], $gateway['name'], $post['custom'], $session['order_id'], $session['customer_id'], $session['user_id']);

	die($post['txn_type']); 
	}

// other subscription related things
if (in_array($post['txn_type'], array('subscr_signup', 'subscr_failed', 'subscr_modify'))) 
	{
	die($post['txn_type']); 
	}

// record the payment to the session
pay_gateways::session_payment($session['session_id'], $gateway['id'], $gateway['name'], $post['txn_id'], $post['subscr_id'], $post['mc_gross']);

// subscription payment
if ($post['txn_type']=='subscr_payment')
	{
	$invoice_found=pay_gateways::process_subscription_payment('Paypal', $post['item_number'], $post['txn_id'], $post['subscr_id'], $post['mc_gross']);
	pay_gateways::log('Subscription Payment Processed', base64_encode(serialize($post)), $session['order_form_id'], $gateway['id'], $gateway['name'], $post['custom'], $session['order_id'], $session['customer_id'], $session['user_id']);
	pay_gateways::update_auto_pay_status_by_subscription_id($post['subscr_id']);
	if ($invoice_found) { die; }
	}

// normal payment, get the updated session
$session=orders::process($post['custom'], $post['mc_gross']);

// update the order to show the gateway that was used
orders::update_pay_gateway($session['order_id'], $gateway['id'], $gateway['name']);

// log the IPN post!
pay_gateways::log('End of run.', base64_encode(serialize($post)), $session['order_form_id'], $gateway['id'], $gateway['name'], $post['custom'], $session['order_id'], $session['customer_id'], $session['user_id']);

// redirect for buy now buttons!
if ($is_buy_now) { $buffer['redirect']="{$buffer['conf']['url']}/index.php?task=order_process&session_id={$session['session_id']}"; }
?>