<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='grid half no_margin'>
	<?PHP errors($errors); ?>
	<span class='section_header_left'><?PHP echo w('advanced_search'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, 'products'); ?>
		<?PHP echo forms::hidden('task', 0, 'product_editor'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'manage_existing'); ?>
		<?PHP echo forms::hidden('do_advanced_search', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='label<?PHP echo alt($m3=0); ?>' colspan='2' style='padding-left: 6px;'><?PHP forms::text('advanced_search', 0, forms::value('advanced_search'), 0, 'advanced_search'); ?> <?PHP forms::submit(0, 0, w('search_products', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('products', 'product_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('view_all_products'); ?></a></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('name', 0, 1, forms::value('name', x('name'))); ?> <?PHP echo w('product_name')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('status', 0, 1, forms::value('status', x('status'))); ?> <?PHP echo w('status')?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('description', 0, 1, forms::value('description', x('description'))); ?> <?PHP echo w('description')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('keywords', 0, 1, forms::value('keywords', x('keywords'))); ?> <?PHP echo w('keywords')?></label></td>
			</tr>
		</table>
		</form>
	</div>
</div>
<div class='grid quarter grid_space_left_more'>
	<span class='section_header_left'><?PHP echo w('product_stats'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('public_products:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('products', 'product_editor', array('terms'=>'Public'))?>'><?PHP echo dashboard_products::public_products()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('enabled_promotions:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('promotions', 'editor', array('terms'=>'Enabled'))?>'><?PHP echo dashboard_products::current_promotions()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('custom_pricing:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('promotions', 'editor', array('terms'=>'Enabled'))?>'><?PHP echo dashboard_products::custom_pricing()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('support_packages:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('support_package', 'package_editor')?>'><?PHP echo dashboard_products::support_packages()?></a></td>
			</tr>
		</table>
		</div>
</div>
<div class='grid quarter right'>
	<span class='section_header_left'><?PHP echo w('quick_links'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('add_products:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('products', 'product_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('view')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_promotions:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('promotions', 'editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('view')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_custom_pricing:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('price_sheets', 'price_sheet_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('view')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_support_packages:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('support_package', 'package_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('view')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='clear margin_bottom'><!-- --></div>

<div class='grid no_margin half'><span class='section_header'><?PHP echo w('top_4_most_ordered_products')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_Pie2D.swf", '', $chart['top4'], uid('top4'), 464, 275); ?></div>




<div class='grid half right margin_bottom_stats'>
		<span class='section_header_left'><?PHP echo w('recently_added_products')?></span>
		<?PHP if (!empty($products)&&is_array($products)): ?>
			<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('product'); ?></th>
					<th><?PHP w('sku'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th class='options'><a href='<?PHP echo href('products','product_editor')?>'><?PHP echo w('view_all'); ?></a></th>
				</tr>
				<?PHP $m3=0; foreach ($products as $unique): $data=prepare_products($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['sku_name']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_products_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<div class='grid half right '>
		<span class='section_header_left'><?PHP echo w('recently_used_promotions')?></span>
		<?PHP if (!empty($promotions)&&is_array($promotions)): ?>
			<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('promotion_code'); ?></th>
					<th><?PHP w('description'); ?></th>
					<th><?PHP w('used_on'); ?></th>
					<th class='options'><?PHP echo w('options')?></th>
				</tr>

			<?PHP $m3=0; foreach ($promotions as $unique): $data=prepare_promotions($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['promotion_code']; ?></td>
					<td><?PHP echo $data['promotion_code_description']; ?></td>
					<td><?PHP echo $data['used']; ?></td>
					<td class='options'><?PHP echo $data['view']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_promotions_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>
<div class='clear margin_bottom'><!-- --></div>