<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'taxes', 'tax_edit', "&id=".x('id'), 'tax_editor'); ?>

<div class='tab_content' id='assign_to_product' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='product_pricing_errors'></div>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('tax_rule'); ?> <?PHP echo sx($tax_rule['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
	<div class='notice'><?PHP echo w('notice_product', 0); ?></div>
	<?PHP if (is_array($products)&&!empty($products)):?>
		<?PHP foreach($products as $product): ?>
			<div class='tiled_bkg'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/package.png' class='icon' /> <a href='#' onclick='$("#x<?PHP echo $product['id']?>").toggle(); return false; '><?PHP echo sx($product['name'])?></a></div>
			<div id='x<?PHP echo $product['id']?>' class='data_grid_blind' style='display:<?PHP echo (($m3)?'block':'none')?>;'>
			<?PHP $pricing=product::get_skus($product['id']); ?>
			<?PHP if (is_array($pricing)&&!empty($pricing)): ?>
				<table class='form_table'>
					<?PHP $m3=0; foreach($pricing as $unique): $data=prepare_products($unique['id'], sx($unique['name']), x('id'), $assigned_pricing); ?>
						<tr>
							<td class='label<?PHP echo (ooe($m3+=1)?'':'_alt'); ?>'>&nbsp;<label><?PHP echo $data['checkbox']?> <?PHP echo $data['product']?></label></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP else: ?><?PHP echo w('no_product_pricing_found', 0); ?><?PHP endif; ?>
			</div>
		<?PHP endforeach; ?>
	<?PHP else: ?><?PHP echo w('no_products_found', 0)?><?PHP endif; ?>
	</div>
</div>

<div class='tab_content' id='assign_to_country' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='country_errors'></div>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('tax_rule'); ?> <?PHP echo sx($tax_rule['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
	<div class='notice'><?PHP echo w('notice_countries', 0); ?></div>
	<?PHP if (is_array($countries)&&!empty($countries)):?>
		<table class='form_table'>
			<?PHP $m3=0; foreach($countries as $key => $value): $data=prepare_countries($key, $value, x('id'), $assigned_countries); ?>
				<tr>
					<td class='label<?PHP echo (ooe($m3+=1)?'':'_alt'); ?>'>&nbsp;<label><?PHP echo $data['checkbox']?> <?PHP echo $data['country']?></label></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
	<?PHP else: ?><?PHP echo w('no_countries_found', 0)?><?PHP endif; ?>
	</div>
</div>


<div class='tab_content' id='assign_to_region' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='region_errors'></div>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('tax_rule'); ?> <?PHP echo sx($tax_rule['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
	<div class='notice'><?PHP echo w('notice_region', 0); ?></div>
	<?PHP if (is_array($countries)&&!empty($countries)):?>
			<?PHP foreach($countries as $key => $value): $regions=country_state::states($key); ?>
				<?PHP if (!is_array($regions)||empty($regions)) { continue; } ?>
				<div class='tiled_bkg'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/world_edit.png' class='icon' /> <a href='#' onclick='$("#region_x<?PHP echo $key?>").toggle(); return false; '><?PHP echo sx($value)?></a></div>
				<div id='region_x<?PHP echo $key?>' class='data_grid_blind' style='display:none;'>
				<?PHP if (is_array($regions)&&!empty($regions)): ?>
					<table class='form_table'>
						<?PHP $m3=0; foreach($regions as $rkey => $rvalue): $data=prepare_regions($rkey, sx($rvalue), x('id'), $key, $assigned_regions); ?>
							<tr>
								<td class='label<?PHP echo (ooe($m3+=1)?'':'_alt'); ?>'>&nbsp;<label><?PHP echo $data['checkbox']?> <?PHP echo $data['region']?></label></td>
							</tr>
						<?PHP endforeach; ?>
					</table>
					<?PHP else: ?><?PHP echo w('no_regions_found', 0); ?><?PHP endif; ?>
				</div>
			<?PHP endforeach; ?>
	<?PHP else: ?><?PHP echo w('no_regions_found', 0); ?><?PHP endif; ?>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('tax_rule'); ?> <?PHP echo sx($tax_rule['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('id', 0, x('id')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
	<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $tax_rule['name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('display_name:'); forms::overlib(w('overlib_display_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('display_name', 0, forms::value('display_name', $tax_rule['display_name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('rate:'); forms::overlib(w('overlib_rate', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('rate', 0, forms::value('rate', $tax_rule['rate']), 0, 'money'); ?> %</td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
	</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>