<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_user_add'>
	<ul>
		<li><?PHP echo w('add_a_new_user'); ?></li>
		<li class='right'><a href='<?PHP echo href('users', 'user_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('existing_users'); ?></a></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
			<td class='label'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), x('status')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('first_name:'); forms::overlib(w('overlib_first_name', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('first_name', 0, forms::value('first_name')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('last_name:'); forms::overlib(w('overlib_last_name', 0)); ?></td>
			<td class='label'><?PHP forms::text('last_name', 0, forms::value('last_name')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('username', 0, forms::value('username')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
			<td class='label'><?PHP forms::text('email', 0, forms::value('email')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
			<td class='label_alt'><?PHP forms::password('password', 0, forms::value('password')); ?></td>
		</tr>
		<tr>
			<td class='text'></td>
			<td class='label'><label><?PHP forms::checkbox('send_registration_now', 0, 1, forms::value('send_registration_now')); ?><?PHP echo w('send_registration_details')?></label></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_user', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_user'>
		<ul>
			<li><?PHP echo w('existing_users'); ?></li>
			<li class='right'><a href='<?PHP echo href('users', 'user_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_user'); ?></a><a href='<?PHP echo href('users', 'user_editor', array('export2xml' => 'y', 'show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('XML Export'); ?></a> <a href='<?PHP echo href('search', 'index', array('show_tab' => 'users')); ?>' class='form_button'><?PHP w('search_users'); ?></a></li>
		</ul>
	</h1>

	<?PHP if (!empty($users)&&is_array($users)): ?>
		<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_user', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['first_name']['image']; ?><a href='<?PHP echo $s['first_name']['link']; ?>'><?PHP w('first_name'); ?></a></th>
				<th><?PHP echo $s['last_name']['image']; ?><a href='<?PHP echo $s['last_name']['link']; ?>'><?PHP w('last_name'); ?></a></th>
				<th><?PHP echo $s['email']['image']; ?><a href='<?PHP echo $s['email']['link']; ?>'><?PHP w('email'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP w('customer_col'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='8'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('users', 'user_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($users as $user): $data=prepare($user); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['first_name']; ?></td>
				<td><?PHP echo $data['last_name']; ?></td>
				<td><?PHP echo $data['email']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['customer']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_users_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>