<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title> <?PHP echo sx($conf['site']['name'])?></title>
	<meta name="generator" content="Kate ( http://kate-editor.org )">
	
	<link rel='stylesheet' type='text/css' href='templates/<?PHP echo $conf['template']; ?>/css/style.css' />
	<script language="javascript" type="text/javascript" src="templates/<?PHP echo $conf['template']; ?>/javascript/jquery/jquery-1.5.1.min.js"></script>
	<script language="javascript" type="text/javascript" src="templates/<?PHP echo $conf['template']; ?>/javascript/application.js"></script>

	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link rel="icon" href="favicon.ico" type="image/x-icon" />

	<?PHP echo ($insert_js)?$insert_js:''?>
</head>
<body>

<div id='spbas'>
	<?PHP if ($switch['available_languages']): ?>
		<div id='languages_available'><?PHP echo $switch['available_languages']; ?></div>
		<div class='clear'><!-- --></div>
	<?PHP endif; ?>
	<div id='tab_container'>
		<ul>
			<li><a href='<?PHP echo href('')?>'<?PHP echo on('home', (x('task')?x('task'):'home'))?>><?PHP echo w('home')?></a></li>
			<li><a href='<?PHP echo href('downloads')?>'<?PHP echo on('downloads', x('task'))?>><?PHP echo w('public_downloads')?></a></li>

			<?PHP if ($_COOKIE['customer_session']): ?><li><a href='<?PHP echo href('announcements')?>'<?PHP echo on('announcements', x('task'))?>><?PHP echo w('announcements')?></a></li><?PHP endif; ?>
			<?PHP if ($_COOKIE['customer_session']): ?><li><a href='<?PHP echo href('dashboard')?>'<?PHP echo on($conf['password_protected'], x('task'))?>><?PHP echo w('customer_area')?></a></li><?PHP endif; ?>
			<?PHP if (!$_COOKIE['customer_session']): ?><li><a href='<?PHP echo href('public_announcements')?>'<?PHP echo on('public_announcements', x('task'))?>><?PHP echo w('announcements')?></a></li><?PHP endif; ?>


			<?PHP if ($conf['site']['kb_url']): ?><li><a href='<?PHP echo $conf['site']['kb_url']?>'><?PHP echo w('KB')?></a></li><?PHP endif; ?>
			<?PHP if ($conf['site']['order_form_url']): ?> <li><a href='<?PHP echo $conf['site']['order_form_url']?>'><?PHP echo w('order')?></a></li><?PHP endif; ?>


			<?PHP if ($_COOKIE['customer_session']): ?><li><a href='logout.php'><?PHP echo w('logout')?></a></li><?PHP endif; ?>
			<?PHP if (!$_COOKIE['customer_session']): ?><li><a href='<?PHP echo href('login')?>'<?PHP echo on('login', x('task'))?>><?PHP echo w('login')?></a></li><?PHP endif; ?>
			<?PHP if (!$_COOKIE['customer_session']): ?><li><a href='<?PHP echo href('register')?>'<?PHP echo on('register', x('task'))?>><?PHP echo w('register')?></a></li><?PHP endif; ?>

			<!-- Contact Form -->
			<?PHP if ($conf['site']['enable_contact_form']): ?>
				<li><a href='<?PHP echo href('contact')?>'<?PHP echo on('contact', x('task'))?>><?PHP echo w('contact_us')?></a></li>
			<?PHP endif; ?>

		</ul>
	</div><!-- end: tab_container -->
	<div class='clear'><!--IE--></div>

	<div id='login_menu'>
		<?PHP if ($_COOKIE['customer_session']): ?>
			<ul>
				<li><a href='<?PHP echo href('dashboard')?>'<?PHP echo on('dashboard', x('task'))?>><?PHP echo w('dashboard')?></a></li>
				<?PHP if ($conf['site']['enable_helpdesk']=='Yes'): ?>
					<li><a href='<?PHP echo href('helpdesk')?>'<?PHP echo on('helpdesk', x('task'))?>><?PHP echo w('menu_helpdesk')?></a></li>
				<?PHP endif; ?>
				<li><a href='<?PHP echo href('my_packages')?>'<?PHP echo on('my_packages', x('task'))?>><?PHP echo w('my_packages')?></a></li>
				<li><a href='<?PHP echo href('my_account')?>'<?PHP echo on('my_account', x('task'))?>><?PHP echo w('my_account')?></a></li>
				<li><a href='<?PHP echo href('my_invoices')?>'<?PHP echo on('my_invoices', x('task'))?>><?PHP echo w('my_invoices')?></a></li>
				<!--<li><a href='<?PHP echo href('my_messages')?>'<?PHP echo on('messages', x('task'))?>><?PHP echo w('my_messages')?></a></li>-->
			</ul>
		<?PHP endif; ?>
	</div>
	<div class='clear'><!--IE--></div>

	<div id='breadcrumb'><a href='index.php'><?PHP echo w('home')?></a><?PHP echo $breadcrumb?><?PHP echo ($rss)?$rss:''?></div><!-- end: breadcrumb -->

	<div class='tab_content'>