<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

// query the API
$request=api_kb::index(
		$conf['api_handler'], 
		$conf['api_key'], 
		'kb', 
		'index', 
		false // set to true for debug 
		);

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];

if ($conf['site']['status']=='Down for Maintenance'||!$request['categories'])
	{
	$link=href('down_for_maintenance');
	die(header("Location: {$link}"));
	}
else if ($conf['site']['status']=='Private')
	{
	$link=href('private');
	die(header("Location: {$link}"));
	}

$categories=array_chunk($request['categories'], 4);
$newest_articles=$request['newest_articles'];
$most_viewed_articles=$request['most_viewed'];
$highest_rated_articles=$request['highest_rated'];
$breadcrumb=breadcrumb();
unset($request);


/**
* Process code for presentation
* 
* @param array $data
* @return array
*/
function prepare($data)
	{
	$buffer=array();

	for ($i=0; $i<=3; $i++)
		{
		if (!$data[$i]) { continue; }

		// the category icon
		$buffer[$i]['icon']='';
		if ($data[$i]['icon'])
			{
			$buffer[$i]['icon']="templates/".config('template')."/images/icons/{$data[$i]['icon']}";
			}

		$buffer[$i]['link_out']=href('listings', array('category_id' => $data[$i]['id']));
		$buffer[$i]['name']=sx($data[$i]['name']);
		$buffer[$i]['article_count']=sx($data[$i]['article_count']);

		// the category description
		$buffer[$i]['description']='';
		if ($data[$i]['description'])
			{
			$buffer[$i]['description']="<div>{$data[$i]['description']}</div>";
			}
		}

	return $buffer;
	}

/**
* Process code for presentation
* 
* @param array $data
* @return array
*/
function prepare_blocks($data)
	{
	$buffer=array();

	// the article icon
	$icon='';
	if ($data['icon'])
		{
		$buffer['icon']="templates/".config('template')."/images/icons/{$data['icon']}";
		}

	$buffer['link_out']=href('article', array('article_id' => $data['id']));

	$buffer['title']=s($data['title']);

	return $buffer;
	}
?>