<?PHP
error_reporting(6135);
ini_set('display_errors', '1');

/**
* Recursively search for the configuration file!
* 
* @return string 
*/
function start_storefront()
	{
	$try=''; 
	while (strlen($try)<=3)
		{
		$conf="{$try}m3_configuration.php";
		if (file_exists($conf)) {  return $conf; }
		$try.='../';
		}

	return false;
	}

// start m3
$installed=start_storefront();
if (!$installed) { die(header('Location: ../install')); }
$spbas='kb';
define('SPBAS', $spbas);
include $installed;
unset($spbas);

include_once 'includes/globals.php';

clear_cache();

// What to run?
$mod='kb';
$task=(x('task'))?x('task'):'index';

// Validate the task.
$task=in_array($task, $conf['valid_tasks'])?$task:'index';

// which template to use?
$conf['template']=($conf['template'])?$conf['template']:'default';
if (!file_exists("templates/{$conf['template']}")) 
	{ 
	$conf['template']='default';
	if (!file_exists("templates/{$conf['template']}")) 
		{
		die('Invalid Template');
		}
	}

if (file_exists($m3="compiler/{$task}.php")) { include_once $m3; }

if (x('rss')) 
	{ 
	header("Content-type: application/xml"); 
	$m3="templates/{$conf['template']}/{$task}_rss.php";
	if (file_exists($m3)) { include_once $m3; }
	exit;
	}

$m3="templates/{$conf['template']}/header.php";
if (in_array($task, array('print_page', 'lightbox'))) { $m3="templates/{$conf['template']}/header_print.php"; } 
include_once $m3;

$m3="templates/{$conf['template']}/{$task}.php";
if (file_exists($m3)) { include_once $m3; }

$m3="templates/{$conf['template']}/footer.php";
if (in_array($task, array('print_page', 'lightbox'))) { $m3="templates/{$conf['template']}/footer_print.php"; }
include_once $m3;
?>