<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

if (!x('parent_package_id')) { die(header("Location: cart.php")); }

$errors=array();

if (x('add_to_cart'))
	{
	$addons='';
	foreach((array)$_POST['addons'] as $addon_id) 
		{
		if ($addons) { $addons.=','; }
		$addons.=$addon_id;
		}

	$data=array(
				'session_id' => $_COOKIE['cart_session'], 
				'product_id'=>x('product_id'),  
				'sku_id'=>x('sku_id'), 
				'package_id'=>x('parent_package_id'), 
				'addons'=>$addons
				);

	$request=api::query($conf['api_handler'], $conf['api_key'], 'order_forms', 'add_to_cart', $data);
	if (empty($request['errors']))
		{
		$link=href('view_cart');
		die(header("Location: {$link}"));
		}
	else 
		{ 
		$errors=$request['errors']; 
		unset($_POST['sku_id']);
		}
	}

// query the API
$data=array(
		'category_id' => (x('category_id')?x('category_id'):0), 
		'parent_package_id'=>x('parent_package_id'),
		'sku_id'=>x('sku_id'), 
		'session_id'=>$_COOKIE['cart_session'], 
		'customer_session' => ($_COOKIE['customer_session']?$_COOKIE['customer_session']:0)
		);

$request=api::query($conf['api_handler'], $conf['api_key'], 'order_forms', 'addon', $data); // pr($request);
$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];
if ($conf['site']['status']=='Down for Maintenance')
	{
	$link=href('down_for_maintenance');
	die(header("Location: {$link}"));
	}
else if ($conf['site']['status']=='Private')
	{
	$link=href('private');
	die(header("Location: {$link}"));
	}

$parent_package=$request['parent_package'];
$addons=$request['addons']; // pr($addons);
$cart=$request['cart'];
$price_sheet_id=$request['price_sheet_id'];
$price_sheets=$request['price_sheets'];
$currency_options=$request['currency_options']; 
$price_sheet_id=$request['price_sheet_id']; 
unset($request);

// the currency select box
$currency_select=forms::select('price_sheet_id', 0, $currency_options, $price_sheet_id, "onchange='choose_currency(\"{$_COOKIE['cart_session']}\", \"{$conf['site']['id']}\");'", 0, 0);
$currency_options=(is_array($currency_options)&&!empty($currency_options)&&count($currency_options)>1);
function prepare_addon($data, $key, $parent_package_id=0)
	{
	$buffer=$data;

	$buffer['id']=$data['product_id'];
	$buffer['link']=href('product', array('product_id'=> $data['product_id'], 'package_id'=>$parent_package_id));
	$buffer['name']=sx($data['product']['name']);
	$buffer['short_description']=nl2br(sx($data['product']['short_description']));
	
	$buffer['name']=wordwrap($buffer['name'], 30, '<br />', true);
	$buffer['setup_fee']=($data['pricing']['setup_fee']>0)?$data['pricing']['formatted_setup_fee']:'-';
	$buffer['price']=$data['pricing']['formatted_price'];
	$buffer['recurring']=($data['pricing']['price_recurring']>0&&$data['payment_type']=='Recurring')?$data['pricing']['formatted_price_recurring']:'-';
	$buffer['purchase']=forms::submit('', 0, w('add_to_cart', 0), " onclick='product_selection({$data['id']}); return false;'", 'submit_nm', false);
	
	$buffer['border']=(($key+1)==count($GLOBALS['category']['products']))?" class='no_border'":'';
	
	return $buffer;
	}

$choose_addons=array();
if (x('parent_package_id')) {
	$choose_addons=array('parent_package_id'=>x('parent_package_id'));
}
?>