<?PHP 
error_reporting(6135);
ini_set('display_errors', '1');

/**
* Recursively search for the configuration file!
* 
* @return string 
*/
function start_storefront()
	{
	$try=''; 
	while (strlen($try)<=3)
		{
		$conf="{$try}m3_configuration.php";
		if (file_exists($conf)) {  return $conf; }
		$try.='../';
		}

	return false;
	}

// start m3
$installed=start_storefront();
if (!$installed) { die(header('Location: ../install')); }
$spbas='order';
define('SPBAS', $spbas);
include $installed;
unset($spbas);

include_once 'includes/globals.php';

clear_cache();

// What to run?
$mod='order_forms';
$task=($task=x('task', false, 'gpc'))?$task:'cart';

// Validate the task.
$task=in_array($task, $conf['valid_tasks'])?$task:'cart';

// start a session if needed
if (!$_COOKIE['cart_session']&&in_array($task, array('cart', 'product', 'view_cart')))
	{ 
	$request=api_order_forms::start_session(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'start_session', 
			false // set to true for debug 
			);

	set_cookie('cart_session', 0, time()-2538000);
	set_cookie('cart_session', $request['cart_session'], time()+2538000);
	$_COOKIE['cart_session']=$request['cart_session'];
	}

// which template to use?
$conf['template']=($conf['template'])?$conf['template']:'default';
if (!file_exists("templates/{$conf['template']}")) 
	{ 
	$conf['template']='default';
	if (!file_exists("templates/{$conf['template']}")) 
		{
		die('Invalid Template');
		}
	}

// get the available language switcher
$switch=api_order_forms::available_languages(
		$conf['api_handler'], 
		$conf['api_key'], 
		'order_forms', 
		'available_languages', 
		false // set to true for debug 
		);

// change the language on demand
if ($_GET['change_language']&&strlen($_GET['change_language'])==5) 
	{ 
	$_COOKIE['change_language']=$_GET['change_language'];
	set_cookie('change_language', 0); 
	set_cookie('change_language', $_GET['change_language']); 
	}

// try and change the language automatically
else if (!$_COOKIE['change_language']&&$detected_language=detect_browser_language())
	{
	if (in_array($detected_language, (array)$switch['available_languages_array']))
		{
		$_COOKIE['change_language']=$detected_language;
		set_cookie('change_language', 0); 
		set_cookie('change_language', $_GET['change_language']);
		unset($detected_language);
		}
	}

// got a cookie and detected languages
else if ($_COOKIE['change_language']&&$detected_language)
	{
	// does the cookie contain a language that is actually installed?
	if (!in_array($_COOKIE['change_language'], (array)$switch['available_languages_array']))
		{
		// nope, let's default to en-us and rmeove the cookie
		$_COOKIE['change_language']='en-us';
		set_cookie('change_language', 0); 
		}
	}

if (file_exists($m3="compiler/{$task}.php")) { include_once $m3; }

if (x('rss')) 
	{ 
	header("Content-type: application/xml"); 
	$m3="templates/{$conf['template']}/{$task}_rss.php";
	if (file_exists($m3)) { include_once $m3; }
	exit;
	}

$m3="templates/{$conf['template']}/header.php";
if ($task=='invoice') { $m3="templates/{$conf['template']}/header_print.php"; } 
include_once $m3;

$m3="templates/{$conf['template']}/{$task}.php";
if (file_exists($m3)) { include_once $m3; }

$m3="templates/{$conf['template']}/footer.php";
if ($task=='invoice') { $m3="templates/{$conf['template']}/footer_print.php"; }
include_once $m3;
?>